
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_1', 1: '__ANON_0', 2: 'RBRACE', 3: '$END', 4: '__ANON_2', 5: '__anon_star_0', 6: 'identifier', 7: '__anon_plus_2', 8: 'body', 9: 'new_line_or_comment', 10: 'block', 11: 'attribute', 12: '__ANON_3', 13: 'start', 14: 'one_line_block', 15: 'LBRACE', 16: '__anon_star_1', 17: 'STRING_LIT', 18: 'EQUAL', 19: 'MINUS', 20: 'DECIMAL', 21: 'LPAR', 22: 'IF', 23: 'RPAR', 24: '__ANON_11', 25: 'FOR', 26: 'FALSE', 27: 'IN', 28: 'LSQB', 29: 'RSQB', 30: 'NULL', 31: '__ANON_10', 32: 'TRUE', 33: 'COMMA', 34: 'BANG', 35: '__ANON_14', 36: '__ANON_12', 37: '__ANON_4', 38: 'SLASH', 39: '__ANON_8', 40: '__ANON_6', 41: 'PERCENT', 42: 'LESSTHAN', 43: '__ANON_7', 44: '__ANON_13', 45: 'STAR', 46: 'MORETHAN', 47: 'DOT', 48: '__ANON_5', 49: 'QMARK', 50: 'PLUS', 51: 'COLON', 52: '__ANON_9', 53: 'index_expr_term', 54: 'float_lit', 55: '__anon_plus_3', 56: 'tuple', 57: 'attr_splat_expr_term', 58: 'conditional', 59: 'expression', 60: 'expr_term', 61: 'full_splat_expr_term', 62: 'binary_op', 63: 'true_lit', 64: 'unary_op', 65: 'for_tuple_expr', 66: 'heredoc_template_trim', 67: 'function_call', 68: 'operation', 69: 'false_lit', 70: 'heredoc_template', 71: 'get_attr_expr_term', 72: 'int_lit', 73: 'object', 74: 'null_lit', 75: 'for_object_expr', 76: 'for_intro', 77: 'object_elem', 78: 'EXP_MARK', 79: 'binary_operator', 80: 'binary_term', 81: 'index', 82: 'full_splat', 83: 'get_attr', 84: 'attr_splat', 85: '__anon_star_4', 86: '__anon_star_5', 87: 'new_line_and_or_comma', 88: '__anon_star_6', 89: 'arguments', 90: 'for_cond', 91: '__anon_star_7'}, 'states': {0: {0: (0, 6), 1: (0, 9), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (0, 8), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 7), 11: (0, 10), 12: (0, 11), 13: (0, 12), 14: (0, 13)}, 1: {0: (1, {'@': 46}), 1: (1, {'@': 46}), 2: (1, {'@': 46}), 3: (1, {'@': 46}), 4: (1, {'@': 46}), 14: (0, 14), 6: (0, 2), 10: (0, 15), 11: (0, 16), 12: (0, 11)}, 2: {15: (0, 17), 16: (0, 18), 17: (0, 19), 6: (0, 20), 12: (0, 11), 18: (0, 21)}, 3: {19: (1, {'@': 47}), 20: (1, {'@': 47}), 17: (1, {'@': 47}), 21: (1, {'@': 47}), 15: (1, {'@': 47}), 22: (1, {'@': 47}), 23: (1, {'@': 47}), 24: (1, {'@': 47}), 25: (1, {'@': 47}), 26: (1, {'@': 47}), 27: (1, {'@': 47}), 1: (0, 23), 28: (1, {'@': 47}), 3: (1, {'@': 47}), 29: (1, {'@': 47}), 30: (1, {'@': 47}), 31: (1, {'@': 47}), 0: (0, 22), 2: (1, {'@': 47}), 12: (1, {'@': 47}), 32: (1, {'@': 47}), 33: (1, {'@': 47}), 4: (0, 24), 34: (1, {'@': 47})}, 4: {3: (1, {'@': 48}), 4: (0, 8), 7: (0, 3), 1: (0, 9), 9: (0, 25), 0: (0, 6)}, 5: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 10: (0, 7), 11: (0, 10), 8: (0, 26), 12: (0, 11), 14: (0, 13)}, 6: {19: (1, {'@': 49}), 21: (1, {'@': 49}), 15: (1, {'@': 49}), 24: (1, {'@': 49}), 26: (1, {'@': 49}), 29: (1, {'@': 49}), 30: (1, {'@': 49}), 0: (1, {'@': 49}), 2: (1, {'@': 49}), 12: (1, {'@': 49}), 4: (1, {'@': 49}), 34: (1, {'@': 49}), 20: (1, {'@': 49}), 17: (1, {'@': 49}), 22: (1, {'@': 49}), 23: (1, {'@': 49}), 25: (1, {'@': 49}), 27: (1, {'@': 49}), 1: (1, {'@': 49}), 28: (1, {'@': 49}), 3: (1, {'@': 49}), 31: (1, {'@': 49}), 32: (1, {'@': 49}), 33: (1, {'@': 49})}, 7: {1: (1, {'@': 50}), 3: (1, {'@': 50}), 0: (1, {'@': 50}), 2: (1, {'@': 50}), 12: (1, {'@': 50}), 4: (1, {'@': 50})}, 8: {19: (1, {'@': 51}), 21: (1, {'@': 51}), 15: (1, {'@': 51}), 24: (1, {'@': 51}), 26: (1, {'@': 51}), 29: (1, {'@': 51}), 30: (1, {'@': 51}), 0: (1, {'@': 51}), 2: (1, {'@': 51}), 12: (1, {'@': 51}), 4: (1, {'@': 51}), 34: (1, {'@': 51}), 20: (1, {'@': 51}), 17: (1, {'@': 51}), 22: (1, {'@': 51}), 23: (1, {'@': 51}), 25: (1, {'@': 51}), 27: (1, {'@': 51}), 1: (1, {'@': 51}), 28: (1, {'@': 51}), 3: (1, {'@': 51}), 31: (1, {'@': 51}), 32: (1, {'@': 51}), 33: (1, {'@': 51})}, 9: {19: (1, {'@': 52}), 21: (1, {'@': 52}), 15: (1, {'@': 52}), 24: (1, {'@': 52}), 26: (1, {'@': 52}), 29: (1, {'@': 52}), 30: (1, {'@': 52}), 0: (1, {'@': 52}), 2: (1, {'@': 52}), 12: (1, {'@': 52}), 4: (1, {'@': 52}), 34: (1, {'@': 52}), 20: (1, {'@': 52}), 17: (1, {'@': 52}), 22: (1, {'@': 52}), 23: (1, {'@': 52}), 25: (1, {'@': 52}), 27: (1, {'@': 52}), 1: (1, {'@': 52}), 28: (1, {'@': 52}), 3: (1, {'@': 52}), 31: (1, {'@': 52}), 32: (1, {'@': 52}), 33: (1, {'@': 52})}, 10: {1: (1, {'@': 53}), 3: (1, {'@': 53}), 0: (1, {'@': 53}), 2: (1, {'@': 53}), 12: (1, {'@': 53}), 4: (1, {'@': 53})}, 11: {35: (1, {'@': 54}), 36: (1, {'@': 54}), 37: (1, {'@': 54}), 19: (1, {'@': 54}), 21: (1, {'@': 54}), 15: (1, {'@': 54}), 24: (1, {'@': 54}), 38: (1, {'@': 54}), 26: (1, {'@': 54}), 39: (1, {'@': 54}), 30: (1, {'@': 54}), 18: (1, {'@': 54}), 29: (1, {'@': 54}), 40: (1, {'@': 54}), 0: (1, {'@': 54}), 2: (1, {'@': 54}), 41: (1, {'@': 54}), 12: (1, {'@': 54}), 42: (1, {'@': 54}), 4: (1, {'@': 54}), 43: (1, {'@': 54}), 34: (1, {'@': 54}), 44: (1, {'@': 54}), 45: (1, {'@': 54}), 20: (1, {'@': 54}), 17: (1, {'@': 54}), 22: (1, {'@': 54}), 46: (1, {'@': 54}), 23: (1, {'@': 54}), 47: (1, {'@': 54}), 48: (1, {'@': 54}), 27: (1, {'@': 54}), 1: (1, {'@': 54}), 28: (1, {'@': 54}), 31: (1, {'@': 54}), 49: (1, {'@': 54}), 50: (1, {'@': 54}), 32: (1, {'@': 54}), 51: (1, {'@': 54}), 33: (1, {'@': 54}), 52: (1, {'@': 54})}, 12: {3: (0, 27)}, 13: {1: (1, {'@': 55}), 3: (1, {'@': 55}), 0: (1, {'@': 55}), 2: (1, {'@': 55}), 12: (1, {'@': 55}), 4: (1, {'@': 55})}, 14: {1: (1, {'@': 56}), 3: (1, {'@': 56}), 0: (1, {'@': 56}), 2: (1, {'@': 56}), 12: (1, {'@': 56}), 4: (1, {'@': 56})}, 15: {1: (1, {'@': 57}), 3: (1, {'@': 57}), 0: (1, {'@': 57}), 2: (1, {'@': 57}), 12: (1, {'@': 57}), 4: (1, {'@': 57})}, 16: {1: (1, {'@': 58}), 3: (1, {'@': 58}), 0: (1, {'@': 58}), 2: (1, {'@': 58}), 12: (1, {'@': 58}), 4: (1, {'@': 58})}, 17: {4: (0, 8), 9: (0, 28), 2: (0, 29), 1: (0, 9), 7: (0, 3), 6: (0, 30), 12: (0, 11), 0: (0, 6)}, 18: {15: (0, 31), 12: (0, 11), 17: (0, 32), 6: (0, 33)}, 19: {15: (1, {'@': 59}), 17: (1, {'@': 59}), 12: (1, {'@': 59})}, 20: {15: (1, {'@': 60}), 17: (1, {'@': 60}), 12: (1, {'@': 60})}, 21: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 46), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 22: {19: (1, {'@': 61}), 21: (1, {'@': 61}), 15: (1, {'@': 61}), 24: (1, {'@': 61}), 26: (1, {'@': 61}), 29: (1, {'@': 61}), 30: (1, {'@': 61}), 0: (1, {'@': 61}), 2: (1, {'@': 61}), 12: (1, {'@': 61}), 4: (1, {'@': 61}), 34: (1, {'@': 61}), 20: (1, {'@': 61}), 17: (1, {'@': 61}), 22: (1, {'@': 61}), 23: (1, {'@': 61}), 25: (1, {'@': 61}), 27: (1, {'@': 61}), 1: (1, {'@': 61}), 28: (1, {'@': 61}), 3: (1, {'@': 61}), 31: (1, {'@': 61}), 32: (1, {'@': 61}), 33: (1, {'@': 61})}, 23: {19: (1, {'@': 62}), 21: (1, {'@': 62}), 15: (1, {'@': 62}), 24: (1, {'@': 62}), 26: (1, {'@': 62}), 29: (1, {'@': 62}), 30: (1, {'@': 62}), 0: (1, {'@': 62}), 2: (1, {'@': 62}), 12: (1, {'@': 62}), 4: (1, {'@': 62}), 34: (1, {'@': 62}), 20: (1, {'@': 62}), 17: (1, {'@': 62}), 22: (1, {'@': 62}), 23: (1, {'@': 62}), 25: (1, {'@': 62}), 27: (1, {'@': 62}), 1: (1, {'@': 62}), 28: (1, {'@': 62}), 3: (1, {'@': 62}), 31: (1, {'@': 62}), 32: (1, {'@': 62}), 33: (1, {'@': 62})}, 24: {19: (1, {'@': 63}), 21: (1, {'@': 63}), 15: (1, {'@': 63}), 24: (1, {'@': 63}), 26: (1, {'@': 63}), 29: (1, {'@': 63}), 30: (1, {'@': 63}), 0: (1, {'@': 63}), 2: (1, {'@': 63}), 12: (1, {'@': 63}), 4: (1, {'@': 63}), 34: (1, {'@': 63}), 20: (1, {'@': 63}), 17: (1, {'@': 63}), 22: (1, {'@': 63}), 23: (1, {'@': 63}), 25: (1, {'@': 63}), 27: (1, {'@': 63}), 1: (1, {'@': 63}), 28: (1, {'@': 63}), 3: (1, {'@': 63}), 31: (1, {'@': 63}), 32: (1, {'@': 63}), 33: (1, {'@': 63})}, 25: {3: (1, {'@': 64})}, 26: {3: (1, {'@': 65}), 4: (0, 8), 7: (0, 3), 1: (0, 9), 9: (0, 70), 0: (0, 6)}, 27: {}, 28: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 8: (0, 71), 10: (0, 7), 11: (0, 10), 12: (0, 11), 14: (0, 13)}, 29: {4: (0, 8), 7: (0, 3), 1: (0, 9), 9: (0, 72), 0: (0, 6)}, 30: {18: (0, 73)}, 31: {9: (0, 74), 4: (0, 8), 6: (0, 75), 7: (0, 3), 1: (0, 9), 12: (0, 11), 2: (0, 76), 0: (0, 6)}, 32: {15: (1, {'@': 66}), 17: (1, {'@': 66}), 12: (1, {'@': 66})}, 33: {15: (1, {'@': 67}), 17: (1, {'@': 67}), 12: (1, {'@': 67})}, 34: {35: (1, {'@': 68}), 36: (1, {'@': 68}), 37: (1, {'@': 68}), 51: (1, {'@': 68}), 19: (1, {'@': 68}), 21: (1, {'@': 68}), 15: (1, {'@': 68}), 24: (1, {'@': 68}), 26: (1, {'@': 68}), 39: (1, {'@': 68}), 29: (1, {'@': 68}), 18: (1, {'@': 68}), 40: (1, {'@': 68}), 30: (1, {'@': 68}), 0: (1, {'@': 68}), 2: (1, {'@': 68}), 41: (1, {'@': 68}), 12: (1, {'@': 68}), 42: (1, {'@': 68}), 4: (1, {'@': 68}), 43: (1, {'@': 68}), 44: (1, {'@': 68}), 34: (1, {'@': 68}), 45: (1, {'@': 68}), 20: (1, {'@': 68}), 17: (1, {'@': 68}), 22: (1, {'@': 68}), 46: (1, {'@': 68}), 23: (1, {'@': 68}), 47: (1, {'@': 68}), 48: (1, {'@': 68}), 1: (1, {'@': 68}), 28: (1, {'@': 68}), 31: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68}), 32: (1, {'@': 68}), 38: (1, {'@': 68}), 33: (1, {'@': 68}), 52: (1, {'@': 68})}, 35: {9: (0, 77), 25: (0, 78), 59: (0, 79), 28: (0, 35), 15: (0, 36), 53: (0, 34), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 76: (0, 80), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 62: (0, 51), 61: (0, 50), 6: (0, 52), 30: (0, 53), 19: (0, 54), 29: (0, 81), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 36: {9: (0, 82), 76: (0, 83), 2: (0, 84), 25: (0, 78), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 77: (0, 86), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 87), 60: (0, 47), 32: (0, 48), 17: (0, 49), 62: (0, 51), 61: (0, 50), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 37: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 88), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 9: (0, 89), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 38: {35: (1, {'@': 69}), 36: (1, {'@': 69}), 37: (1, {'@': 69}), 51: (1, {'@': 69}), 19: (1, {'@': 69}), 21: (1, {'@': 69}), 15: (1, {'@': 69}), 24: (1, {'@': 69}), 26: (1, {'@': 69}), 39: (1, {'@': 69}), 29: (1, {'@': 69}), 18: (1, {'@': 69}), 40: (1, {'@': 69}), 30: (1, {'@': 69}), 0: (1, {'@': 69}), 2: (1, {'@': 69}), 41: (1, {'@': 69}), 12: (1, {'@': 69}), 42: (1, {'@': 69}), 4: (1, {'@': 69}), 43: (1, {'@': 69}), 44: (1, {'@': 69}), 34: (1, {'@': 69}), 45: (1, {'@': 69}), 20: (1, {'@': 69}), 17: (1, {'@': 69}), 22: (1, {'@': 69}), 46: (1, {'@': 69}), 23: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 1: (1, {'@': 69}), 28: (1, {'@': 69}), 31: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 32: (1, {'@': 69}), 38: (1, {'@': 69}), 33: (1, {'@': 69}), 52: (1, {'@': 69})}, 39: {35: (1, {'@': 70}), 36: (1, {'@': 70}), 37: (1, {'@': 70}), 19: (1, {'@': 70}), 21: (1, {'@': 70}), 15: (1, {'@': 70}), 24: (1, {'@': 70}), 38: (1, {'@': 70}), 26: (1, {'@': 70}), 39: (1, {'@': 70}), 29: (1, {'@': 70}), 18: (1, {'@': 70}), 40: (1, {'@': 70}), 30: (1, {'@': 70}), 0: (1, {'@': 70}), 2: (1, {'@': 70}), 41: (1, {'@': 70}), 12: (1, {'@': 70}), 42: (1, {'@': 70}), 4: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 34: (1, {'@': 70}), 45: (1, {'@': 70}), 20: (0, 92), 17: (1, {'@': 70}), 22: (1, {'@': 70}), 46: (1, {'@': 70}), 23: (1, {'@': 70}), 47: (0, 90), 48: (1, {'@': 70}), 1: (1, {'@': 70}), 28: (1, {'@': 70}), 31: (1, {'@': 70}), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 32: (1, {'@': 70}), 51: (1, {'@': 70}), 33: (1, {'@': 70}), 52: (1, {'@': 70}), 78: (0, 91)}, 40: {35: (1, {'@': 71}), 36: (1, {'@': 71}), 37: (1, {'@': 71}), 19: (1, {'@': 71}), 21: (1, {'@': 71}), 15: (1, {'@': 71}), 24: (1, {'@': 71}), 38: (1, {'@': 71}), 26: (1, {'@': 71}), 39: (1, {'@': 71}), 29: (1, {'@': 71}), 18: (1, {'@': 71}), 40: (1, {'@': 71}), 30: (1, {'@': 71}), 0: (1, {'@': 71}), 2: (1, {'@': 71}), 41: (1, {'@': 71}), 12: (1, {'@': 71}), 42: (1, {'@': 71}), 4: (1, {'@': 71}), 43: (1, {'@': 71}), 44: (1, {'@': 71}), 34: (1, {'@': 71}), 45: (1, {'@': 71}), 20: (1, {'@': 71}), 17: (1, {'@': 71}), 22: (1, {'@': 71}), 46: (1, {'@': 71}), 23: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 1: (1, {'@': 71}), 28: (1, {'@': 71}), 31: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 32: (1, {'@': 71}), 51: (1, {'@': 71}), 33: (1, {'@': 71}), 52: (1, {'@': 71})}, 41: {35: (1, {'@': 72}), 36: (1, {'@': 72}), 37: (1, {'@': 72}), 51: (1, {'@': 72}), 19: (1, {'@': 72}), 21: (1, {'@': 72}), 15: (1, {'@': 72}), 24: (1, {'@': 72}), 26: (1, {'@': 72}), 39: (1, {'@': 72}), 29: (1, {'@': 72}), 18: (1, {'@': 72}), 40: (1, {'@': 72}), 30: (1, {'@': 72}), 0: (1, {'@': 72}), 2: (1, {'@': 72}), 41: (1, {'@': 72}), 12: (1, {'@': 72}), 42: (1, {'@': 72}), 4: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 34: (1, {'@': 72}), 45: (1, {'@': 72}), 20: (1, {'@': 72}), 17: (1, {'@': 72}), 22: (1, {'@': 72}), 46: (1, {'@': 72}), 23: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 1: (1, {'@': 72}), 28: (1, {'@': 72}), 31: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 32: (1, {'@': 72}), 38: (1, {'@': 72}), 33: (1, {'@': 72}), 52: (1, {'@': 72})}, 42: {35: (1, {'@': 73}), 36: (1, {'@': 73}), 37: (1, {'@': 73}), 19: (1, {'@': 73}), 21: (1, {'@': 73}), 15: (1, {'@': 73}), 24: (1, {'@': 73}), 38: (1, {'@': 73}), 26: (1, {'@': 73}), 39: (1, {'@': 73}), 29: (1, {'@': 73}), 18: (1, {'@': 73}), 40: (1, {'@': 73}), 30: (1, {'@': 73}), 0: (1, {'@': 73}), 2: (1, {'@': 73}), 41: (1, {'@': 73}), 12: (1, {'@': 73}), 42: (1, {'@': 73}), 4: (1, {'@': 73}), 43: (1, {'@': 73}), 44: (1, {'@': 73}), 34: (1, {'@': 73}), 45: (1, {'@': 73}), 20: (1, {'@': 73}), 17: (1, {'@': 73}), 22: (1, {'@': 73}), 46: (1, {'@': 73}), 23: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 1: (1, {'@': 73}), 28: (1, {'@': 73}), 31: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 32: (1, {'@': 73}), 51: (1, {'@': 73}), 33: (1, {'@': 73}), 52: (1, {'@': 73})}, 43: {35: (1, {'@': 74}), 36: (1, {'@': 74}), 37: (1, {'@': 74}), 51: (1, {'@': 74}), 19: (1, {'@': 74}), 21: (1, {'@': 74}), 15: (1, {'@': 74}), 24: (1, {'@': 74}), 26: (1, {'@': 74}), 39: (1, {'@': 74}), 29: (1, {'@': 74}), 18: (1, {'@': 74}), 40: (1, {'@': 74}), 30: (1, {'@': 74}), 0: (1, {'@': 74}), 2: (1, {'@': 74}), 41: (1, {'@': 74}), 12: (1, {'@': 74}), 42: (1, {'@': 74}), 4: (1, {'@': 74}), 43: (1, {'@': 74}), 44: (1, {'@': 74}), 34: (1, {'@': 74}), 45: (1, {'@': 74}), 20: (1, {'@': 74}), 17: (1, {'@': 74}), 22: (1, {'@': 74}), 46: (1, {'@': 74}), 23: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 1: (1, {'@': 74}), 28: (1, {'@': 74}), 31: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (1, {'@': 74}), 32: (1, {'@': 74}), 38: (1, {'@': 74}), 33: (1, {'@': 74}), 52: (1, {'@': 74})}, 44: {35: (1, {'@': 75}), 36: (1, {'@': 75}), 37: (1, {'@': 75}), 19: (1, {'@': 75}), 21: (1, {'@': 75}), 15: (1, {'@': 75}), 24: (1, {'@': 75}), 38: (1, {'@': 75}), 26: (1, {'@': 75}), 39: (1, {'@': 75}), 29: (1, {'@': 75}), 18: (1, {'@': 75}), 40: (1, {'@': 75}), 30: (1, {'@': 75}), 0: (1, {'@': 75}), 2: (1, {'@': 75}), 41: (1, {'@': 75}), 12: (1, {'@': 75}), 42: (1, {'@': 75}), 4: (1, {'@': 75}), 43: (1, {'@': 75}), 44: (1, {'@': 75}), 34: (1, {'@': 75}), 45: (1, {'@': 75}), 20: (1, {'@': 75}), 17: (1, {'@': 75}), 22: (1, {'@': 75}), 46: (1, {'@': 75}), 23: (1, {'@': 75}), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 1: (1, {'@': 75}), 28: (1, {'@': 75}), 31: (1, {'@': 75}), 49: (1, {'@': 75}), 50: (1, {'@': 75}), 32: (1, {'@': 75}), 51: (1, {'@': 75}), 33: (1, {'@': 75}), 52: (1, {'@': 75})}, 45: {36: (1, {'@': 76}), 19: (1, {'@': 76}), 21: (1, {'@': 76}), 24: (1, {'@': 76}), 26: (1, {'@': 76}), 39: (1, {'@': 76}), 29: (1, {'@': 76}), 18: (1, {'@': 76}), 2: (1, {'@': 76}), 12: (1, {'@': 76}), 34: (1, {'@': 76}), 45: (1, {'@': 76}), 20: (1, {'@': 76}), 17: (1, {'@': 76}), 22: (1, {'@': 76}), 46: (1, {'@': 76}), 48: (1, {'@': 76}), 1: (1, {'@': 76}), 31: (1, {'@': 76}), 49: (1, {'@': 76}), 38: (1, {'@': 76}), 51: (1, {'@': 76}), 52: (1, {'@': 76}), 35: (1, {'@': 76}), 37: (1, {'@': 76}), 15: (1, {'@': 76}), 30: (1, {'@': 76}), 40: (1, {'@': 76}), 0: (1, {'@': 76}), 41: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 4: (1, {'@': 76}), 23: (1, {'@': 76}), 28: (1, {'@': 76}), 50: (1, {'@': 76}), 32: (1, {'@': 76}), 33: (1, {'@': 76})}, 46: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 7: (0, 3), 42: (0, 99), 0: (0, 6), 80: (0, 100), 4: (0, 8), 19: (0, 101), 39: (0, 102), 1: (0, 9), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 49: (0, 107), 46: (0, 108), 9: (0, 109)}, 47: {36: (1, {'@': 77}), 19: (1, {'@': 77}), 21: (1, {'@': 77}), 24: (1, {'@': 77}), 26: (1, {'@': 77}), 39: (1, {'@': 77}), 29: (1, {'@': 77}), 18: (1, {'@': 77}), 2: (1, {'@': 77}), 12: (1, {'@': 77}), 34: (1, {'@': 77}), 45: (1, {'@': 77}), 20: (1, {'@': 77}), 17: (1, {'@': 77}), 22: (1, {'@': 77}), 46: (1, {'@': 77}), 48: (1, {'@': 77}), 1: (1, {'@': 77}), 31: (1, {'@': 77}), 49: (1, {'@': 77}), 38: (1, {'@': 77}), 51: (1, {'@': 77}), 52: (1, {'@': 77}), 35: (1, {'@': 77}), 37: (1, {'@': 77}), 15: (1, {'@': 77}), 30: (1, {'@': 77}), 40: (1, {'@': 77}), 0: (1, {'@': 77}), 41: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 4: (1, {'@': 77}), 23: (1, {'@': 77}), 28: (0, 110), 50: (1, {'@': 77}), 32: (1, {'@': 77}), 33: (1, {'@': 77}), 44: (0, 111), 47: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115), 84: (0, 116)}, 48: {35: (1, {'@': 78}), 36: (1, {'@': 78}), 37: (1, {'@': 78}), 19: (1, {'@': 78}), 21: (1, {'@': 78}), 15: (1, {'@': 78}), 24: (1, {'@': 78}), 38: (1, {'@': 78}), 26: (1, {'@': 78}), 39: (1, {'@': 78}), 29: (1, {'@': 78}), 18: (1, {'@': 78}), 40: (1, {'@': 78}), 30: (1, {'@': 78}), 0: (1, {'@': 78}), 2: (1, {'@': 78}), 41: (1, {'@': 78}), 12: (1, {'@': 78}), 42: (1, {'@': 78}), 4: (1, {'@': 78}), 43: (1, {'@': 78}), 44: (1, {'@': 78}), 34: (1, {'@': 78}), 45: (1, {'@': 78}), 20: (1, {'@': 78}), 17: (1, {'@': 78}), 22: (1, {'@': 78}), 46: (1, {'@': 78}), 23: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 1: (1, {'@': 78}), 28: (1, {'@': 78}), 31: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78}), 32: (1, {'@': 78}), 51: (1, {'@': 78}), 33: (1, {'@': 78}), 52: (1, {'@': 78})}, 49: {35: (1, {'@': 79}), 36: (1, {'@': 79}), 37: (1, {'@': 79}), 51: (1, {'@': 79}), 19: (1, {'@': 79}), 21: (1, {'@': 79}), 15: (1, {'@': 79}), 24: (1, {'@': 79}), 26: (1, {'@': 79}), 39: (1, {'@': 79}), 29: (1, {'@': 79}), 18: (1, {'@': 79}), 40: (1, {'@': 79}), 30: (1, {'@': 79}), 0: (1, {'@': 79}), 2: (1, {'@': 79}), 41: (1, {'@': 79}), 12: (1, {'@': 79}), 42: (1, {'@': 79}), 4: (1, {'@': 79}), 43: (1, {'@': 79}), 44: (1, {'@': 79}), 34: (1, {'@': 79}), 45: (1, {'@': 79}), 20: (1, {'@': 79}), 17: (1, {'@': 79}), 22: (1, {'@': 79}), 46: (1, {'@': 79}), 23: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 1: (1, {'@': 79}), 28: (1, {'@': 79}), 31: (1, {'@': 79}), 49: (1, {'@': 79}), 50: (1, {'@': 79}), 32: (1, {'@': 79}), 38: (1, {'@': 79}), 33: (1, {'@': 79}), 52: (1, {'@': 79})}, 50: {35: (1, {'@': 80}), 36: (1, {'@': 80}), 37: (1, {'@': 80}), 51: (1, {'@': 80}), 19: (1, {'@': 80}), 21: (1, {'@': 80}), 15: (1, {'@': 80}), 24: (1, {'@': 80}), 26: (1, {'@': 80}), 39: (1, {'@': 80}), 29: (1, {'@': 80}), 18: (1, {'@': 80}), 40: (1, {'@': 80}), 30: (1, {'@': 80}), 0: (1, {'@': 80}), 2: (1, {'@': 80}), 41: (1, {'@': 80}), 12: (1, {'@': 80}), 42: (1, {'@': 80}), 4: (1, {'@': 80}), 43: (1, {'@': 80}), 44: (1, {'@': 80}), 34: (1, {'@': 80}), 45: (1, {'@': 80}), 20: (1, {'@': 80}), 17: (1, {'@': 80}), 22: (1, {'@': 80}), 46: (1, {'@': 80}), 23: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 1: (1, {'@': 80}), 28: (1, {'@': 80}), 31: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80}), 32: (1, {'@': 80}), 38: (1, {'@': 80}), 33: (1, {'@': 80}), 52: (1, {'@': 80})}, 51: {35: (1, {'@': 81}), 36: (1, {'@': 81}), 37: (1, {'@': 81}), 51: (1, {'@': 81}), 19: (1, {'@': 81}), 21: (1, {'@': 81}), 15: (1, {'@': 81}), 24: (1, {'@': 81}), 26: (1, {'@': 81}), 39: (1, {'@': 81}), 29: (1, {'@': 81}), 18: (1, {'@': 81}), 40: (1, {'@': 81}), 30: (1, {'@': 81}), 0: (1, {'@': 81}), 2: (1, {'@': 81}), 41: (1, {'@': 81}), 12: (1, {'@': 81}), 42: (1, {'@': 81}), 4: (1, {'@': 81}), 43: (1, {'@': 81}), 34: (1, {'@': 81}), 45: (1, {'@': 81}), 20: (1, {'@': 81}), 17: (1, {'@': 81}), 22: (1, {'@': 81}), 46: (1, {'@': 81}), 23: (1, {'@': 81}), 48: (1, {'@': 81}), 1: (1, {'@': 81}), 28: (1, {'@': 81}), 31: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81}), 32: (1, {'@': 81}), 38: (1, {'@': 81}), 33: (1, {'@': 81}), 52: (1, {'@': 81})}, 52: {35: (1, {'@': 82}), 36: (1, {'@': 82}), 37: (1, {'@': 82}), 51: (1, {'@': 82}), 19: (1, {'@': 82}), 21: (0, 117), 15: (1, {'@': 82}), 24: (1, {'@': 82}), 26: (1, {'@': 82}), 39: (1, {'@': 82}), 29: (1, {'@': 82}), 18: (1, {'@': 82}), 40: (1, {'@': 82}), 30: (1, {'@': 82}), 0: (1, {'@': 82}), 2: (1, {'@': 82}), 41: (1, {'@': 82}), 12: (1, {'@': 82}), 42: (1, {'@': 82}), 4: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 34: (1, {'@': 82}), 45: (1, {'@': 82}), 20: (1, {'@': 82}), 17: (1, {'@': 82}), 22: (1, {'@': 82}), 46: (1, {'@': 82}), 23: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 1: (1, {'@': 82}), 28: (1, {'@': 82}), 31: (1, {'@': 82}), 49: (1, {'@': 82}), 50: (1, {'@': 82}), 32: (1, {'@': 82}), 38: (1, {'@': 82}), 33: (1, {'@': 82}), 52: (1, {'@': 82})}, 53: {35: (1, {'@': 83}), 36: (1, {'@': 83}), 37: (1, {'@': 83}), 19: (1, {'@': 83}), 21: (1, {'@': 83}), 15: (1, {'@': 83}), 24: (1, {'@': 83}), 38: (1, {'@': 83}), 26: (1, {'@': 83}), 39: (1, {'@': 83}), 29: (1, {'@': 83}), 18: (1, {'@': 83}), 40: (1, {'@': 83}), 30: (1, {'@': 83}), 0: (1, {'@': 83}), 2: (1, {'@': 83}), 41: (1, {'@': 83}), 12: (1, {'@': 83}), 42: (1, {'@': 83}), 4: (1, {'@': 83}), 43: (1, {'@': 83}), 44: (1, {'@': 83}), 34: (1, {'@': 83}), 45: (1, {'@': 83}), 20: (1, {'@': 83}), 17: (1, {'@': 83}), 22: (1, {'@': 83}), 46: (1, {'@': 83}), 23: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 1: (1, {'@': 83}), 28: (1, {'@': 83}), 31: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83}), 32: (1, {'@': 83}), 51: (1, {'@': 83}), 33: (1, {'@': 83}), 52: (1, {'@': 83})}, 54: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 60: (0, 118), 32: (0, 48), 17: (0, 49), 61: (0, 50), 6: (0, 52), 30: (0, 53), 63: (0, 55), 65: (0, 57), 66: (0, 58), 67: (0, 59), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 55: {35: (1, {'@': 84}), 36: (1, {'@': 84}), 37: (1, {'@': 84}), 51: (1, {'@': 84}), 19: (1, {'@': 84}), 21: (1, {'@': 84}), 15: (1, {'@': 84}), 24: (1, {'@': 84}), 26: (1, {'@': 84}), 39: (1, {'@': 84}), 29: (1, {'@': 84}), 18: (1, {'@': 84}), 40: (1, {'@': 84}), 30: (1, {'@': 84}), 0: (1, {'@': 84}), 2: (1, {'@': 84}), 41: (1, {'@': 84}), 12: (1, {'@': 84}), 42: (1, {'@': 84}), 4: (1, {'@': 84}), 43: (1, {'@': 84}), 44: (1, {'@': 84}), 34: (1, {'@': 84}), 45: (1, {'@': 84}), 20: (1, {'@': 84}), 17: (1, {'@': 84}), 22: (1, {'@': 84}), 46: (1, {'@': 84}), 23: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 1: (1, {'@': 84}), 28: (1, {'@': 84}), 31: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84}), 32: (1, {'@': 84}), 38: (1, {'@': 84}), 33: (1, {'@': 84}), 52: (1, {'@': 84})}, 56: {35: (1, {'@': 85}), 36: (1, {'@': 85}), 37: (1, {'@': 85}), 51: (1, {'@': 85}), 19: (1, {'@': 85}), 21: (1, {'@': 85}), 15: (1, {'@': 85}), 24: (1, {'@': 85}), 26: (1, {'@': 85}), 39: (1, {'@': 85}), 29: (1, {'@': 85}), 18: (1, {'@': 85}), 40: (1, {'@': 85}), 30: (1, {'@': 85}), 0: (1, {'@': 85}), 2: (1, {'@': 85}), 41: (1, {'@': 85}), 12: (1, {'@': 85}), 42: (1, {'@': 85}), 4: (1, {'@': 85}), 43: (1, {'@': 85}), 34: (1, {'@': 85}), 45: (1, {'@': 85}), 20: (1, {'@': 85}), 17: (1, {'@': 85}), 22: (1, {'@': 85}), 46: (1, {'@': 85}), 23: (1, {'@': 85}), 48: (1, {'@': 85}), 1: (1, {'@': 85}), 28: (1, {'@': 85}), 31: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85}), 32: (1, {'@': 85}), 38: (1, {'@': 85}), 33: (1, {'@': 85}), 52: (1, {'@': 85})}, 57: {35: (1, {'@': 86}), 36: (1, {'@': 86}), 37: (1, {'@': 86}), 51: (1, {'@': 86}), 19: (1, {'@': 86}), 21: (1, {'@': 86}), 15: (1, {'@': 86}), 24: (1, {'@': 86}), 26: (1, {'@': 86}), 39: (1, {'@': 86}), 29: (1, {'@': 86}), 18: (1, {'@': 86}), 40: (1, {'@': 86}), 30: (1, {'@': 86}), 0: (1, {'@': 86}), 2: (1, {'@': 86}), 41: (1, {'@': 86}), 12: (1, {'@': 86}), 42: (1, {'@': 86}), 4: (1, {'@': 86}), 43: (1, {'@': 86}), 44: (1, {'@': 86}), 34: (1, {'@': 86}), 45: (1, {'@': 86}), 20: (1, {'@': 86}), 17: (1, {'@': 86}), 22: (1, {'@': 86}), 46: (1, {'@': 86}), 23: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 1: (1, {'@': 86}), 28: (1, {'@': 86}), 31: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86}), 32: (1, {'@': 86}), 38: (1, {'@': 86}), 33: (1, {'@': 86}), 52: (1, {'@': 86})}, 58: {35: (1, {'@': 87}), 36: (1, {'@': 87}), 37: (1, {'@': 87}), 51: (1, {'@': 87}), 19: (1, {'@': 87}), 21: (1, {'@': 87}), 15: (1, {'@': 87}), 24: (1, {'@': 87}), 26: (1, {'@': 87}), 39: (1, {'@': 87}), 29: (1, {'@': 87}), 18: (1, {'@': 87}), 40: (1, {'@': 87}), 30: (1, {'@': 87}), 0: (1, {'@': 87}), 2: (1, {'@': 87}), 41: (1, {'@': 87}), 12: (1, {'@': 87}), 42: (1, {'@': 87}), 4: (1, {'@': 87}), 43: (1, {'@': 87}), 44: (1, {'@': 87}), 34: (1, {'@': 87}), 45: (1, {'@': 87}), 20: (1, {'@': 87}), 17: (1, {'@': 87}), 22: (1, {'@': 87}), 46: (1, {'@': 87}), 23: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 1: (1, {'@': 87}), 28: (1, {'@': 87}), 31: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87}), 32: (1, {'@': 87}), 38: (1, {'@': 87}), 33: (1, {'@': 87}), 52: (1, {'@': 87})}, 59: {35: (1, {'@': 88}), 36: (1, {'@': 88}), 37: (1, {'@': 88}), 51: (1, {'@': 88}), 19: (1, {'@': 88}), 21: (1, {'@': 88}), 15: (1, {'@': 88}), 24: (1, {'@': 88}), 26: (1, {'@': 88}), 39: (1, {'@': 88}), 29: (1, {'@': 88}), 18: (1, {'@': 88}), 40: (1, {'@': 88}), 30: (1, {'@': 88}), 0: (1, {'@': 88}), 2: (1, {'@': 88}), 41: (1, {'@': 88}), 12: (1, {'@': 88}), 42: (1, {'@': 88}), 4: (1, {'@': 88}), 43: (1, {'@': 88}), 44: (1, {'@': 88}), 34: (1, {'@': 88}), 45: (1, {'@': 88}), 20: (1, {'@': 88}), 17: (1, {'@': 88}), 22: (1, {'@': 88}), 46: (1, {'@': 88}), 23: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 1: (1, {'@': 88}), 28: (1, {'@': 88}), 31: (1, {'@': 88}), 49: (1, {'@': 88}), 50: (1, {'@': 88}), 32: (1, {'@': 88}), 38: (1, {'@': 88}), 33: (1, {'@': 88}), 52: (1, {'@': 88})}, 60: {36: (1, {'@': 89}), 19: (1, {'@': 89}), 21: (1, {'@': 89}), 24: (1, {'@': 89}), 26: (1, {'@': 89}), 39: (1, {'@': 89}), 29: (1, {'@': 89}), 18: (1, {'@': 89}), 2: (1, {'@': 89}), 12: (1, {'@': 89}), 34: (1, {'@': 89}), 45: (1, {'@': 89}), 20: (1, {'@': 89}), 17: (1, {'@': 89}), 22: (1, {'@': 89}), 46: (1, {'@': 89}), 48: (1, {'@': 89}), 1: (1, {'@': 89}), 31: (1, {'@': 89}), 49: (1, {'@': 89}), 38: (1, {'@': 89}), 51: (1, {'@': 89}), 52: (1, {'@': 89}), 35: (1, {'@': 89}), 37: (1, {'@': 89}), 15: (1, {'@': 89}), 30: (1, {'@': 89}), 40: (1, {'@': 89}), 0: (1, {'@': 89}), 41: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 4: (1, {'@': 89}), 23: (1, {'@': 89}), 28: (1, {'@': 89}), 50: (1, {'@': 89}), 32: (1, {'@': 89}), 33: (1, {'@': 89})}, 61: {35: (1, {'@': 90}), 36: (1, {'@': 90}), 37: (1, {'@': 90}), 51: (1, {'@': 90}), 19: (1, {'@': 90}), 21: (1, {'@': 90}), 15: (1, {'@': 90}), 24: (1, {'@': 90}), 26: (1, {'@': 90}), 39: (1, {'@': 90}), 29: (1, {'@': 90}), 18: (1, {'@': 90}), 40: (1, {'@': 90}), 30: (1, {'@': 90}), 0: (1, {'@': 90}), 2: (1, {'@': 90}), 41: (1, {'@': 90}), 12: (1, {'@': 90}), 42: (1, {'@': 90}), 4: (1, {'@': 90}), 43: (1, {'@': 90}), 44: (1, {'@': 90}), 34: (1, {'@': 90}), 45: (1, {'@': 90}), 20: (1, {'@': 90}), 17: (1, {'@': 90}), 22: (1, {'@': 90}), 46: (1, {'@': 90}), 23: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 1: (1, {'@': 90}), 28: (1, {'@': 90}), 31: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90}), 32: (1, {'@': 90}), 38: (1, {'@': 90}), 33: (1, {'@': 90}), 52: (1, {'@': 90})}, 62: {35: (1, {'@': 91}), 36: (1, {'@': 91}), 37: (1, {'@': 91}), 51: (1, {'@': 91}), 19: (1, {'@': 91}), 21: (1, {'@': 91}), 15: (1, {'@': 91}), 24: (1, {'@': 91}), 26: (1, {'@': 91}), 39: (1, {'@': 91}), 29: (1, {'@': 91}), 18: (1, {'@': 91}), 40: (1, {'@': 91}), 30: (1, {'@': 91}), 0: (1, {'@': 91}), 2: (1, {'@': 91}), 41: (1, {'@': 91}), 12: (1, {'@': 91}), 42: (1, {'@': 91}), 4: (1, {'@': 91}), 43: (1, {'@': 91}), 44: (1, {'@': 91}), 34: (1, {'@': 91}), 45: (1, {'@': 91}), 20: (1, {'@': 91}), 17: (1, {'@': 91}), 22: (1, {'@': 91}), 46: (1, {'@': 91}), 23: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 1: (1, {'@': 91}), 28: (1, {'@': 91}), 31: (1, {'@': 91}), 49: (1, {'@': 91}), 50: (1, {'@': 91}), 32: (1, {'@': 91}), 38: (1, {'@': 91}), 33: (1, {'@': 91}), 52: (1, {'@': 91})}, 63: {35: (1, {'@': 92}), 36: (1, {'@': 92}), 37: (1, {'@': 92}), 51: (1, {'@': 92}), 19: (1, {'@': 92}), 21: (1, {'@': 92}), 15: (1, {'@': 92}), 24: (1, {'@': 92}), 26: (1, {'@': 92}), 39: (1, {'@': 92}), 29: (1, {'@': 92}), 18: (1, {'@': 92}), 40: (1, {'@': 92}), 30: (1, {'@': 92}), 0: (1, {'@': 92}), 2: (1, {'@': 92}), 41: (1, {'@': 92}), 12: (1, {'@': 92}), 42: (1, {'@': 92}), 4: (1, {'@': 92}), 43: (1, {'@': 92}), 44: (1, {'@': 92}), 34: (1, {'@': 92}), 45: (1, {'@': 92}), 20: (1, {'@': 92}), 17: (1, {'@': 92}), 22: (1, {'@': 92}), 46: (1, {'@': 92}), 23: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 1: (1, {'@': 92}), 28: (1, {'@': 92}), 31: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92}), 32: (1, {'@': 92}), 38: (1, {'@': 92}), 33: (1, {'@': 92}), 52: (1, {'@': 92})}, 64: {35: (1, {'@': 93}), 36: (1, {'@': 93}), 37: (1, {'@': 93}), 51: (1, {'@': 93}), 19: (1, {'@': 93}), 21: (1, {'@': 93}), 15: (1, {'@': 93}), 24: (1, {'@': 93}), 26: (1, {'@': 93}), 39: (1, {'@': 93}), 29: (1, {'@': 93}), 18: (1, {'@': 93}), 40: (1, {'@': 93}), 30: (1, {'@': 93}), 0: (1, {'@': 93}), 2: (1, {'@': 93}), 41: (1, {'@': 93}), 12: (1, {'@': 93}), 42: (1, {'@': 93}), 4: (1, {'@': 93}), 43: (1, {'@': 93}), 44: (1, {'@': 93}), 34: (1, {'@': 93}), 45: (1, {'@': 93}), 20: (1, {'@': 93}), 17: (1, {'@': 93}), 22: (1, {'@': 93}), 46: (1, {'@': 93}), 23: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 1: (1, {'@': 93}), 28: (1, {'@': 93}), 31: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93}), 32: (1, {'@': 93}), 38: (1, {'@': 93}), 33: (1, {'@': 93}), 52: (1, {'@': 93})}, 65: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 60: (0, 119), 32: (0, 48), 17: (0, 49), 61: (0, 50), 6: (0, 52), 30: (0, 53), 63: (0, 55), 65: (0, 57), 66: (0, 58), 67: (0, 59), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 66: {35: (1, {'@': 94}), 36: (1, {'@': 94}), 37: (1, {'@': 94}), 51: (1, {'@': 94}), 19: (1, {'@': 94}), 21: (1, {'@': 94}), 15: (1, {'@': 94}), 24: (1, {'@': 94}), 26: (1, {'@': 94}), 39: (1, {'@': 94}), 29: (1, {'@': 94}), 18: (1, {'@': 94}), 40: (1, {'@': 94}), 30: (1, {'@': 94}), 0: (1, {'@': 94}), 2: (1, {'@': 94}), 41: (1, {'@': 94}), 12: (1, {'@': 94}), 42: (1, {'@': 94}), 4: (1, {'@': 94}), 43: (1, {'@': 94}), 44: (1, {'@': 94}), 34: (1, {'@': 94}), 45: (1, {'@': 94}), 20: (1, {'@': 94}), 17: (1, {'@': 94}), 22: (1, {'@': 94}), 46: (1, {'@': 94}), 23: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 1: (1, {'@': 94}), 28: (1, {'@': 94}), 31: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94}), 32: (1, {'@': 94}), 38: (1, {'@': 94}), 33: (1, {'@': 94}), 52: (1, {'@': 94})}, 67: {35: (1, {'@': 95}), 36: (1, {'@': 95}), 37: (1, {'@': 95}), 51: (1, {'@': 95}), 19: (1, {'@': 95}), 21: (1, {'@': 95}), 15: (1, {'@': 95}), 24: (1, {'@': 95}), 26: (1, {'@': 95}), 39: (1, {'@': 95}), 29: (1, {'@': 95}), 18: (1, {'@': 95}), 40: (1, {'@': 95}), 30: (1, {'@': 95}), 0: (1, {'@': 95}), 2: (1, {'@': 95}), 41: (1, {'@': 95}), 12: (1, {'@': 95}), 42: (1, {'@': 95}), 4: (1, {'@': 95}), 43: (1, {'@': 95}), 44: (1, {'@': 95}), 34: (1, {'@': 95}), 45: (1, {'@': 95}), 20: (1, {'@': 95}), 17: (1, {'@': 95}), 22: (1, {'@': 95}), 46: (1, {'@': 95}), 23: (1, {'@': 95}), 47: (1, {'@': 95}), 48: (1, {'@': 95}), 1: (1, {'@': 95}), 28: (1, {'@': 95}), 31: (1, {'@': 95}), 49: (1, {'@': 95}), 50: (1, {'@': 95}), 32: (1, {'@': 95}), 38: (1, {'@': 95}), 33: (1, {'@': 95}), 52: (1, {'@': 95})}, 68: {35: (1, {'@': 96}), 36: (1, {'@': 96}), 37: (1, {'@': 96}), 51: (1, {'@': 96}), 19: (1, {'@': 96}), 78: (1, {'@': 96}), 21: (1, {'@': 96}), 15: (1, {'@': 96}), 24: (1, {'@': 96}), 26: (1, {'@': 96}), 39: (1, {'@': 96}), 29: (1, {'@': 96}), 18: (1, {'@': 96}), 40: (1, {'@': 96}), 30: (1, {'@': 96}), 0: (1, {'@': 96}), 2: (1, {'@': 96}), 41: (1, {'@': 96}), 12: (1, {'@': 96}), 42: (1, {'@': 96}), 4: (1, {'@': 96}), 43: (1, {'@': 96}), 44: (1, {'@': 96}), 34: (1, {'@': 96}), 45: (1, {'@': 96}), 20: (1, {'@': 96}), 17: (1, {'@': 96}), 22: (1, {'@': 96}), 46: (1, {'@': 96}), 23: (1, {'@': 96}), 47: (1, {'@': 96}), 48: (1, {'@': 96}), 1: (1, {'@': 96}), 28: (1, {'@': 96}), 31: (1, {'@': 96}), 49: (1, {'@': 96}), 50: (1, {'@': 96}), 32: (1, {'@': 96}), 38: (1, {'@': 96}), 33: (1, {'@': 96}), 52: (1, {'@': 96})}, 69: {35: (1, {'@': 97}), 36: (1, {'@': 97}), 37: (1, {'@': 97}), 51: (1, {'@': 97}), 19: (1, {'@': 97}), 21: (1, {'@': 97}), 15: (1, {'@': 97}), 24: (1, {'@': 97}), 26: (1, {'@': 97}), 39: (1, {'@': 97}), 29: (1, {'@': 97}), 18: (1, {'@': 97}), 40: (1, {'@': 97}), 30: (1, {'@': 97}), 0: (1, {'@': 97}), 2: (1, {'@': 97}), 41: (1, {'@': 97}), 12: (1, {'@': 97}), 42: (1, {'@': 97}), 4: (1, {'@': 97}), 43: (1, {'@': 97}), 44: (1, {'@': 97}), 34: (1, {'@': 97}), 45: (1, {'@': 97}), 20: (1, {'@': 97}), 17: (1, {'@': 97}), 22: (1, {'@': 97}), 46: (1, {'@': 97}), 23: (1, {'@': 97}), 47: (1, {'@': 97}), 48: (1, {'@': 97}), 1: (1, {'@': 97}), 28: (1, {'@': 97}), 31: (1, {'@': 97}), 49: (1, {'@': 97}), 50: (1, {'@': 97}), 32: (1, {'@': 97}), 38: (1, {'@': 97}), 33: (1, {'@': 97}), 52: (1, {'@': 97})}, 70: {3: (1, {'@': 98})}, 71: {2: (0, 120)}, 72: {1: (1, {'@': 99}), 3: (1, {'@': 99}), 0: (1, {'@': 99}), 2: (1, {'@': 99}), 12: (1, {'@': 99}), 4: (1, {'@': 99})}, 73: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 121), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 74: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 8: (0, 122), 10: (0, 7), 11: (0, 10), 12: (0, 11), 14: (0, 13)}, 75: {18: (0, 123)}, 76: {4: (0, 8), 7: (0, 3), 9: (0, 124), 1: (0, 9), 0: (0, 6)}, 77: {25: (0, 78), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 59: (0, 125), 56: (0, 41), 76: (0, 126), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 62: (0, 51), 61: (0, 50), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 29: (0, 127), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 78: {6: (0, 128), 9: (0, 129), 0: (0, 6), 7: (0, 3), 1: (0, 9), 4: (0, 8), 12: (0, 11)}, 79: {85: (0, 130), 41: (0, 96), 38: (0, 98), 0: (0, 6), 80: (0, 100), 7: (0, 3), 9: (0, 131), 33: (0, 132), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 29: (0, 133), 48: (0, 105), 49: (0, 107)}, 80: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 9: (0, 134), 59: (0, 135), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 75: (0, 69), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68)}, 81: {35: (1, {'@': 100}), 36: (1, {'@': 100}), 37: (1, {'@': 100}), 19: (1, {'@': 100}), 21: (1, {'@': 100}), 15: (1, {'@': 100}), 24: (1, {'@': 100}), 38: (1, {'@': 100}), 26: (1, {'@': 100}), 39: (1, {'@': 100}), 29: (1, {'@': 100}), 18: (1, {'@': 100}), 40: (1, {'@': 100}), 30: (1, {'@': 100}), 0: (1, {'@': 100}), 2: (1, {'@': 100}), 41: (1, {'@': 100}), 12: (1, {'@': 100}), 42: (1, {'@': 100}), 4: (1, {'@': 100}), 43: (1, {'@': 100}), 44: (1, {'@': 100}), 34: (1, {'@': 100}), 45: (1, {'@': 100}), 20: (1, {'@': 100}), 17: (1, {'@': 100}), 22: (1, {'@': 100}), 46: (1, {'@': 100}), 23: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 1: (1, {'@': 100}), 28: (1, {'@': 100}), 31: (1, {'@': 100}), 49: (1, {'@': 100}), 50: (1, {'@': 100}), 32: (1, {'@': 100}), 51: (1, {'@': 100}), 33: (1, {'@': 100}), 52: (1, {'@': 100})}, 82: {25: (0, 78), 53: (0, 34), 28: (0, 35), 15: (0, 36), 76: (0, 136), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 77: (0, 137), 59: (0, 87), 60: (0, 47), 32: (0, 48), 17: (0, 49), 62: (0, 51), 61: (0, 50), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 83: {53: (0, 34), 28: (0, 35), 15: (0, 36), 59: (0, 138), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 84: {35: (1, {'@': 101}), 36: (1, {'@': 101}), 37: (1, {'@': 101}), 19: (1, {'@': 101}), 21: (1, {'@': 101}), 15: (1, {'@': 101}), 24: (1, {'@': 101}), 38: (1, {'@': 101}), 26: (1, {'@': 101}), 39: (1, {'@': 101}), 29: (1, {'@': 101}), 18: (1, {'@': 101}), 40: (1, {'@': 101}), 30: (1, {'@': 101}), 0: (1, {'@': 101}), 2: (1, {'@': 101}), 41: (1, {'@': 101}), 12: (1, {'@': 101}), 42: (1, {'@': 101}), 4: (1, {'@': 101}), 43: (1, {'@': 101}), 44: (1, {'@': 101}), 34: (1, {'@': 101}), 45: (1, {'@': 101}), 20: (1, {'@': 101}), 17: (1, {'@': 101}), 22: (1, {'@': 101}), 46: (1, {'@': 101}), 23: (1, {'@': 101}), 47: (1, {'@': 101}), 48: (1, {'@': 101}), 1: (1, {'@': 101}), 28: (1, {'@': 101}), 31: (1, {'@': 101}), 49: (1, {'@': 101}), 50: (1, {'@': 101}), 32: (1, {'@': 101}), 51: (1, {'@': 101}), 33: (1, {'@': 101}), 52: (1, {'@': 101})}, 85: {35: (1, {'@': 82}), 36: (1, {'@': 82}), 37: (1, {'@': 82}), 51: (1, {'@': 82}), 19: (0, 54), 21: (0, 139), 15: (0, 36), 24: (0, 44), 26: (0, 40), 39: (1, {'@': 82}), 29: (1, {'@': 82}), 18: (0, 140), 40: (1, {'@': 82}), 30: (0, 53), 0: (1, {'@': 82}), 2: (1, {'@': 82}), 41: (1, {'@': 82}), 12: (0, 11), 42: (1, {'@': 82}), 4: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 34: (0, 65), 45: (1, {'@': 82}), 20: (0, 68), 17: (0, 49), 22: (1, {'@': 82}), 46: (1, {'@': 82}), 23: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 1: (1, {'@': 82}), 28: (0, 35), 31: (0, 42), 49: (1, {'@': 82}), 50: (1, {'@': 82}), 32: (0, 48), 38: (1, {'@': 82}), 33: (1, {'@': 82}), 52: (1, {'@': 82}), 53: (0, 34), 54: (0, 38), 55: (0, 39), 56: (0, 41), 57: (0, 43), 58: (0, 45), 59: (0, 141), 60: (0, 47), 61: (0, 50), 62: (0, 51), 6: (0, 52), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 73: (0, 66), 74: (0, 67), 75: (0, 69)}, 86: {86: (0, 142), 7: (0, 3), 0: (0, 6), 87: (0, 143), 33: (0, 144), 4: (0, 8), 2: (0, 145), 1: (0, 9), 9: (0, 146)}, 87: {41: (0, 96), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 43: (0, 103), 56: (0, 41), 37: (0, 106), 31: (0, 42), 79: (0, 93), 57: (0, 43), 42: (0, 99), 24: (0, 44), 52: (0, 104), 58: (0, 45), 59: (0, 147), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 19: (0, 148), 39: (0, 102), 18: (0, 149), 48: (0, 105), 6: (0, 52), 38: (0, 98), 30: (0, 53), 40: (0, 94), 63: (0, 55), 50: (0, 95), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 80: (0, 100), 71: (0, 63), 46: (0, 108), 72: (0, 64), 34: (0, 65), 45: (0, 97), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69), 49: (0, 107)}, 88: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 46: (0, 108), 45: (0, 97), 38: (0, 98), 7: (0, 3), 42: (0, 99), 9: (0, 150), 0: (0, 6), 80: (0, 100), 4: (0, 8), 19: (0, 101), 39: (0, 102), 1: (0, 9), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 23: (0, 151), 49: (0, 107)}, 89: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 152), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 90: {55: (0, 153), 20: (0, 68)}, 91: {55: (0, 154), 20: (0, 68)}, 92: {35: (1, {'@': 102}), 36: (1, {'@': 102}), 37: (1, {'@': 102}), 51: (1, {'@': 102}), 19: (1, {'@': 102}), 78: (1, {'@': 102}), 21: (1, {'@': 102}), 15: (1, {'@': 102}), 24: (1, {'@': 102}), 26: (1, {'@': 102}), 39: (1, {'@': 102}), 29: (1, {'@': 102}), 18: (1, {'@': 102}), 40: (1, {'@': 102}), 30: (1, {'@': 102}), 0: (1, {'@': 102}), 2: (1, {'@': 102}), 41: (1, {'@': 102}), 12: (1, {'@': 102}), 42: (1, {'@': 102}), 4: (1, {'@': 102}), 43: (1, {'@': 102}), 44: (1, {'@': 102}), 34: (1, {'@': 102}), 45: (1, {'@': 102}), 20: (1, {'@': 102}), 17: (1, {'@': 102}), 22: (1, {'@': 102}), 46: (1, {'@': 102}), 23: (1, {'@': 102}), 47: (1, {'@': 102}), 48: (1, {'@': 102}), 1: (1, {'@': 102}), 28: (1, {'@': 102}), 31: (1, {'@': 102}), 49: (1, {'@': 102}), 50: (1, {'@': 102}), 32: (1, {'@': 102}), 38: (1, {'@': 102}), 33: (1, {'@': 102}), 52: (1, {'@': 102})}, 93: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 155), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 9: (0, 156), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 94: {19: (1, {'@': 103}), 20: (1, {'@': 103}), 17: (1, {'@': 103}), 21: (1, {'@': 103}), 15: (1, {'@': 103}), 24: (1, {'@': 103}), 26: (1, {'@': 103}), 1: (1, {'@': 103}), 28: (1, {'@': 103}), 30: (1, {'@': 103}), 31: (1, {'@': 103}), 0: (1, {'@': 103}), 12: (1, {'@': 103}), 32: (1, {'@': 103}), 4: (1, {'@': 103}), 34: (1, {'@': 103})}, 95: {19: (1, {'@': 104}), 20: (1, {'@': 104}), 17: (1, {'@': 104}), 21: (1, {'@': 104}), 15: (1, {'@': 104}), 24: (1, {'@': 104}), 26: (1, {'@': 104}), 1: (1, {'@': 104}), 28: (1, {'@': 104}), 30: (1, {'@': 104}), 31: (1, {'@': 104}), 0: (1, {'@': 104}), 12: (1, {'@': 104}), 32: (1, {'@': 104}), 4: (1, {'@': 104}), 34: (1, {'@': 104})}, 96: {19: (1, {'@': 105}), 20: (1, {'@': 105}), 17: (1, {'@': 105}), 21: (1, {'@': 105}), 15: (1, {'@': 105}), 24: (1, {'@': 105}), 26: (1, {'@': 105}), 1: (1, {'@': 105}), 28: (1, {'@': 105}), 30: (1, {'@': 105}), 31: (1, {'@': 105}), 0: (1, {'@': 105}), 12: (1, {'@': 105}), 32: (1, {'@': 105}), 4: (1, {'@': 105}), 34: (1, {'@': 105})}, 97: {19: (1, {'@': 106}), 20: (1, {'@': 106}), 17: (1, {'@': 106}), 21: (1, {'@': 106}), 15: (1, {'@': 106}), 24: (1, {'@': 106}), 26: (1, {'@': 106}), 1: (1, {'@': 106}), 28: (1, {'@': 106}), 30: (1, {'@': 106}), 31: (1, {'@': 106}), 0: (1, {'@': 106}), 12: (1, {'@': 106}), 32: (1, {'@': 106}), 4: (1, {'@': 106}), 34: (1, {'@': 106})}, 98: {19: (1, {'@': 107}), 20: (1, {'@': 107}), 17: (1, {'@': 107}), 21: (1, {'@': 107}), 15: (1, {'@': 107}), 24: (1, {'@': 107}), 26: (1, {'@': 107}), 1: (1, {'@': 107}), 28: (1, {'@': 107}), 30: (1, {'@': 107}), 31: (1, {'@': 107}), 0: (1, {'@': 107}), 12: (1, {'@': 107}), 32: (1, {'@': 107}), 4: (1, {'@': 107}), 34: (1, {'@': 107})}, 99: {19: (1, {'@': 108}), 20: (1, {'@': 108}), 17: (1, {'@': 108}), 21: (1, {'@': 108}), 15: (1, {'@': 108}), 24: (1, {'@': 108}), 26: (1, {'@': 108}), 1: (1, {'@': 108}), 28: (1, {'@': 108}), 30: (1, {'@': 108}), 31: (1, {'@': 108}), 0: (1, {'@': 108}), 12: (1, {'@': 108}), 32: (1, {'@': 108}), 4: (1, {'@': 108}), 34: (1, {'@': 108})}, 100: {35: (1, {'@': 109}), 36: (1, {'@': 109}), 37: (1, {'@': 109}), 19: (1, {'@': 109}), 21: (1, {'@': 109}), 15: (1, {'@': 109}), 24: (1, {'@': 109}), 38: (1, {'@': 109}), 26: (1, {'@': 109}), 39: (1, {'@': 109}), 29: (1, {'@': 109}), 18: (1, {'@': 109}), 40: (1, {'@': 109}), 30: (1, {'@': 109}), 0: (1, {'@': 109}), 2: (1, {'@': 109}), 41: (1, {'@': 109}), 12: (1, {'@': 109}), 42: (1, {'@': 109}), 4: (1, {'@': 109}), 43: (1, {'@': 109}), 34: (1, {'@': 109}), 45: (1, {'@': 109}), 20: (1, {'@': 109}), 17: (1, {'@': 109}), 22: (1, {'@': 109}), 46: (1, {'@': 109}), 23: (1, {'@': 109}), 48: (1, {'@': 109}), 1: (1, {'@': 109}), 28: (1, {'@': 109}), 31: (1, {'@': 109}), 49: (1, {'@': 109}), 50: (1, {'@': 109}), 32: (1, {'@': 109}), 51: (1, {'@': 109}), 33: (1, {'@': 109}), 52: (1, {'@': 109})}, 101: {19: (1, {'@': 110}), 20: (1, {'@': 110}), 17: (1, {'@': 110}), 21: (1, {'@': 110}), 15: (1, {'@': 110}), 24: (1, {'@': 110}), 26: (1, {'@': 110}), 1: (1, {'@': 110}), 28: (1, {'@': 110}), 30: (1, {'@': 110}), 31: (1, {'@': 110}), 0: (1, {'@': 110}), 12: (1, {'@': 110}), 32: (1, {'@': 110}), 4: (1, {'@': 110}), 34: (1, {'@': 110})}, 102: {19: (1, {'@': 111}), 20: (1, {'@': 111}), 17: (1, {'@': 111}), 21: (1, {'@': 111}), 15: (1, {'@': 111}), 24: (1, {'@': 111}), 26: (1, {'@': 111}), 1: (1, {'@': 111}), 28: (1, {'@': 111}), 30: (1, {'@': 111}), 31: (1, {'@': 111}), 0: (1, {'@': 111}), 12: (1, {'@': 111}), 32: (1, {'@': 111}), 4: (1, {'@': 111}), 34: (1, {'@': 111})}, 103: {19: (1, {'@': 112}), 20: (1, {'@': 112}), 17: (1, {'@': 112}), 21: (1, {'@': 112}), 15: (1, {'@': 112}), 24: (1, {'@': 112}), 26: (1, {'@': 112}), 1: (1, {'@': 112}), 28: (1, {'@': 112}), 30: (1, {'@': 112}), 31: (1, {'@': 112}), 0: (1, {'@': 112}), 12: (1, {'@': 112}), 32: (1, {'@': 112}), 4: (1, {'@': 112}), 34: (1, {'@': 112})}, 104: {19: (1, {'@': 113}), 20: (1, {'@': 113}), 17: (1, {'@': 113}), 21: (1, {'@': 113}), 15: (1, {'@': 113}), 24: (1, {'@': 113}), 26: (1, {'@': 113}), 1: (1, {'@': 113}), 28: (1, {'@': 113}), 30: (1, {'@': 113}), 31: (1, {'@': 113}), 0: (1, {'@': 113}), 12: (1, {'@': 113}), 32: (1, {'@': 113}), 4: (1, {'@': 113}), 34: (1, {'@': 113})}, 105: {19: (1, {'@': 114}), 20: (1, {'@': 114}), 17: (1, {'@': 114}), 21: (1, {'@': 114}), 15: (1, {'@': 114}), 24: (1, {'@': 114}), 26: (1, {'@': 114}), 1: (1, {'@': 114}), 28: (1, {'@': 114}), 30: (1, {'@': 114}), 31: (1, {'@': 114}), 0: (1, {'@': 114}), 12: (1, {'@': 114}), 32: (1, {'@': 114}), 4: (1, {'@': 114}), 34: (1, {'@': 114})}, 106: {19: (1, {'@': 115}), 20: (1, {'@': 115}), 17: (1, {'@': 115}), 21: (1, {'@': 115}), 15: (1, {'@': 115}), 24: (1, {'@': 115}), 26: (1, {'@': 115}), 1: (1, {'@': 115}), 28: (1, {'@': 115}), 30: (1, {'@': 115}), 31: (1, {'@': 115}), 0: (1, {'@': 115}), 12: (1, {'@': 115}), 32: (1, {'@': 115}), 4: (1, {'@': 115}), 34: (1, {'@': 115})}, 107: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 157), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 108: {19: (1, {'@': 116}), 20: (1, {'@': 116}), 17: (1, {'@': 116}), 21: (1, {'@': 116}), 15: (1, {'@': 116}), 24: (1, {'@': 116}), 26: (1, {'@': 116}), 1: (1, {'@': 116}), 28: (1, {'@': 116}), 30: (1, {'@': 116}), 31: (1, {'@': 116}), 0: (1, {'@': 116}), 12: (1, {'@': 116}), 32: (1, {'@': 116}), 4: (1, {'@': 116}), 34: (1, {'@': 116})}, 109: {1: (1, {'@': 117}), 3: (1, {'@': 117}), 0: (1, {'@': 117}), 2: (1, {'@': 117}), 12: (1, {'@': 117}), 4: (1, {'@': 117})}, 110: {9: (0, 158), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 45: (0, 159), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 160), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 111: {35: (1, {'@': 118}), 36: (1, {'@': 118}), 37: (1, {'@': 118}), 51: (1, {'@': 118}), 19: (1, {'@': 118}), 21: (1, {'@': 118}), 15: (1, {'@': 118}), 24: (1, {'@': 118}), 26: (1, {'@': 118}), 39: (1, {'@': 118}), 29: (1, {'@': 118}), 18: (1, {'@': 118}), 40: (1, {'@': 118}), 30: (1, {'@': 118}), 0: (1, {'@': 118}), 2: (1, {'@': 118}), 41: (1, {'@': 118}), 12: (1, {'@': 118}), 42: (1, {'@': 118}), 4: (1, {'@': 118}), 43: (1, {'@': 118}), 44: (1, {'@': 118}), 34: (1, {'@': 118}), 45: (1, {'@': 118}), 20: (1, {'@': 118}), 17: (1, {'@': 118}), 22: (1, {'@': 118}), 46: (1, {'@': 118}), 23: (1, {'@': 118}), 47: (0, 163), 48: (1, {'@': 118}), 1: (1, {'@': 118}), 28: (1, {'@': 118}), 31: (1, {'@': 118}), 49: (1, {'@': 118}), 50: (1, {'@': 118}), 32: (1, {'@': 118}), 38: (1, {'@': 118}), 33: (1, {'@': 118}), 52: (1, {'@': 118}), 88: (0, 161), 83: (0, 162)}, 112: {12: (0, 11), 55: (0, 164), 6: (0, 165), 20: (0, 68)}, 113: {35: (1, {'@': 119}), 36: (1, {'@': 119}), 37: (1, {'@': 119}), 19: (1, {'@': 119}), 21: (1, {'@': 119}), 15: (1, {'@': 119}), 24: (1, {'@': 119}), 38: (1, {'@': 119}), 26: (1, {'@': 119}), 39: (1, {'@': 119}), 29: (1, {'@': 119}), 18: (1, {'@': 119}), 40: (1, {'@': 119}), 30: (1, {'@': 119}), 0: (1, {'@': 119}), 2: (1, {'@': 119}), 41: (1, {'@': 119}), 12: (1, {'@': 119}), 42: (1, {'@': 119}), 4: (1, {'@': 119}), 43: (1, {'@': 119}), 44: (1, {'@': 119}), 34: (1, {'@': 119}), 45: (1, {'@': 119}), 20: (1, {'@': 119}), 17: (1, {'@': 119}), 22: (1, {'@': 119}), 46: (1, {'@': 119}), 23: (1, {'@': 119}), 47: (1, {'@': 119}), 48: (1, {'@': 119}), 1: (1, {'@': 119}), 28: (1, {'@': 119}), 31: (1, {'@': 119}), 49: (1, {'@': 119}), 50: (1, {'@': 119}), 32: (1, {'@': 119}), 51: (1, {'@': 119}), 33: (1, {'@': 119}), 52: (1, {'@': 119})}, 114: {35: (1, {'@': 120}), 36: (1, {'@': 120}), 37: (1, {'@': 120}), 19: (1, {'@': 120}), 21: (1, {'@': 120}), 15: (1, {'@': 120}), 24: (1, {'@': 120}), 38: (1, {'@': 120}), 26: (1, {'@': 120}), 39: (1, {'@': 120}), 29: (1, {'@': 120}), 18: (1, {'@': 120}), 40: (1, {'@': 120}), 30: (1, {'@': 120}), 0: (1, {'@': 120}), 2: (1, {'@': 120}), 41: (1, {'@': 120}), 12: (1, {'@': 120}), 42: (1, {'@': 120}), 4: (1, {'@': 120}), 43: (1, {'@': 120}), 44: (1, {'@': 120}), 34: (1, {'@': 120}), 45: (1, {'@': 120}), 20: (1, {'@': 120}), 17: (1, {'@': 120}), 22: (1, {'@': 120}), 46: (1, {'@': 120}), 23: (1, {'@': 120}), 47: (1, {'@': 120}), 48: (1, {'@': 120}), 1: (1, {'@': 120}), 28: (1, {'@': 120}), 31: (1, {'@': 120}), 49: (1, {'@': 120}), 50: (1, {'@': 120}), 32: (1, {'@': 120}), 51: (1, {'@': 120}), 33: (1, {'@': 120}), 52: (1, {'@': 120})}, 115: {35: (1, {'@': 121}), 36: (1, {'@': 121}), 37: (1, {'@': 121}), 19: (1, {'@': 121}), 21: (1, {'@': 121}), 15: (1, {'@': 121}), 24: (1, {'@': 121}), 38: (1, {'@': 121}), 26: (1, {'@': 121}), 39: (1, {'@': 121}), 29: (1, {'@': 121}), 18: (1, {'@': 121}), 40: (1, {'@': 121}), 30: (1, {'@': 121}), 0: (1, {'@': 121}), 2: (1, {'@': 121}), 41: (1, {'@': 121}), 12: (1, {'@': 121}), 42: (1, {'@': 121}), 4: (1, {'@': 121}), 43: (1, {'@': 121}), 44: (1, {'@': 121}), 34: (1, {'@': 121}), 45: (1, {'@': 121}), 20: (1, {'@': 121}), 17: (1, {'@': 121}), 22: (1, {'@': 121}), 46: (1, {'@': 121}), 23: (1, {'@': 121}), 47: (1, {'@': 121}), 48: (1, {'@': 121}), 1: (1, {'@': 121}), 28: (1, {'@': 121}), 31: (1, {'@': 121}), 49: (1, {'@': 121}), 50: (1, {'@': 121}), 32: (1, {'@': 121}), 51: (1, {'@': 121}), 33: (1, {'@': 121}), 52: (1, {'@': 121})}, 116: {35: (1, {'@': 122}), 36: (1, {'@': 122}), 37: (1, {'@': 122}), 19: (1, {'@': 122}), 21: (1, {'@': 122}), 15: (1, {'@': 122}), 24: (1, {'@': 122}), 38: (1, {'@': 122}), 26: (1, {'@': 122}), 39: (1, {'@': 122}), 29: (1, {'@': 122}), 18: (1, {'@': 122}), 40: (1, {'@': 122}), 30: (1, {'@': 122}), 0: (1, {'@': 122}), 2: (1, {'@': 122}), 41: (1, {'@': 122}), 12: (1, {'@': 122}), 42: (1, {'@': 122}), 4: (1, {'@': 122}), 43: (1, {'@': 122}), 44: (1, {'@': 122}), 34: (1, {'@': 122}), 45: (1, {'@': 122}), 20: (1, {'@': 122}), 17: (1, {'@': 122}), 22: (1, {'@': 122}), 46: (1, {'@': 122}), 23: (1, {'@': 122}), 47: (1, {'@': 122}), 48: (1, {'@': 122}), 1: (1, {'@': 122}), 28: (1, {'@': 122}), 31: (1, {'@': 122}), 49: (1, {'@': 122}), 50: (1, {'@': 122}), 32: (1, {'@': 122}), 51: (1, {'@': 122}), 33: (1, {'@': 122}), 52: (1, {'@': 122})}, 117: {53: (0, 34), 59: (0, 166), 28: (0, 35), 15: (0, 36), 9: (0, 167), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 89: (0, 168), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 23: (0, 169), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 118: {35: (1, {'@': 123}), 36: (1, {'@': 123}), 37: (1, {'@': 123}), 19: (1, {'@': 123}), 21: (1, {'@': 123}), 15: (1, {'@': 123}), 24: (1, {'@': 123}), 38: (1, {'@': 123}), 26: (1, {'@': 123}), 39: (1, {'@': 123}), 29: (1, {'@': 123}), 18: (1, {'@': 123}), 40: (1, {'@': 123}), 30: (1, {'@': 123}), 0: (1, {'@': 123}), 2: (1, {'@': 123}), 41: (1, {'@': 123}), 12: (1, {'@': 123}), 42: (1, {'@': 123}), 4: (1, {'@': 123}), 43: (1, {'@': 123}), 34: (1, {'@': 123}), 45: (1, {'@': 123}), 20: (1, {'@': 123}), 17: (1, {'@': 123}), 22: (1, {'@': 123}), 46: (1, {'@': 123}), 23: (1, {'@': 123}), 48: (1, {'@': 123}), 1: (1, {'@': 123}), 28: (0, 110), 31: (1, {'@': 123}), 49: (1, {'@': 123}), 50: (1, {'@': 123}), 32: (1, {'@': 123}), 51: (1, {'@': 123}), 33: (1, {'@': 123}), 52: (1, {'@': 123}), 44: (0, 111), 47: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115), 84: (0, 116)}, 119: {35: (1, {'@': 124}), 36: (1, {'@': 124}), 37: (1, {'@': 124}), 19: (1, {'@': 124}), 21: (1, {'@': 124}), 15: (1, {'@': 124}), 24: (1, {'@': 124}), 38: (1, {'@': 124}), 26: (1, {'@': 124}), 39: (1, {'@': 124}), 29: (1, {'@': 124}), 18: (1, {'@': 124}), 40: (1, {'@': 124}), 30: (1, {'@': 124}), 0: (1, {'@': 124}), 2: (1, {'@': 124}), 41: (1, {'@': 124}), 12: (1, {'@': 124}), 42: (1, {'@': 124}), 4: (1, {'@': 124}), 43: (1, {'@': 124}), 34: (1, {'@': 124}), 45: (1, {'@': 124}), 20: (1, {'@': 124}), 17: (1, {'@': 124}), 22: (1, {'@': 124}), 46: (1, {'@': 124}), 23: (1, {'@': 124}), 48: (1, {'@': 124}), 1: (1, {'@': 124}), 28: (0, 110), 31: (1, {'@': 124}), 49: (1, {'@': 124}), 50: (1, {'@': 124}), 32: (1, {'@': 124}), 51: (1, {'@': 124}), 33: (1, {'@': 124}), 52: (1, {'@': 124}), 44: (0, 111), 47: (0, 112), 81: (0, 113), 82: (0, 114), 83: (0, 115), 84: (0, 116)}, 120: {4: (0, 8), 7: (0, 3), 1: (0, 9), 9: (0, 170), 0: (0, 6)}, 121: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 2: (0, 171), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 122: {2: (0, 172)}, 123: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 173), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 124: {1: (1, {'@': 125}), 3: (1, {'@': 125}), 0: (1, {'@': 125}), 2: (1, {'@': 125}), 12: (1, {'@': 125}), 4: (1, {'@': 125})}, 125: {85: (0, 174), 9: (0, 175), 41: (0, 96), 29: (0, 176), 38: (0, 98), 0: (0, 6), 80: (0, 100), 7: (0, 3), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 33: (0, 177), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 126: {9: (0, 178), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 59: (0, 179), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 127: {35: (1, {'@': 126}), 36: (1, {'@': 126}), 37: (1, {'@': 126}), 19: (1, {'@': 126}), 21: (1, {'@': 126}), 15: (1, {'@': 126}), 24: (1, {'@': 126}), 38: (1, {'@': 126}), 26: (1, {'@': 126}), 39: (1, {'@': 126}), 29: (1, {'@': 126}), 18: (1, {'@': 126}), 40: (1, {'@': 126}), 30: (1, {'@': 126}), 0: (1, {'@': 126}), 2: (1, {'@': 126}), 41: (1, {'@': 126}), 12: (1, {'@': 126}), 42: (1, {'@': 126}), 4: (1, {'@': 126}), 43: (1, {'@': 126}), 44: (1, {'@': 126}), 34: (1, {'@': 126}), 45: (1, {'@': 126}), 20: (1, {'@': 126}), 17: (1, {'@': 126}), 22: (1, {'@': 126}), 46: (1, {'@': 126}), 23: (1, {'@': 126}), 47: (1, {'@': 126}), 48: (1, {'@': 126}), 1: (1, {'@': 126}), 28: (1, {'@': 126}), 31: (1, {'@': 126}), 49: (1, {'@': 126}), 50: (1, {'@': 126}), 32: (1, {'@': 126}), 51: (1, {'@': 126}), 33: (1, {'@': 126}), 52: (1, {'@': 126})}, 128: {27: (0, 180), 9: (0, 181), 7: (0, 3), 33: (0, 182), 0: (0, 6), 4: (0, 8), 1: (0, 9)}, 129: {6: (0, 183), 12: (0, 11)}, 130: {9: (0, 184), 7: (0, 3), 33: (0, 185), 0: (0, 6), 4: (0, 8), 1: (0, 9), 29: (0, 186)}, 131: {4: (0, 8), 33: (0, 187), 29: (0, 188), 7: (0, 3), 1: (0, 9), 0: (0, 6), 9: (0, 189)}, 132: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 190), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 9: (0, 191), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 29: (0, 192), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 133: {35: (1, {'@': 127}), 36: (1, {'@': 127}), 37: (1, {'@': 127}), 19: (1, {'@': 127}), 21: (1, {'@': 127}), 15: (1, {'@': 127}), 24: (1, {'@': 127}), 38: (1, {'@': 127}), 26: (1, {'@': 127}), 39: (1, {'@': 127}), 29: (1, {'@': 127}), 18: (1, {'@': 127}), 40: (1, {'@': 127}), 30: (1, {'@': 127}), 0: (1, {'@': 127}), 2: (1, {'@': 127}), 41: (1, {'@': 127}), 12: (1, {'@': 127}), 42: (1, {'@': 127}), 4: (1, {'@': 127}), 43: (1, {'@': 127}), 44: (1, {'@': 127}), 34: (1, {'@': 127}), 45: (1, {'@': 127}), 20: (1, {'@': 127}), 17: (1, {'@': 127}), 22: (1, {'@': 127}), 46: (1, {'@': 127}), 23: (1, {'@': 127}), 47: (1, {'@': 127}), 48: (1, {'@': 127}), 1: (1, {'@': 127}), 28: (1, {'@': 127}), 31: (1, {'@': 127}), 49: (1, {'@': 127}), 50: (1, {'@': 127}), 32: (1, {'@': 127}), 51: (1, {'@': 127}), 33: (1, {'@': 127}), 52: (1, {'@': 127})}, 134: {59: (0, 193), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 135: {41: (0, 96), 9: (0, 194), 90: (0, 195), 38: (0, 98), 22: (0, 196), 0: (0, 6), 7: (0, 3), 80: (0, 100), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 29: (0, 197), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 136: {59: (0, 198), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 137: {7: (0, 3), 0: (0, 6), 33: (0, 144), 4: (0, 8), 86: (0, 199), 87: (0, 200), 1: (0, 9), 9: (0, 146), 2: (0, 201)}, 138: {35: (0, 202), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 139: {53: (0, 34), 59: (0, 203), 28: (0, 35), 15: (0, 36), 9: (0, 204), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 89: (0, 168), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 23: (0, 169), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 140: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 205), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 141: {1: (1, {'@': 128}), 0: (1, {'@': 128}), 2: (1, {'@': 128}), 33: (1, {'@': 128}), 4: (1, {'@': 128}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 142: {7: (0, 3), 4: (0, 8), 87: (0, 206), 1: (0, 9), 2: (0, 207), 9: (0, 146), 0: (0, 6), 33: (0, 144)}, 143: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 87), 77: (0, 208), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 2: (0, 209), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 144: {28: (1, {'@': 129}), 30: (1, {'@': 129}), 31: (1, {'@': 129}), 19: (1, {'@': 129}), 20: (1, {'@': 129}), 17: (1, {'@': 129}), 21: (1, {'@': 129}), 2: (1, {'@': 129}), 15: (1, {'@': 129}), 12: (1, {'@': 129}), 32: (1, {'@': 129}), 24: (1, {'@': 129}), 26: (1, {'@': 129}), 34: (1, {'@': 129}), 7: (0, 3), 9: (0, 210), 4: (0, 8), 1: (0, 9), 0: (0, 6)}, 145: {35: (1, {'@': 130}), 36: (1, {'@': 130}), 37: (1, {'@': 130}), 19: (1, {'@': 130}), 21: (1, {'@': 130}), 15: (1, {'@': 130}), 24: (1, {'@': 130}), 38: (1, {'@': 130}), 26: (1, {'@': 130}), 39: (1, {'@': 130}), 29: (1, {'@': 130}), 18: (1, {'@': 130}), 40: (1, {'@': 130}), 30: (1, {'@': 130}), 0: (1, {'@': 130}), 2: (1, {'@': 130}), 41: (1, {'@': 130}), 12: (1, {'@': 130}), 42: (1, {'@': 130}), 4: (1, {'@': 130}), 43: (1, {'@': 130}), 44: (1, {'@': 130}), 34: (1, {'@': 130}), 45: (1, {'@': 130}), 20: (1, {'@': 130}), 17: (1, {'@': 130}), 22: (1, {'@': 130}), 46: (1, {'@': 130}), 23: (1, {'@': 130}), 47: (1, {'@': 130}), 48: (1, {'@': 130}), 1: (1, {'@': 130}), 28: (1, {'@': 130}), 31: (1, {'@': 130}), 49: (1, {'@': 130}), 50: (1, {'@': 130}), 32: (1, {'@': 130}), 51: (1, {'@': 130}), 33: (1, {'@': 130}), 52: (1, {'@': 130})}, 146: {28: (1, {'@': 131}), 30: (1, {'@': 131}), 31: (1, {'@': 131}), 19: (1, {'@': 131}), 20: (1, {'@': 131}), 17: (1, {'@': 131}), 21: (1, {'@': 131}), 2: (1, {'@': 131}), 15: (1, {'@': 131}), 12: (1, {'@': 131}), 32: (1, {'@': 131}), 24: (1, {'@': 131}), 26: (1, {'@': 131}), 34: (1, {'@': 131})}, 147: {1: (1, {'@': 132}), 0: (1, {'@': 132}), 2: (1, {'@': 132}), 33: (1, {'@': 132}), 4: (1, {'@': 132}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 148: {19: (1, {'@': 110}), 20: (0, 68), 17: (0, 49), 21: (0, 37), 15: (0, 36), 24: (0, 44), 26: (0, 40), 1: (1, {'@': 110}), 28: (0, 35), 30: (0, 53), 31: (0, 42), 0: (1, {'@': 110}), 12: (0, 11), 32: (0, 48), 4: (1, {'@': 110}), 34: (1, {'@': 110}), 53: (0, 34), 54: (0, 38), 55: (0, 39), 56: (0, 41), 57: (0, 43), 60: (0, 118), 61: (0, 50), 6: (0, 52), 63: (0, 55), 65: (0, 57), 66: (0, 58), 67: (0, 59), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 73: (0, 66), 74: (0, 67), 75: (0, 69)}, 149: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 211), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 150: {23: (0, 212)}, 151: {35: (1, {'@': 133}), 36: (1, {'@': 133}), 37: (1, {'@': 133}), 51: (1, {'@': 133}), 19: (1, {'@': 133}), 21: (1, {'@': 133}), 15: (1, {'@': 133}), 24: (1, {'@': 133}), 26: (1, {'@': 133}), 39: (1, {'@': 133}), 29: (1, {'@': 133}), 18: (1, {'@': 133}), 40: (1, {'@': 133}), 30: (1, {'@': 133}), 0: (1, {'@': 133}), 2: (1, {'@': 133}), 41: (1, {'@': 133}), 12: (1, {'@': 133}), 42: (1, {'@': 133}), 4: (1, {'@': 133}), 43: (1, {'@': 133}), 44: (1, {'@': 133}), 34: (1, {'@': 133}), 45: (1, {'@': 133}), 20: (1, {'@': 133}), 17: (1, {'@': 133}), 22: (1, {'@': 133}), 46: (1, {'@': 133}), 23: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 1: (1, {'@': 133}), 28: (1, {'@': 133}), 31: (1, {'@': 133}), 49: (1, {'@': 133}), 50: (1, {'@': 133}), 32: (1, {'@': 133}), 38: (1, {'@': 133}), 33: (1, {'@': 133}), 52: (1, {'@': 133})}, 152: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 7: (0, 3), 42: (0, 99), 0: (0, 6), 80: (0, 100), 9: (0, 213), 4: (0, 8), 19: (0, 101), 39: (0, 102), 1: (0, 9), 43: (0, 103), 52: (0, 104), 23: (0, 214), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 153: {35: (1, {'@': 134}), 36: (1, {'@': 134}), 37: (1, {'@': 134}), 19: (1, {'@': 134}), 21: (1, {'@': 134}), 15: (1, {'@': 134}), 24: (1, {'@': 134}), 38: (1, {'@': 134}), 26: (1, {'@': 134}), 39: (1, {'@': 134}), 29: (1, {'@': 134}), 18: (1, {'@': 134}), 40: (1, {'@': 134}), 30: (1, {'@': 134}), 0: (1, {'@': 134}), 2: (1, {'@': 134}), 41: (1, {'@': 134}), 12: (1, {'@': 134}), 42: (1, {'@': 134}), 4: (1, {'@': 134}), 43: (1, {'@': 134}), 44: (1, {'@': 134}), 34: (1, {'@': 134}), 45: (1, {'@': 134}), 20: (0, 92), 17: (1, {'@': 134}), 22: (1, {'@': 134}), 46: (1, {'@': 134}), 23: (1, {'@': 134}), 47: (1, {'@': 134}), 48: (1, {'@': 134}), 1: (1, {'@': 134}), 28: (1, {'@': 134}), 31: (1, {'@': 134}), 49: (1, {'@': 134}), 50: (1, {'@': 134}), 32: (1, {'@': 134}), 51: (1, {'@': 134}), 33: (1, {'@': 134}), 52: (1, {'@': 134}), 78: (0, 215)}, 154: {35: (1, {'@': 135}), 36: (1, {'@': 135}), 37: (1, {'@': 135}), 19: (1, {'@': 135}), 21: (1, {'@': 135}), 15: (1, {'@': 135}), 24: (1, {'@': 135}), 38: (1, {'@': 135}), 26: (1, {'@': 135}), 39: (1, {'@': 135}), 29: (1, {'@': 135}), 18: (1, {'@': 135}), 40: (1, {'@': 135}), 30: (1, {'@': 135}), 0: (1, {'@': 135}), 2: (1, {'@': 135}), 41: (1, {'@': 135}), 12: (1, {'@': 135}), 42: (1, {'@': 135}), 4: (1, {'@': 135}), 43: (1, {'@': 135}), 44: (1, {'@': 135}), 34: (1, {'@': 135}), 45: (1, {'@': 135}), 20: (0, 92), 17: (1, {'@': 135}), 22: (1, {'@': 135}), 46: (1, {'@': 135}), 23: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 1: (1, {'@': 135}), 28: (1, {'@': 135}), 31: (1, {'@': 135}), 49: (1, {'@': 135}), 50: (1, {'@': 135}), 32: (1, {'@': 135}), 51: (1, {'@': 135}), 33: (1, {'@': 135}), 52: (1, {'@': 135})}, 155: {35: (1, {'@': 136}), 36: (1, {'@': 136}), 37: (0, 106), 51: (1, {'@': 136}), 19: (0, 101), 21: (1, {'@': 136}), 15: (1, {'@': 136}), 24: (1, {'@': 136}), 26: (1, {'@': 136}), 39: (0, 102), 29: (1, {'@': 136}), 18: (1, {'@': 136}), 40: (0, 94), 30: (1, {'@': 136}), 0: (1, {'@': 136}), 2: (1, {'@': 136}), 41: (0, 96), 12: (1, {'@': 136}), 42: (0, 99), 4: (1, {'@': 136}), 43: (0, 103), 34: (1, {'@': 136}), 45: (0, 97), 20: (1, {'@': 136}), 17: (1, {'@': 136}), 22: (1, {'@': 136}), 46: (0, 108), 23: (1, {'@': 136}), 48: (0, 105), 1: (1, {'@': 136}), 28: (1, {'@': 136}), 31: (1, {'@': 136}), 49: (0, 107), 50: (0, 95), 32: (1, {'@': 136}), 38: (0, 98), 33: (1, {'@': 136}), 52: (0, 104), 79: (0, 93), 80: (0, 100)}, 156: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 216), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 157: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 217), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 158: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 218), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 159: {29: (0, 219)}, 160: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 29: (0, 220), 38: (0, 98), 7: (0, 3), 42: (0, 99), 0: (0, 6), 80: (0, 100), 9: (0, 221), 4: (0, 8), 19: (0, 101), 39: (0, 102), 1: (0, 9), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 161: {35: (1, {'@': 137}), 36: (1, {'@': 137}), 37: (1, {'@': 137}), 51: (1, {'@': 137}), 19: (1, {'@': 137}), 21: (1, {'@': 137}), 15: (1, {'@': 137}), 24: (1, {'@': 137}), 26: (1, {'@': 137}), 39: (1, {'@': 137}), 29: (1, {'@': 137}), 18: (1, {'@': 137}), 40: (1, {'@': 137}), 30: (1, {'@': 137}), 0: (1, {'@': 137}), 2: (1, {'@': 137}), 41: (1, {'@': 137}), 12: (1, {'@': 137}), 42: (1, {'@': 137}), 4: (1, {'@': 137}), 43: (1, {'@': 137}), 44: (1, {'@': 137}), 34: (1, {'@': 137}), 45: (1, {'@': 137}), 20: (1, {'@': 137}), 17: (1, {'@': 137}), 22: (1, {'@': 137}), 46: (1, {'@': 137}), 23: (1, {'@': 137}), 47: (0, 163), 48: (1, {'@': 137}), 1: (1, {'@': 137}), 28: (1, {'@': 137}), 31: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (1, {'@': 137}), 32: (1, {'@': 137}), 38: (1, {'@': 137}), 33: (1, {'@': 137}), 52: (1, {'@': 137}), 83: (0, 222)}, 162: {35: (1, {'@': 138}), 36: (1, {'@': 138}), 37: (1, {'@': 138}), 19: (1, {'@': 138}), 21: (1, {'@': 138}), 15: (1, {'@': 138}), 24: (1, {'@': 138}), 38: (1, {'@': 138}), 26: (1, {'@': 138}), 39: (1, {'@': 138}), 29: (1, {'@': 138}), 18: (1, {'@': 138}), 40: (1, {'@': 138}), 30: (1, {'@': 138}), 0: (1, {'@': 138}), 2: (1, {'@': 138}), 41: (1, {'@': 138}), 12: (1, {'@': 138}), 42: (1, {'@': 138}), 4: (1, {'@': 138}), 43: (1, {'@': 138}), 44: (1, {'@': 138}), 34: (1, {'@': 138}), 45: (1, {'@': 138}), 20: (1, {'@': 138}), 17: (1, {'@': 138}), 22: (1, {'@': 138}), 46: (1, {'@': 138}), 23: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 1: (1, {'@': 138}), 28: (1, {'@': 138}), 31: (1, {'@': 138}), 49: (1, {'@': 138}), 50: (1, {'@': 138}), 32: (1, {'@': 138}), 51: (1, {'@': 138}), 33: (1, {'@': 138}), 52: (1, {'@': 138})}, 163: {6: (0, 165), 12: (0, 11)}, 164: {35: (1, {'@': 139}), 36: (1, {'@': 139}), 37: (1, {'@': 139}), 51: (1, {'@': 139}), 19: (1, {'@': 139}), 21: (1, {'@': 139}), 15: (1, {'@': 139}), 24: (1, {'@': 139}), 26: (1, {'@': 139}), 39: (1, {'@': 139}), 29: (1, {'@': 139}), 18: (1, {'@': 139}), 40: (1, {'@': 139}), 30: (1, {'@': 139}), 0: (1, {'@': 139}), 2: (1, {'@': 139}), 41: (1, {'@': 139}), 12: (1, {'@': 139}), 42: (1, {'@': 139}), 4: (1, {'@': 139}), 43: (1, {'@': 139}), 44: (1, {'@': 139}), 34: (1, {'@': 139}), 45: (1, {'@': 139}), 20: (0, 92), 17: (1, {'@': 139}), 22: (1, {'@': 139}), 46: (1, {'@': 139}), 23: (1, {'@': 139}), 47: (1, {'@': 139}), 48: (1, {'@': 139}), 1: (1, {'@': 139}), 28: (1, {'@': 139}), 31: (1, {'@': 139}), 49: (1, {'@': 139}), 50: (1, {'@': 139}), 32: (1, {'@': 139}), 38: (1, {'@': 139}), 33: (1, {'@': 139}), 52: (1, {'@': 139})}, 165: {35: (1, {'@': 140}), 36: (1, {'@': 140}), 37: (1, {'@': 140}), 51: (1, {'@': 140}), 19: (1, {'@': 140}), 21: (1, {'@': 140}), 15: (1, {'@': 140}), 24: (1, {'@': 140}), 26: (1, {'@': 140}), 39: (1, {'@': 140}), 29: (1, {'@': 140}), 18: (1, {'@': 140}), 40: (1, {'@': 140}), 30: (1, {'@': 140}), 0: (1, {'@': 140}), 2: (1, {'@': 140}), 41: (1, {'@': 140}), 12: (1, {'@': 140}), 42: (1, {'@': 140}), 4: (1, {'@': 140}), 43: (1, {'@': 140}), 44: (1, {'@': 140}), 34: (1, {'@': 140}), 45: (1, {'@': 140}), 20: (1, {'@': 140}), 17: (1, {'@': 140}), 22: (1, {'@': 140}), 46: (1, {'@': 140}), 23: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 1: (1, {'@': 140}), 28: (1, {'@': 140}), 31: (1, {'@': 140}), 49: (1, {'@': 140}), 50: (1, {'@': 140}), 32: (1, {'@': 140}), 38: (1, {'@': 140}), 33: (1, {'@': 140}), 52: (1, {'@': 140})}, 166: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 141}), 85: (0, 223), 36: (0, 224), 41: (0, 96), 38: (0, 98), 80: (0, 100), 7: (0, 3), 33: (0, 225), 9: (0, 226), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 167: {53: (0, 34), 59: (0, 166), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 23: (0, 227), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 9: (0, 228), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 89: (0, 229), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 168: {4: (0, 8), 7: (0, 3), 1: (0, 9), 23: (0, 230), 9: (0, 231), 0: (0, 6)}, 169: {35: (1, {'@': 142}), 36: (1, {'@': 142}), 37: (1, {'@': 142}), 19: (1, {'@': 142}), 21: (1, {'@': 142}), 15: (1, {'@': 142}), 24: (1, {'@': 142}), 38: (1, {'@': 142}), 26: (1, {'@': 142}), 39: (1, {'@': 142}), 29: (1, {'@': 142}), 18: (1, {'@': 142}), 40: (1, {'@': 142}), 30: (1, {'@': 142}), 0: (1, {'@': 142}), 2: (1, {'@': 142}), 41: (1, {'@': 142}), 12: (1, {'@': 142}), 42: (1, {'@': 142}), 4: (1, {'@': 142}), 43: (1, {'@': 142}), 44: (1, {'@': 142}), 34: (1, {'@': 142}), 45: (1, {'@': 142}), 20: (1, {'@': 142}), 17: (1, {'@': 142}), 22: (1, {'@': 142}), 46: (1, {'@': 142}), 23: (1, {'@': 142}), 47: (1, {'@': 142}), 48: (1, {'@': 142}), 1: (1, {'@': 142}), 28: (1, {'@': 142}), 31: (1, {'@': 142}), 49: (1, {'@': 142}), 50: (1, {'@': 142}), 32: (1, {'@': 142}), 51: (1, {'@': 142}), 33: (1, {'@': 142}), 52: (1, {'@': 142})}, 170: {1: (1, {'@': 143}), 3: (1, {'@': 143}), 0: (1, {'@': 143}), 2: (1, {'@': 143}), 12: (1, {'@': 143}), 4: (1, {'@': 143})}, 171: {7: (0, 3), 4: (0, 8), 1: (0, 9), 0: (0, 6), 9: (0, 232)}, 172: {4: (0, 8), 9: (0, 233), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 173: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 2: (0, 234), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 174: {9: (0, 235), 33: (0, 236), 7: (0, 3), 0: (0, 6), 4: (0, 8), 29: (0, 237), 1: (0, 9)}, 175: {33: (0, 238), 4: (0, 8), 9: (0, 239), 1: (0, 9), 7: (0, 3), 0: (0, 6), 29: (0, 240)}, 176: {35: (1, {'@': 144}), 36: (1, {'@': 144}), 37: (1, {'@': 144}), 19: (1, {'@': 144}), 21: (1, {'@': 144}), 15: (1, {'@': 144}), 24: (1, {'@': 144}), 38: (1, {'@': 144}), 26: (1, {'@': 144}), 39: (1, {'@': 144}), 29: (1, {'@': 144}), 18: (1, {'@': 144}), 40: (1, {'@': 144}), 30: (1, {'@': 144}), 0: (1, {'@': 144}), 2: (1, {'@': 144}), 41: (1, {'@': 144}), 12: (1, {'@': 144}), 42: (1, {'@': 144}), 4: (1, {'@': 144}), 43: (1, {'@': 144}), 44: (1, {'@': 144}), 34: (1, {'@': 144}), 45: (1, {'@': 144}), 20: (1, {'@': 144}), 17: (1, {'@': 144}), 22: (1, {'@': 144}), 46: (1, {'@': 144}), 23: (1, {'@': 144}), 47: (1, {'@': 144}), 48: (1, {'@': 144}), 1: (1, {'@': 144}), 28: (1, {'@': 144}), 31: (1, {'@': 144}), 49: (1, {'@': 144}), 50: (1, {'@': 144}), 32: (1, {'@': 144}), 51: (1, {'@': 144}), 33: (1, {'@': 144}), 52: (1, {'@': 144})}, 177: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 190), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 9: (0, 241), 63: (0, 55), 64: (0, 56), 65: (0, 57), 29: (0, 242), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 178: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 59: (0, 243), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 179: {41: (0, 96), 38: (0, 98), 22: (0, 196), 0: (0, 6), 7: (0, 3), 80: (0, 100), 29: (0, 244), 1: (0, 9), 43: (0, 103), 9: (0, 245), 37: (0, 106), 90: (0, 246), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 180: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 9: (0, 247), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 248), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 181: {27: (0, 249)}, 182: {6: (0, 250), 12: (0, 11)}, 183: {33: (0, 251), 9: (0, 252), 27: (0, 253), 7: (0, 3), 0: (0, 6), 4: (0, 8), 1: (0, 9)}, 184: {4: (0, 8), 33: (0, 254), 29: (0, 255), 7: (0, 3), 1: (0, 9), 0: (0, 6), 9: (0, 256)}, 185: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 9: (0, 257), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 258), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 29: (0, 259), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 186: {35: (1, {'@': 145}), 36: (1, {'@': 145}), 37: (1, {'@': 145}), 19: (1, {'@': 145}), 21: (1, {'@': 145}), 15: (1, {'@': 145}), 24: (1, {'@': 145}), 38: (1, {'@': 145}), 26: (1, {'@': 145}), 39: (1, {'@': 145}), 29: (1, {'@': 145}), 18: (1, {'@': 145}), 40: (1, {'@': 145}), 30: (1, {'@': 145}), 0: (1, {'@': 145}), 2: (1, {'@': 145}), 41: (1, {'@': 145}), 12: (1, {'@': 145}), 42: (1, {'@': 145}), 4: (1, {'@': 145}), 43: (1, {'@': 145}), 44: (1, {'@': 145}), 34: (1, {'@': 145}), 45: (1, {'@': 145}), 20: (1, {'@': 145}), 17: (1, {'@': 145}), 22: (1, {'@': 145}), 46: (1, {'@': 145}), 23: (1, {'@': 145}), 47: (1, {'@': 145}), 48: (1, {'@': 145}), 1: (1, {'@': 145}), 28: (1, {'@': 145}), 31: (1, {'@': 145}), 49: (1, {'@': 145}), 50: (1, {'@': 145}), 32: (1, {'@': 145}), 51: (1, {'@': 145}), 33: (1, {'@': 145}), 52: (1, {'@': 145})}, 187: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 9: (0, 260), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 261), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 75: (0, 69), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 29: (0, 262)}, 188: {35: (1, {'@': 146}), 36: (1, {'@': 146}), 37: (1, {'@': 146}), 19: (1, {'@': 146}), 21: (1, {'@': 146}), 15: (1, {'@': 146}), 24: (1, {'@': 146}), 38: (1, {'@': 146}), 26: (1, {'@': 146}), 39: (1, {'@': 146}), 29: (1, {'@': 146}), 18: (1, {'@': 146}), 40: (1, {'@': 146}), 30: (1, {'@': 146}), 0: (1, {'@': 146}), 2: (1, {'@': 146}), 41: (1, {'@': 146}), 12: (1, {'@': 146}), 42: (1, {'@': 146}), 4: (1, {'@': 146}), 43: (1, {'@': 146}), 44: (1, {'@': 146}), 34: (1, {'@': 146}), 45: (1, {'@': 146}), 20: (1, {'@': 146}), 17: (1, {'@': 146}), 22: (1, {'@': 146}), 46: (1, {'@': 146}), 23: (1, {'@': 146}), 47: (1, {'@': 146}), 48: (1, {'@': 146}), 1: (1, {'@': 146}), 28: (1, {'@': 146}), 31: (1, {'@': 146}), 49: (1, {'@': 146}), 50: (1, {'@': 146}), 32: (1, {'@': 146}), 51: (1, {'@': 146}), 33: (1, {'@': 146}), 52: (1, {'@': 146})}, 189: {29: (0, 263)}, 190: {36: (1, {'@': 147}), 1: (1, {'@': 147}), 29: (1, {'@': 147}), 0: (1, {'@': 147}), 23: (1, {'@': 147}), 33: (1, {'@': 147}), 4: (1, {'@': 147}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 191: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 264), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 29: (0, 265), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 192: {35: (1, {'@': 148}), 36: (1, {'@': 148}), 37: (1, {'@': 148}), 19: (1, {'@': 148}), 21: (1, {'@': 148}), 15: (1, {'@': 148}), 24: (1, {'@': 148}), 38: (1, {'@': 148}), 26: (1, {'@': 148}), 39: (1, {'@': 148}), 29: (1, {'@': 148}), 18: (1, {'@': 148}), 40: (1, {'@': 148}), 30: (1, {'@': 148}), 0: (1, {'@': 148}), 2: (1, {'@': 148}), 41: (1, {'@': 148}), 12: (1, {'@': 148}), 42: (1, {'@': 148}), 4: (1, {'@': 148}), 43: (1, {'@': 148}), 44: (1, {'@': 148}), 34: (1, {'@': 148}), 45: (1, {'@': 148}), 20: (1, {'@': 148}), 17: (1, {'@': 148}), 22: (1, {'@': 148}), 46: (1, {'@': 148}), 23: (1, {'@': 148}), 47: (1, {'@': 148}), 48: (1, {'@': 148}), 1: (1, {'@': 148}), 28: (1, {'@': 148}), 31: (1, {'@': 148}), 49: (1, {'@': 148}), 50: (1, {'@': 148}), 32: (1, {'@': 148}), 51: (1, {'@': 148}), 33: (1, {'@': 148}), 52: (1, {'@': 148})}, 193: {41: (0, 96), 38: (0, 98), 22: (0, 196), 0: (0, 6), 7: (0, 3), 80: (0, 100), 9: (0, 266), 90: (0, 267), 29: (0, 268), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 194: {4: (0, 8), 22: (0, 196), 29: (0, 269), 7: (0, 3), 1: (0, 9), 90: (0, 270), 9: (0, 271), 0: (0, 6)}, 195: {4: (0, 8), 29: (0, 272), 7: (0, 3), 1: (0, 9), 9: (0, 273), 0: (0, 6)}, 196: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 59: (0, 274), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 9: (0, 275), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 197: {35: (1, {'@': 149}), 36: (1, {'@': 149}), 37: (1, {'@': 149}), 19: (1, {'@': 149}), 21: (1, {'@': 149}), 15: (1, {'@': 149}), 24: (1, {'@': 149}), 38: (1, {'@': 149}), 26: (1, {'@': 149}), 39: (1, {'@': 149}), 29: (1, {'@': 149}), 18: (1, {'@': 149}), 40: (1, {'@': 149}), 30: (1, {'@': 149}), 0: (1, {'@': 149}), 2: (1, {'@': 149}), 41: (1, {'@': 149}), 12: (1, {'@': 149}), 42: (1, {'@': 149}), 4: (1, {'@': 149}), 43: (1, {'@': 149}), 44: (1, {'@': 149}), 34: (1, {'@': 149}), 45: (1, {'@': 149}), 20: (1, {'@': 149}), 17: (1, {'@': 149}), 22: (1, {'@': 149}), 46: (1, {'@': 149}), 23: (1, {'@': 149}), 47: (1, {'@': 149}), 48: (1, {'@': 149}), 1: (1, {'@': 149}), 28: (1, {'@': 149}), 31: (1, {'@': 149}), 49: (1, {'@': 149}), 50: (1, {'@': 149}), 32: (1, {'@': 149}), 51: (1, {'@': 149}), 33: (1, {'@': 149}), 52: (1, {'@': 149})}, 198: {79: (0, 93), 40: (0, 94), 35: (0, 276), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 199: {7: (0, 3), 4: (0, 8), 87: (0, 277), 2: (0, 278), 1: (0, 9), 9: (0, 146), 0: (0, 6), 33: (0, 144)}, 200: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 57: (0, 43), 2: (0, 279), 24: (0, 44), 58: (0, 45), 59: (0, 87), 77: (0, 208), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 201: {35: (1, {'@': 150}), 36: (1, {'@': 150}), 37: (1, {'@': 150}), 19: (1, {'@': 150}), 21: (1, {'@': 150}), 15: (1, {'@': 150}), 24: (1, {'@': 150}), 38: (1, {'@': 150}), 26: (1, {'@': 150}), 39: (1, {'@': 150}), 29: (1, {'@': 150}), 18: (1, {'@': 150}), 40: (1, {'@': 150}), 30: (1, {'@': 150}), 0: (1, {'@': 150}), 2: (1, {'@': 150}), 41: (1, {'@': 150}), 12: (1, {'@': 150}), 42: (1, {'@': 150}), 4: (1, {'@': 150}), 43: (1, {'@': 150}), 44: (1, {'@': 150}), 34: (1, {'@': 150}), 45: (1, {'@': 150}), 20: (1, {'@': 150}), 17: (1, {'@': 150}), 22: (1, {'@': 150}), 46: (1, {'@': 150}), 23: (1, {'@': 150}), 47: (1, {'@': 150}), 48: (1, {'@': 150}), 1: (1, {'@': 150}), 28: (1, {'@': 150}), 31: (1, {'@': 150}), 49: (1, {'@': 150}), 50: (1, {'@': 150}), 32: (1, {'@': 150}), 51: (1, {'@': 150}), 33: (1, {'@': 150}), 52: (1, {'@': 150})}, 202: {59: (0, 280), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 203: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (0, 151), 85: (0, 223), 36: (0, 224), 41: (0, 96), 38: (0, 98), 80: (0, 100), 7: (0, 3), 33: (0, 225), 9: (0, 281), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 204: {53: (0, 34), 59: (0, 282), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 23: (0, 227), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 9: (0, 228), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 89: (0, 229), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 205: {1: (1, {'@': 151}), 0: (1, {'@': 151}), 2: (1, {'@': 151}), 33: (1, {'@': 151}), 4: (1, {'@': 151}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 206: {53: (0, 34), 28: (0, 35), 15: (0, 36), 2: (0, 283), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 87), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 30: (0, 53), 19: (0, 54), 63: (0, 55), 77: (0, 284), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 207: {35: (1, {'@': 152}), 36: (1, {'@': 152}), 37: (1, {'@': 152}), 19: (1, {'@': 152}), 21: (1, {'@': 152}), 15: (1, {'@': 152}), 24: (1, {'@': 152}), 38: (1, {'@': 152}), 26: (1, {'@': 152}), 39: (1, {'@': 152}), 29: (1, {'@': 152}), 18: (1, {'@': 152}), 40: (1, {'@': 152}), 30: (1, {'@': 152}), 0: (1, {'@': 152}), 2: (1, {'@': 152}), 41: (1, {'@': 152}), 12: (1, {'@': 152}), 42: (1, {'@': 152}), 4: (1, {'@': 152}), 43: (1, {'@': 152}), 44: (1, {'@': 152}), 34: (1, {'@': 152}), 45: (1, {'@': 152}), 20: (1, {'@': 152}), 17: (1, {'@': 152}), 22: (1, {'@': 152}), 46: (1, {'@': 152}), 23: (1, {'@': 152}), 47: (1, {'@': 152}), 48: (1, {'@': 152}), 1: (1, {'@': 152}), 28: (1, {'@': 152}), 31: (1, {'@': 152}), 49: (1, {'@': 152}), 50: (1, {'@': 152}), 32: (1, {'@': 152}), 51: (1, {'@': 152}), 33: (1, {'@': 152}), 52: (1, {'@': 152})}, 208: {0: (1, {'@': 153}), 1: (1, {'@': 153}), 2: (1, {'@': 153}), 33: (1, {'@': 153}), 4: (1, {'@': 153})}, 209: {35: (1, {'@': 154}), 36: (1, {'@': 154}), 37: (1, {'@': 154}), 19: (1, {'@': 154}), 21: (1, {'@': 154}), 15: (1, {'@': 154}), 24: (1, {'@': 154}), 38: (1, {'@': 154}), 26: (1, {'@': 154}), 39: (1, {'@': 154}), 29: (1, {'@': 154}), 18: (1, {'@': 154}), 40: (1, {'@': 154}), 30: (1, {'@': 154}), 0: (1, {'@': 154}), 2: (1, {'@': 154}), 41: (1, {'@': 154}), 12: (1, {'@': 154}), 42: (1, {'@': 154}), 4: (1, {'@': 154}), 43: (1, {'@': 154}), 44: (1, {'@': 154}), 34: (1, {'@': 154}), 45: (1, {'@': 154}), 20: (1, {'@': 154}), 17: (1, {'@': 154}), 22: (1, {'@': 154}), 46: (1, {'@': 154}), 23: (1, {'@': 154}), 47: (1, {'@': 154}), 48: (1, {'@': 154}), 1: (1, {'@': 154}), 28: (1, {'@': 154}), 31: (1, {'@': 154}), 49: (1, {'@': 154}), 50: (1, {'@': 154}), 32: (1, {'@': 154}), 51: (1, {'@': 154}), 33: (1, {'@': 154}), 52: (1, {'@': 154})}, 210: {28: (1, {'@': 155}), 30: (1, {'@': 155}), 31: (1, {'@': 155}), 19: (1, {'@': 155}), 20: (1, {'@': 155}), 17: (1, {'@': 155}), 21: (1, {'@': 155}), 2: (1, {'@': 155}), 15: (1, {'@': 155}), 12: (1, {'@': 155}), 32: (1, {'@': 155}), 24: (1, {'@': 155}), 26: (1, {'@': 155}), 34: (1, {'@': 155})}, 211: {1: (1, {'@': 156}), 0: (1, {'@': 156}), 2: (1, {'@': 156}), 33: (1, {'@': 156}), 4: (1, {'@': 156}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 212: {35: (1, {'@': 157}), 36: (1, {'@': 157}), 37: (1, {'@': 157}), 51: (1, {'@': 157}), 19: (1, {'@': 157}), 21: (1, {'@': 157}), 15: (1, {'@': 157}), 24: (1, {'@': 157}), 26: (1, {'@': 157}), 39: (1, {'@': 157}), 29: (1, {'@': 157}), 18: (1, {'@': 157}), 40: (1, {'@': 157}), 30: (1, {'@': 157}), 0: (1, {'@': 157}), 2: (1, {'@': 157}), 41: (1, {'@': 157}), 12: (1, {'@': 157}), 42: (1, {'@': 157}), 4: (1, {'@': 157}), 43: (1, {'@': 157}), 44: (1, {'@': 157}), 34: (1, {'@': 157}), 45: (1, {'@': 157}), 20: (1, {'@': 157}), 17: (1, {'@': 157}), 22: (1, {'@': 157}), 46: (1, {'@': 157}), 23: (1, {'@': 157}), 47: (1, {'@': 157}), 48: (1, {'@': 157}), 1: (1, {'@': 157}), 28: (1, {'@': 157}), 31: (1, {'@': 157}), 49: (1, {'@': 157}), 50: (1, {'@': 157}), 32: (1, {'@': 157}), 38: (1, {'@': 157}), 33: (1, {'@': 157}), 52: (1, {'@': 157})}, 213: {23: (0, 285)}, 214: {35: (1, {'@': 158}), 36: (1, {'@': 158}), 37: (1, {'@': 158}), 51: (1, {'@': 158}), 19: (1, {'@': 158}), 21: (1, {'@': 158}), 15: (1, {'@': 158}), 24: (1, {'@': 158}), 26: (1, {'@': 158}), 39: (1, {'@': 158}), 29: (1, {'@': 158}), 18: (1, {'@': 158}), 40: (1, {'@': 158}), 30: (1, {'@': 158}), 0: (1, {'@': 158}), 2: (1, {'@': 158}), 41: (1, {'@': 158}), 12: (1, {'@': 158}), 42: (1, {'@': 158}), 4: (1, {'@': 158}), 43: (1, {'@': 158}), 44: (1, {'@': 158}), 34: (1, {'@': 158}), 45: (1, {'@': 158}), 20: (1, {'@': 158}), 17: (1, {'@': 158}), 22: (1, {'@': 158}), 46: (1, {'@': 158}), 23: (1, {'@': 158}), 47: (1, {'@': 158}), 48: (1, {'@': 158}), 1: (1, {'@': 158}), 28: (1, {'@': 158}), 31: (1, {'@': 158}), 49: (1, {'@': 158}), 50: (1, {'@': 158}), 32: (1, {'@': 158}), 38: (1, {'@': 158}), 33: (1, {'@': 158}), 52: (1, {'@': 158})}, 215: {55: (0, 286), 20: (0, 68)}, 216: {35: (1, {'@': 159}), 36: (1, {'@': 159}), 37: (0, 106), 51: (1, {'@': 159}), 19: (0, 101), 21: (1, {'@': 159}), 15: (1, {'@': 159}), 24: (1, {'@': 159}), 26: (1, {'@': 159}), 39: (0, 102), 29: (1, {'@': 159}), 18: (1, {'@': 159}), 40: (0, 94), 30: (1, {'@': 159}), 0: (1, {'@': 159}), 2: (1, {'@': 159}), 41: (0, 96), 12: (1, {'@': 159}), 42: (0, 99), 4: (1, {'@': 159}), 43: (0, 103), 34: (1, {'@': 159}), 45: (0, 97), 20: (1, {'@': 159}), 17: (1, {'@': 159}), 22: (1, {'@': 159}), 46: (0, 108), 23: (1, {'@': 159}), 48: (0, 105), 1: (1, {'@': 159}), 28: (1, {'@': 159}), 31: (1, {'@': 159}), 49: (0, 107), 50: (0, 95), 32: (1, {'@': 159}), 38: (0, 98), 33: (1, {'@': 159}), 52: (0, 104), 79: (0, 93), 80: (0, 100)}, 217: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 59: (0, 287), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 218: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 7: (0, 3), 42: (0, 99), 0: (0, 6), 80: (0, 100), 4: (0, 8), 19: (0, 101), 39: (0, 102), 1: (0, 9), 9: (0, 288), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 29: (0, 289), 49: (0, 107)}, 219: {35: (1, {'@': 160}), 36: (1, {'@': 160}), 37: (1, {'@': 160}), 51: (1, {'@': 160}), 19: (1, {'@': 160}), 21: (1, {'@': 160}), 15: (1, {'@': 160}), 24: (1, {'@': 160}), 26: (1, {'@': 160}), 39: (1, {'@': 160}), 29: (1, {'@': 160}), 18: (1, {'@': 160}), 40: (1, {'@': 160}), 30: (1, {'@': 160}), 0: (1, {'@': 160}), 2: (1, {'@': 160}), 41: (1, {'@': 160}), 12: (1, {'@': 160}), 42: (1, {'@': 160}), 4: (1, {'@': 160}), 43: (1, {'@': 160}), 44: (1, {'@': 160}), 34: (1, {'@': 160}), 45: (1, {'@': 160}), 20: (1, {'@': 160}), 17: (1, {'@': 160}), 22: (1, {'@': 160}), 46: (1, {'@': 160}), 23: (1, {'@': 160}), 47: (0, 112), 48: (1, {'@': 160}), 1: (1, {'@': 160}), 28: (0, 290), 31: (1, {'@': 160}), 49: (1, {'@': 160}), 50: (1, {'@': 160}), 32: (1, {'@': 160}), 38: (1, {'@': 160}), 33: (1, {'@': 160}), 52: (1, {'@': 160}), 81: (0, 291), 91: (0, 292), 83: (0, 293)}, 220: {35: (1, {'@': 161}), 36: (1, {'@': 161}), 37: (1, {'@': 161}), 51: (1, {'@': 161}), 19: (1, {'@': 161}), 21: (1, {'@': 161}), 15: (1, {'@': 161}), 24: (1, {'@': 161}), 26: (1, {'@': 161}), 39: (1, {'@': 161}), 29: (1, {'@': 161}), 18: (1, {'@': 161}), 40: (1, {'@': 161}), 30: (1, {'@': 161}), 0: (1, {'@': 161}), 2: (1, {'@': 161}), 41: (1, {'@': 161}), 12: (1, {'@': 161}), 42: (1, {'@': 161}), 4: (1, {'@': 161}), 43: (1, {'@': 161}), 44: (1, {'@': 161}), 34: (1, {'@': 161}), 45: (1, {'@': 161}), 20: (1, {'@': 161}), 17: (1, {'@': 161}), 22: (1, {'@': 161}), 46: (1, {'@': 161}), 23: (1, {'@': 161}), 47: (1, {'@': 161}), 48: (1, {'@': 161}), 1: (1, {'@': 161}), 28: (1, {'@': 161}), 31: (1, {'@': 161}), 49: (1, {'@': 161}), 50: (1, {'@': 161}), 32: (1, {'@': 161}), 38: (1, {'@': 161}), 33: (1, {'@': 161}), 52: (1, {'@': 161})}, 221: {29: (0, 294)}, 222: {35: (1, {'@': 162}), 36: (1, {'@': 162}), 37: (1, {'@': 162}), 19: (1, {'@': 162}), 21: (1, {'@': 162}), 15: (1, {'@': 162}), 24: (1, {'@': 162}), 38: (1, {'@': 162}), 26: (1, {'@': 162}), 39: (1, {'@': 162}), 29: (1, {'@': 162}), 18: (1, {'@': 162}), 40: (1, {'@': 162}), 30: (1, {'@': 162}), 0: (1, {'@': 162}), 2: (1, {'@': 162}), 41: (1, {'@': 162}), 12: (1, {'@': 162}), 42: (1, {'@': 162}), 4: (1, {'@': 162}), 43: (1, {'@': 162}), 44: (1, {'@': 162}), 34: (1, {'@': 162}), 45: (1, {'@': 162}), 20: (1, {'@': 162}), 17: (1, {'@': 162}), 22: (1, {'@': 162}), 46: (1, {'@': 162}), 23: (1, {'@': 162}), 47: (1, {'@': 162}), 48: (1, {'@': 162}), 1: (1, {'@': 162}), 28: (1, {'@': 162}), 31: (1, {'@': 162}), 49: (1, {'@': 162}), 50: (1, {'@': 162}), 32: (1, {'@': 162}), 51: (1, {'@': 162}), 33: (1, {'@': 162}), 52: (1, {'@': 162})}, 223: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 163}), 9: (0, 295), 7: (0, 3), 33: (0, 296), 36: (0, 297)}, 224: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 164}), 7: (0, 3), 9: (0, 298)}, 225: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 165}), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 7: (0, 3), 59: (0, 190), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 9: (0, 299), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 226: {0: (1, {'@': 166}), 1: (1, {'@': 166}), 4: (1, {'@': 166}), 23: (1, {'@': 166}), 33: (0, 300)}, 227: {35: (1, {'@': 167}), 36: (1, {'@': 167}), 37: (1, {'@': 167}), 19: (1, {'@': 167}), 21: (1, {'@': 167}), 15: (1, {'@': 167}), 24: (1, {'@': 167}), 38: (1, {'@': 167}), 26: (1, {'@': 167}), 39: (1, {'@': 167}), 29: (1, {'@': 167}), 18: (1, {'@': 167}), 40: (1, {'@': 167}), 30: (1, {'@': 167}), 0: (1, {'@': 167}), 2: (1, {'@': 167}), 41: (1, {'@': 167}), 12: (1, {'@': 167}), 42: (1, {'@': 167}), 4: (1, {'@': 167}), 43: (1, {'@': 167}), 44: (1, {'@': 167}), 34: (1, {'@': 167}), 45: (1, {'@': 167}), 20: (1, {'@': 167}), 17: (1, {'@': 167}), 22: (1, {'@': 167}), 46: (1, {'@': 167}), 23: (1, {'@': 167}), 47: (1, {'@': 167}), 48: (1, {'@': 167}), 1: (1, {'@': 167}), 28: (1, {'@': 167}), 31: (1, {'@': 167}), 49: (1, {'@': 167}), 50: (1, {'@': 167}), 32: (1, {'@': 167}), 51: (1, {'@': 167}), 33: (1, {'@': 167}), 52: (1, {'@': 167})}, 228: {23: (0, 301)}, 229: {4: (0, 8), 7: (0, 3), 23: (0, 302), 1: (0, 9), 9: (0, 303), 0: (0, 6)}, 230: {35: (1, {'@': 168}), 36: (1, {'@': 168}), 37: (1, {'@': 168}), 19: (1, {'@': 168}), 21: (1, {'@': 168}), 15: (1, {'@': 168}), 24: (1, {'@': 168}), 38: (1, {'@': 168}), 26: (1, {'@': 168}), 39: (1, {'@': 168}), 29: (1, {'@': 168}), 18: (1, {'@': 168}), 40: (1, {'@': 168}), 30: (1, {'@': 168}), 0: (1, {'@': 168}), 2: (1, {'@': 168}), 41: (1, {'@': 168}), 12: (1, {'@': 168}), 42: (1, {'@': 168}), 4: (1, {'@': 168}), 43: (1, {'@': 168}), 44: (1, {'@': 168}), 34: (1, {'@': 168}), 45: (1, {'@': 168}), 20: (1, {'@': 168}), 17: (1, {'@': 168}), 22: (1, {'@': 168}), 46: (1, {'@': 168}), 23: (1, {'@': 168}), 47: (1, {'@': 168}), 48: (1, {'@': 168}), 1: (1, {'@': 168}), 28: (1, {'@': 168}), 31: (1, {'@': 168}), 49: (1, {'@': 168}), 50: (1, {'@': 168}), 32: (1, {'@': 168}), 51: (1, {'@': 168}), 33: (1, {'@': 168}), 52: (1, {'@': 168})}, 231: {23: (0, 304)}, 232: {1: (1, {'@': 169}), 3: (1, {'@': 169}), 0: (1, {'@': 169}), 2: (1, {'@': 169}), 12: (1, {'@': 169}), 4: (1, {'@': 169})}, 233: {1: (1, {'@': 170}), 3: (1, {'@': 170}), 0: (1, {'@': 170}), 2: (1, {'@': 170}), 12: (1, {'@': 170}), 4: (1, {'@': 170})}, 234: {4: (0, 8), 7: (0, 3), 1: (0, 9), 0: (0, 6), 9: (0, 305)}, 235: {29: (0, 306), 4: (0, 8), 9: (0, 307), 33: (0, 308), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 236: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 258), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 29: (0, 309), 9: (0, 310), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 237: {35: (1, {'@': 171}), 36: (1, {'@': 171}), 37: (1, {'@': 171}), 19: (1, {'@': 171}), 21: (1, {'@': 171}), 15: (1, {'@': 171}), 24: (1, {'@': 171}), 38: (1, {'@': 171}), 26: (1, {'@': 171}), 39: (1, {'@': 171}), 29: (1, {'@': 171}), 18: (1, {'@': 171}), 40: (1, {'@': 171}), 30: (1, {'@': 171}), 0: (1, {'@': 171}), 2: (1, {'@': 171}), 41: (1, {'@': 171}), 12: (1, {'@': 171}), 42: (1, {'@': 171}), 4: (1, {'@': 171}), 43: (1, {'@': 171}), 44: (1, {'@': 171}), 34: (1, {'@': 171}), 45: (1, {'@': 171}), 20: (1, {'@': 171}), 17: (1, {'@': 171}), 22: (1, {'@': 171}), 46: (1, {'@': 171}), 23: (1, {'@': 171}), 47: (1, {'@': 171}), 48: (1, {'@': 171}), 1: (1, {'@': 171}), 28: (1, {'@': 171}), 31: (1, {'@': 171}), 49: (1, {'@': 171}), 50: (1, {'@': 171}), 32: (1, {'@': 171}), 51: (1, {'@': 171}), 33: (1, {'@': 171}), 52: (1, {'@': 171})}, 238: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 29: (0, 311), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 261), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 9: (0, 312), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 239: {29: (0, 313)}, 240: {35: (1, {'@': 172}), 36: (1, {'@': 172}), 37: (1, {'@': 172}), 19: (1, {'@': 172}), 21: (1, {'@': 172}), 15: (1, {'@': 172}), 24: (1, {'@': 172}), 38: (1, {'@': 172}), 26: (1, {'@': 172}), 39: (1, {'@': 172}), 29: (1, {'@': 172}), 18: (1, {'@': 172}), 40: (1, {'@': 172}), 30: (1, {'@': 172}), 0: (1, {'@': 172}), 2: (1, {'@': 172}), 41: (1, {'@': 172}), 12: (1, {'@': 172}), 42: (1, {'@': 172}), 4: (1, {'@': 172}), 43: (1, {'@': 172}), 44: (1, {'@': 172}), 34: (1, {'@': 172}), 45: (1, {'@': 172}), 20: (1, {'@': 172}), 17: (1, {'@': 172}), 22: (1, {'@': 172}), 46: (1, {'@': 172}), 23: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 1: (1, {'@': 172}), 28: (1, {'@': 172}), 31: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172}), 32: (1, {'@': 172}), 51: (1, {'@': 172}), 33: (1, {'@': 172}), 52: (1, {'@': 172})}, 241: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 29: (0, 314), 58: (0, 45), 59: (0, 264), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 242: {35: (1, {'@': 173}), 36: (1, {'@': 173}), 37: (1, {'@': 173}), 19: (1, {'@': 173}), 21: (1, {'@': 173}), 15: (1, {'@': 173}), 24: (1, {'@': 173}), 38: (1, {'@': 173}), 26: (1, {'@': 173}), 39: (1, {'@': 173}), 29: (1, {'@': 173}), 18: (1, {'@': 173}), 40: (1, {'@': 173}), 30: (1, {'@': 173}), 0: (1, {'@': 173}), 2: (1, {'@': 173}), 41: (1, {'@': 173}), 12: (1, {'@': 173}), 42: (1, {'@': 173}), 4: (1, {'@': 173}), 43: (1, {'@': 173}), 44: (1, {'@': 173}), 34: (1, {'@': 173}), 45: (1, {'@': 173}), 20: (1, {'@': 173}), 17: (1, {'@': 173}), 22: (1, {'@': 173}), 46: (1, {'@': 173}), 23: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 1: (1, {'@': 173}), 28: (1, {'@': 173}), 31: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173}), 32: (1, {'@': 173}), 51: (1, {'@': 173}), 33: (1, {'@': 173}), 52: (1, {'@': 173})}, 243: {41: (0, 96), 38: (0, 98), 22: (0, 196), 0: (0, 6), 7: (0, 3), 80: (0, 100), 1: (0, 9), 43: (0, 103), 90: (0, 315), 9: (0, 316), 37: (0, 106), 46: (0, 108), 29: (0, 317), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 244: {35: (1, {'@': 174}), 36: (1, {'@': 174}), 37: (1, {'@': 174}), 19: (1, {'@': 174}), 21: (1, {'@': 174}), 15: (1, {'@': 174}), 24: (1, {'@': 174}), 38: (1, {'@': 174}), 26: (1, {'@': 174}), 39: (1, {'@': 174}), 29: (1, {'@': 174}), 18: (1, {'@': 174}), 40: (1, {'@': 174}), 30: (1, {'@': 174}), 0: (1, {'@': 174}), 2: (1, {'@': 174}), 41: (1, {'@': 174}), 12: (1, {'@': 174}), 42: (1, {'@': 174}), 4: (1, {'@': 174}), 43: (1, {'@': 174}), 44: (1, {'@': 174}), 34: (1, {'@': 174}), 45: (1, {'@': 174}), 20: (1, {'@': 174}), 17: (1, {'@': 174}), 22: (1, {'@': 174}), 46: (1, {'@': 174}), 23: (1, {'@': 174}), 47: (1, {'@': 174}), 48: (1, {'@': 174}), 1: (1, {'@': 174}), 28: (1, {'@': 174}), 31: (1, {'@': 174}), 49: (1, {'@': 174}), 50: (1, {'@': 174}), 32: (1, {'@': 174}), 51: (1, {'@': 174}), 33: (1, {'@': 174}), 52: (1, {'@': 174})}, 245: {4: (0, 8), 22: (0, 196), 7: (0, 3), 1: (0, 9), 29: (0, 318), 0: (0, 6), 90: (0, 319), 9: (0, 320)}, 246: {4: (0, 8), 7: (0, 3), 1: (0, 9), 29: (0, 321), 0: (0, 6), 9: (0, 322)}, 247: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 323), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 248: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 51: (0, 324), 52: (0, 104), 48: (0, 105), 37: (0, 106), 49: (0, 107), 46: (0, 108)}, 249: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 59: (0, 325), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 9: (0, 326), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 250: {27: (0, 327), 9: (0, 328), 7: (0, 3), 0: (0, 6), 4: (0, 8), 1: (0, 9)}, 251: {6: (0, 329), 12: (0, 11)}, 252: {27: (0, 330)}, 253: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 9: (0, 331), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 332), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 254: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 9: (0, 333), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 334), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 29: (0, 335), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 255: {35: (1, {'@': 175}), 36: (1, {'@': 175}), 37: (1, {'@': 175}), 19: (1, {'@': 175}), 21: (1, {'@': 175}), 15: (1, {'@': 175}), 24: (1, {'@': 175}), 38: (1, {'@': 175}), 26: (1, {'@': 175}), 39: (1, {'@': 175}), 29: (1, {'@': 175}), 18: (1, {'@': 175}), 40: (1, {'@': 175}), 30: (1, {'@': 175}), 0: (1, {'@': 175}), 2: (1, {'@': 175}), 41: (1, {'@': 175}), 12: (1, {'@': 175}), 42: (1, {'@': 175}), 4: (1, {'@': 175}), 43: (1, {'@': 175}), 44: (1, {'@': 175}), 34: (1, {'@': 175}), 45: (1, {'@': 175}), 20: (1, {'@': 175}), 17: (1, {'@': 175}), 22: (1, {'@': 175}), 46: (1, {'@': 175}), 23: (1, {'@': 175}), 47: (1, {'@': 175}), 48: (1, {'@': 175}), 1: (1, {'@': 175}), 28: (1, {'@': 175}), 31: (1, {'@': 175}), 49: (1, {'@': 175}), 50: (1, {'@': 175}), 32: (1, {'@': 175}), 51: (1, {'@': 175}), 33: (1, {'@': 175}), 52: (1, {'@': 175})}, 256: {29: (0, 336)}, 257: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 59: (0, 337), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 29: (0, 338), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 258: {36: (1, {'@': 176}), 1: (1, {'@': 176}), 29: (1, {'@': 176}), 0: (1, {'@': 176}), 23: (1, {'@': 176}), 33: (1, {'@': 176}), 4: (1, {'@': 176}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 259: {35: (1, {'@': 177}), 36: (1, {'@': 177}), 37: (1, {'@': 177}), 19: (1, {'@': 177}), 21: (1, {'@': 177}), 15: (1, {'@': 177}), 24: (1, {'@': 177}), 38: (1, {'@': 177}), 26: (1, {'@': 177}), 39: (1, {'@': 177}), 29: (1, {'@': 177}), 18: (1, {'@': 177}), 40: (1, {'@': 177}), 30: (1, {'@': 177}), 0: (1, {'@': 177}), 2: (1, {'@': 177}), 41: (1, {'@': 177}), 12: (1, {'@': 177}), 42: (1, {'@': 177}), 4: (1, {'@': 177}), 43: (1, {'@': 177}), 44: (1, {'@': 177}), 34: (1, {'@': 177}), 45: (1, {'@': 177}), 20: (1, {'@': 177}), 17: (1, {'@': 177}), 22: (1, {'@': 177}), 46: (1, {'@': 177}), 23: (1, {'@': 177}), 47: (1, {'@': 177}), 48: (1, {'@': 177}), 1: (1, {'@': 177}), 28: (1, {'@': 177}), 31: (1, {'@': 177}), 49: (1, {'@': 177}), 50: (1, {'@': 177}), 32: (1, {'@': 177}), 51: (1, {'@': 177}), 33: (1, {'@': 177}), 52: (1, {'@': 177})}, 260: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 339), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 29: (0, 340), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 261: {36: (1, {'@': 178}), 1: (1, {'@': 178}), 29: (1, {'@': 178}), 0: (1, {'@': 178}), 23: (1, {'@': 178}), 33: (1, {'@': 178}), 4: (1, {'@': 178}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 262: {35: (1, {'@': 179}), 36: (1, {'@': 179}), 37: (1, {'@': 179}), 19: (1, {'@': 179}), 21: (1, {'@': 179}), 15: (1, {'@': 179}), 24: (1, {'@': 179}), 38: (1, {'@': 179}), 26: (1, {'@': 179}), 39: (1, {'@': 179}), 29: (1, {'@': 179}), 18: (1, {'@': 179}), 40: (1, {'@': 179}), 30: (1, {'@': 179}), 0: (1, {'@': 179}), 2: (1, {'@': 179}), 41: (1, {'@': 179}), 12: (1, {'@': 179}), 42: (1, {'@': 179}), 4: (1, {'@': 179}), 43: (1, {'@': 179}), 44: (1, {'@': 179}), 34: (1, {'@': 179}), 45: (1, {'@': 179}), 20: (1, {'@': 179}), 17: (1, {'@': 179}), 22: (1, {'@': 179}), 46: (1, {'@': 179}), 23: (1, {'@': 179}), 47: (1, {'@': 179}), 48: (1, {'@': 179}), 1: (1, {'@': 179}), 28: (1, {'@': 179}), 31: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179}), 32: (1, {'@': 179}), 51: (1, {'@': 179}), 33: (1, {'@': 179}), 52: (1, {'@': 179})}, 263: {35: (1, {'@': 180}), 36: (1, {'@': 180}), 37: (1, {'@': 180}), 19: (1, {'@': 180}), 21: (1, {'@': 180}), 15: (1, {'@': 180}), 24: (1, {'@': 180}), 38: (1, {'@': 180}), 26: (1, {'@': 180}), 39: (1, {'@': 180}), 29: (1, {'@': 180}), 18: (1, {'@': 180}), 40: (1, {'@': 180}), 30: (1, {'@': 180}), 0: (1, {'@': 180}), 2: (1, {'@': 180}), 41: (1, {'@': 180}), 12: (1, {'@': 180}), 42: (1, {'@': 180}), 4: (1, {'@': 180}), 43: (1, {'@': 180}), 44: (1, {'@': 180}), 34: (1, {'@': 180}), 45: (1, {'@': 180}), 20: (1, {'@': 180}), 17: (1, {'@': 180}), 22: (1, {'@': 180}), 46: (1, {'@': 180}), 23: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 1: (1, {'@': 180}), 28: (1, {'@': 180}), 31: (1, {'@': 180}), 49: (1, {'@': 180}), 50: (1, {'@': 180}), 32: (1, {'@': 180}), 51: (1, {'@': 180}), 33: (1, {'@': 180}), 52: (1, {'@': 180})}, 264: {36: (1, {'@': 181}), 1: (1, {'@': 181}), 29: (1, {'@': 181}), 0: (1, {'@': 181}), 23: (1, {'@': 181}), 33: (1, {'@': 181}), 4: (1, {'@': 181}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 265: {35: (1, {'@': 182}), 36: (1, {'@': 182}), 37: (1, {'@': 182}), 19: (1, {'@': 182}), 21: (1, {'@': 182}), 15: (1, {'@': 182}), 24: (1, {'@': 182}), 38: (1, {'@': 182}), 26: (1, {'@': 182}), 39: (1, {'@': 182}), 29: (1, {'@': 182}), 18: (1, {'@': 182}), 40: (1, {'@': 182}), 30: (1, {'@': 182}), 0: (1, {'@': 182}), 2: (1, {'@': 182}), 41: (1, {'@': 182}), 12: (1, {'@': 182}), 42: (1, {'@': 182}), 4: (1, {'@': 182}), 43: (1, {'@': 182}), 44: (1, {'@': 182}), 34: (1, {'@': 182}), 45: (1, {'@': 182}), 20: (1, {'@': 182}), 17: (1, {'@': 182}), 22: (1, {'@': 182}), 46: (1, {'@': 182}), 23: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 1: (1, {'@': 182}), 28: (1, {'@': 182}), 31: (1, {'@': 182}), 49: (1, {'@': 182}), 50: (1, {'@': 182}), 32: (1, {'@': 182}), 51: (1, {'@': 182}), 33: (1, {'@': 182}), 52: (1, {'@': 182})}, 266: {90: (0, 341), 4: (0, 8), 9: (0, 342), 22: (0, 196), 29: (0, 343), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 267: {4: (0, 8), 9: (0, 344), 29: (0, 345), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 268: {35: (1, {'@': 183}), 36: (1, {'@': 183}), 37: (1, {'@': 183}), 19: (1, {'@': 183}), 21: (1, {'@': 183}), 15: (1, {'@': 183}), 24: (1, {'@': 183}), 38: (1, {'@': 183}), 26: (1, {'@': 183}), 39: (1, {'@': 183}), 29: (1, {'@': 183}), 18: (1, {'@': 183}), 40: (1, {'@': 183}), 30: (1, {'@': 183}), 0: (1, {'@': 183}), 2: (1, {'@': 183}), 41: (1, {'@': 183}), 12: (1, {'@': 183}), 42: (1, {'@': 183}), 4: (1, {'@': 183}), 43: (1, {'@': 183}), 44: (1, {'@': 183}), 34: (1, {'@': 183}), 45: (1, {'@': 183}), 20: (1, {'@': 183}), 17: (1, {'@': 183}), 22: (1, {'@': 183}), 46: (1, {'@': 183}), 23: (1, {'@': 183}), 47: (1, {'@': 183}), 48: (1, {'@': 183}), 1: (1, {'@': 183}), 28: (1, {'@': 183}), 31: (1, {'@': 183}), 49: (1, {'@': 183}), 50: (1, {'@': 183}), 32: (1, {'@': 183}), 51: (1, {'@': 183}), 33: (1, {'@': 183}), 52: (1, {'@': 183})}, 269: {35: (1, {'@': 184}), 36: (1, {'@': 184}), 37: (1, {'@': 184}), 19: (1, {'@': 184}), 21: (1, {'@': 184}), 15: (1, {'@': 184}), 24: (1, {'@': 184}), 38: (1, {'@': 184}), 26: (1, {'@': 184}), 39: (1, {'@': 184}), 29: (1, {'@': 184}), 18: (1, {'@': 184}), 40: (1, {'@': 184}), 30: (1, {'@': 184}), 0: (1, {'@': 184}), 2: (1, {'@': 184}), 41: (1, {'@': 184}), 12: (1, {'@': 184}), 42: (1, {'@': 184}), 4: (1, {'@': 184}), 43: (1, {'@': 184}), 44: (1, {'@': 184}), 34: (1, {'@': 184}), 45: (1, {'@': 184}), 20: (1, {'@': 184}), 17: (1, {'@': 184}), 22: (1, {'@': 184}), 46: (1, {'@': 184}), 23: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 1: (1, {'@': 184}), 28: (1, {'@': 184}), 31: (1, {'@': 184}), 49: (1, {'@': 184}), 50: (1, {'@': 184}), 32: (1, {'@': 184}), 51: (1, {'@': 184}), 33: (1, {'@': 184}), 52: (1, {'@': 184})}, 270: {4: (0, 8), 7: (0, 3), 1: (0, 9), 29: (0, 346), 9: (0, 347), 0: (0, 6)}, 271: {29: (0, 348)}, 272: {35: (1, {'@': 185}), 36: (1, {'@': 185}), 37: (1, {'@': 185}), 19: (1, {'@': 185}), 21: (1, {'@': 185}), 15: (1, {'@': 185}), 24: (1, {'@': 185}), 38: (1, {'@': 185}), 26: (1, {'@': 185}), 39: (1, {'@': 185}), 29: (1, {'@': 185}), 18: (1, {'@': 185}), 40: (1, {'@': 185}), 30: (1, {'@': 185}), 0: (1, {'@': 185}), 2: (1, {'@': 185}), 41: (1, {'@': 185}), 12: (1, {'@': 185}), 42: (1, {'@': 185}), 4: (1, {'@': 185}), 43: (1, {'@': 185}), 44: (1, {'@': 185}), 34: (1, {'@': 185}), 45: (1, {'@': 185}), 20: (1, {'@': 185}), 17: (1, {'@': 185}), 22: (1, {'@': 185}), 46: (1, {'@': 185}), 23: (1, {'@': 185}), 47: (1, {'@': 185}), 48: (1, {'@': 185}), 1: (1, {'@': 185}), 28: (1, {'@': 185}), 31: (1, {'@': 185}), 49: (1, {'@': 185}), 50: (1, {'@': 185}), 32: (1, {'@': 185}), 51: (1, {'@': 185}), 33: (1, {'@': 185}), 52: (1, {'@': 185})}, 273: {29: (0, 349)}, 274: {0: (1, {'@': 186}), 1: (1, {'@': 186}), 2: (1, {'@': 186}), 29: (1, {'@': 186}), 4: (1, {'@': 186}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 275: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 350), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 276: {59: (0, 351), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 277: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 6: (0, 85), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 87), 60: (0, 47), 32: (0, 48), 17: (0, 49), 2: (0, 352), 61: (0, 50), 62: (0, 51), 30: (0, 53), 19: (0, 54), 63: (0, 55), 77: (0, 284), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 278: {35: (1, {'@': 187}), 36: (1, {'@': 187}), 37: (1, {'@': 187}), 19: (1, {'@': 187}), 21: (1, {'@': 187}), 15: (1, {'@': 187}), 24: (1, {'@': 187}), 38: (1, {'@': 187}), 26: (1, {'@': 187}), 39: (1, {'@': 187}), 29: (1, {'@': 187}), 18: (1, {'@': 187}), 40: (1, {'@': 187}), 30: (1, {'@': 187}), 0: (1, {'@': 187}), 2: (1, {'@': 187}), 41: (1, {'@': 187}), 12: (1, {'@': 187}), 42: (1, {'@': 187}), 4: (1, {'@': 187}), 43: (1, {'@': 187}), 44: (1, {'@': 187}), 34: (1, {'@': 187}), 45: (1, {'@': 187}), 20: (1, {'@': 187}), 17: (1, {'@': 187}), 22: (1, {'@': 187}), 46: (1, {'@': 187}), 23: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 1: (1, {'@': 187}), 28: (1, {'@': 187}), 31: (1, {'@': 187}), 49: (1, {'@': 187}), 50: (1, {'@': 187}), 32: (1, {'@': 187}), 51: (1, {'@': 187}), 33: (1, {'@': 187}), 52: (1, {'@': 187})}, 279: {35: (1, {'@': 188}), 36: (1, {'@': 188}), 37: (1, {'@': 188}), 19: (1, {'@': 188}), 21: (1, {'@': 188}), 15: (1, {'@': 188}), 24: (1, {'@': 188}), 38: (1, {'@': 188}), 26: (1, {'@': 188}), 39: (1, {'@': 188}), 29: (1, {'@': 188}), 18: (1, {'@': 188}), 40: (1, {'@': 188}), 30: (1, {'@': 188}), 0: (1, {'@': 188}), 2: (1, {'@': 188}), 41: (1, {'@': 188}), 12: (1, {'@': 188}), 42: (1, {'@': 188}), 4: (1, {'@': 188}), 43: (1, {'@': 188}), 44: (1, {'@': 188}), 34: (1, {'@': 188}), 45: (1, {'@': 188}), 20: (1, {'@': 188}), 17: (1, {'@': 188}), 22: (1, {'@': 188}), 46: (1, {'@': 188}), 23: (1, {'@': 188}), 47: (1, {'@': 188}), 48: (1, {'@': 188}), 1: (1, {'@': 188}), 28: (1, {'@': 188}), 31: (1, {'@': 188}), 49: (1, {'@': 188}), 50: (1, {'@': 188}), 32: (1, {'@': 188}), 51: (1, {'@': 188}), 33: (1, {'@': 188}), 52: (1, {'@': 188})}, 280: {36: (0, 353), 41: (0, 96), 38: (0, 98), 22: (0, 196), 0: (0, 6), 80: (0, 100), 7: (0, 3), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 90: (0, 354), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 9: (0, 355), 42: (0, 99), 4: (0, 8), 19: (0, 101), 2: (0, 356), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 281: {0: (1, {'@': 166}), 1: (1, {'@': 166}), 4: (1, {'@': 166}), 23: (0, 212), 33: (0, 300)}, 282: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (0, 214), 85: (0, 223), 36: (0, 224), 41: (0, 96), 38: (0, 98), 80: (0, 100), 7: (0, 3), 33: (0, 225), 9: (0, 357), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 283: {35: (1, {'@': 189}), 36: (1, {'@': 189}), 37: (1, {'@': 189}), 19: (1, {'@': 189}), 21: (1, {'@': 189}), 15: (1, {'@': 189}), 24: (1, {'@': 189}), 38: (1, {'@': 189}), 26: (1, {'@': 189}), 39: (1, {'@': 189}), 29: (1, {'@': 189}), 18: (1, {'@': 189}), 40: (1, {'@': 189}), 30: (1, {'@': 189}), 0: (1, {'@': 189}), 2: (1, {'@': 189}), 41: (1, {'@': 189}), 12: (1, {'@': 189}), 42: (1, {'@': 189}), 4: (1, {'@': 189}), 43: (1, {'@': 189}), 44: (1, {'@': 189}), 34: (1, {'@': 189}), 45: (1, {'@': 189}), 20: (1, {'@': 189}), 17: (1, {'@': 189}), 22: (1, {'@': 189}), 46: (1, {'@': 189}), 23: (1, {'@': 189}), 47: (1, {'@': 189}), 48: (1, {'@': 189}), 1: (1, {'@': 189}), 28: (1, {'@': 189}), 31: (1, {'@': 189}), 49: (1, {'@': 189}), 50: (1, {'@': 189}), 32: (1, {'@': 189}), 51: (1, {'@': 189}), 33: (1, {'@': 189}), 52: (1, {'@': 189})}, 284: {0: (1, {'@': 190}), 1: (1, {'@': 190}), 2: (1, {'@': 190}), 33: (1, {'@': 190}), 4: (1, {'@': 190})}, 285: {35: (1, {'@': 191}), 36: (1, {'@': 191}), 37: (1, {'@': 191}), 51: (1, {'@': 191}), 19: (1, {'@': 191}), 21: (1, {'@': 191}), 15: (1, {'@': 191}), 24: (1, {'@': 191}), 26: (1, {'@': 191}), 39: (1, {'@': 191}), 29: (1, {'@': 191}), 18: (1, {'@': 191}), 40: (1, {'@': 191}), 30: (1, {'@': 191}), 0: (1, {'@': 191}), 2: (1, {'@': 191}), 41: (1, {'@': 191}), 12: (1, {'@': 191}), 42: (1, {'@': 191}), 4: (1, {'@': 191}), 43: (1, {'@': 191}), 44: (1, {'@': 191}), 34: (1, {'@': 191}), 45: (1, {'@': 191}), 20: (1, {'@': 191}), 17: (1, {'@': 191}), 22: (1, {'@': 191}), 46: (1, {'@': 191}), 23: (1, {'@': 191}), 47: (1, {'@': 191}), 48: (1, {'@': 191}), 1: (1, {'@': 191}), 28: (1, {'@': 191}), 31: (1, {'@': 191}), 49: (1, {'@': 191}), 50: (1, {'@': 191}), 32: (1, {'@': 191}), 38: (1, {'@': 191}), 33: (1, {'@': 191}), 52: (1, {'@': 191})}, 286: {35: (1, {'@': 192}), 36: (1, {'@': 192}), 37: (1, {'@': 192}), 19: (1, {'@': 192}), 21: (1, {'@': 192}), 15: (1, {'@': 192}), 24: (1, {'@': 192}), 38: (1, {'@': 192}), 26: (1, {'@': 192}), 39: (1, {'@': 192}), 29: (1, {'@': 192}), 18: (1, {'@': 192}), 40: (1, {'@': 192}), 30: (1, {'@': 192}), 0: (1, {'@': 192}), 2: (1, {'@': 192}), 41: (1, {'@': 192}), 12: (1, {'@': 192}), 42: (1, {'@': 192}), 4: (1, {'@': 192}), 43: (1, {'@': 192}), 44: (1, {'@': 192}), 34: (1, {'@': 192}), 45: (1, {'@': 192}), 20: (0, 92), 17: (1, {'@': 192}), 22: (1, {'@': 192}), 46: (1, {'@': 192}), 23: (1, {'@': 192}), 47: (1, {'@': 192}), 48: (1, {'@': 192}), 1: (1, {'@': 192}), 28: (1, {'@': 192}), 31: (1, {'@': 192}), 49: (1, {'@': 192}), 50: (1, {'@': 192}), 32: (1, {'@': 192}), 51: (1, {'@': 192}), 33: (1, {'@': 192}), 52: (1, {'@': 192})}, 287: {35: (1, {'@': 193}), 36: (1, {'@': 193}), 37: (0, 106), 51: (1, {'@': 193}), 19: (0, 101), 21: (1, {'@': 193}), 15: (1, {'@': 193}), 24: (1, {'@': 193}), 26: (1, {'@': 193}), 39: (0, 102), 29: (1, {'@': 193}), 18: (1, {'@': 193}), 40: (0, 94), 30: (1, {'@': 193}), 0: (1, {'@': 193}), 2: (1, {'@': 193}), 41: (0, 96), 12: (1, {'@': 193}), 42: (0, 99), 4: (1, {'@': 193}), 43: (0, 103), 34: (1, {'@': 193}), 45: (0, 97), 20: (1, {'@': 193}), 17: (1, {'@': 193}), 22: (1, {'@': 193}), 46: (0, 108), 23: (1, {'@': 193}), 48: (0, 105), 1: (1, {'@': 193}), 28: (1, {'@': 193}), 31: (1, {'@': 193}), 49: (0, 107), 50: (0, 95), 32: (1, {'@': 193}), 38: (0, 98), 33: (1, {'@': 193}), 52: (0, 104), 79: (0, 93), 80: (0, 100)}, 288: {29: (0, 358)}, 289: {35: (1, {'@': 194}), 36: (1, {'@': 194}), 37: (1, {'@': 194}), 51: (1, {'@': 194}), 19: (1, {'@': 194}), 21: (1, {'@': 194}), 15: (1, {'@': 194}), 24: (1, {'@': 194}), 26: (1, {'@': 194}), 39: (1, {'@': 194}), 29: (1, {'@': 194}), 18: (1, {'@': 194}), 40: (1, {'@': 194}), 30: (1, {'@': 194}), 0: (1, {'@': 194}), 2: (1, {'@': 194}), 41: (1, {'@': 194}), 12: (1, {'@': 194}), 42: (1, {'@': 194}), 4: (1, {'@': 194}), 43: (1, {'@': 194}), 44: (1, {'@': 194}), 34: (1, {'@': 194}), 45: (1, {'@': 194}), 20: (1, {'@': 194}), 17: (1, {'@': 194}), 22: (1, {'@': 194}), 46: (1, {'@': 194}), 23: (1, {'@': 194}), 47: (1, {'@': 194}), 48: (1, {'@': 194}), 1: (1, {'@': 194}), 28: (1, {'@': 194}), 31: (1, {'@': 194}), 49: (1, {'@': 194}), 50: (1, {'@': 194}), 32: (1, {'@': 194}), 38: (1, {'@': 194}), 33: (1, {'@': 194}), 52: (1, {'@': 194})}, 290: {9: (0, 158), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 160), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 291: {35: (1, {'@': 195}), 36: (1, {'@': 195}), 37: (1, {'@': 195}), 19: (1, {'@': 195}), 21: (1, {'@': 195}), 15: (1, {'@': 195}), 24: (1, {'@': 195}), 38: (1, {'@': 195}), 26: (1, {'@': 195}), 39: (1, {'@': 195}), 29: (1, {'@': 195}), 18: (1, {'@': 195}), 40: (1, {'@': 195}), 30: (1, {'@': 195}), 0: (1, {'@': 195}), 2: (1, {'@': 195}), 41: (1, {'@': 195}), 12: (1, {'@': 195}), 42: (1, {'@': 195}), 4: (1, {'@': 195}), 43: (1, {'@': 195}), 44: (1, {'@': 195}), 34: (1, {'@': 195}), 45: (1, {'@': 195}), 20: (1, {'@': 195}), 17: (1, {'@': 195}), 22: (1, {'@': 195}), 46: (1, {'@': 195}), 23: (1, {'@': 195}), 47: (1, {'@': 195}), 48: (1, {'@': 195}), 1: (1, {'@': 195}), 28: (1, {'@': 195}), 31: (1, {'@': 195}), 49: (1, {'@': 195}), 50: (1, {'@': 195}), 32: (1, {'@': 195}), 51: (1, {'@': 195}), 33: (1, {'@': 195}), 52: (1, {'@': 195})}, 292: {35: (1, {'@': 196}), 36: (1, {'@': 196}), 37: (1, {'@': 196}), 51: (1, {'@': 196}), 19: (1, {'@': 196}), 21: (1, {'@': 196}), 15: (1, {'@': 196}), 24: (1, {'@': 196}), 26: (1, {'@': 196}), 39: (1, {'@': 196}), 29: (1, {'@': 196}), 18: (1, {'@': 196}), 40: (1, {'@': 196}), 30: (1, {'@': 196}), 0: (1, {'@': 196}), 2: (1, {'@': 196}), 41: (1, {'@': 196}), 12: (1, {'@': 196}), 42: (1, {'@': 196}), 4: (1, {'@': 196}), 43: (1, {'@': 196}), 44: (1, {'@': 196}), 34: (1, {'@': 196}), 45: (1, {'@': 196}), 20: (1, {'@': 196}), 17: (1, {'@': 196}), 22: (1, {'@': 196}), 46: (1, {'@': 196}), 23: (1, {'@': 196}), 47: (0, 112), 48: (1, {'@': 196}), 1: (1, {'@': 196}), 28: (0, 290), 31: (1, {'@': 196}), 49: (1, {'@': 196}), 50: (1, {'@': 196}), 32: (1, {'@': 196}), 38: (1, {'@': 196}), 33: (1, {'@': 196}), 52: (1, {'@': 196}), 83: (0, 359), 81: (0, 360)}, 293: {35: (1, {'@': 197}), 36: (1, {'@': 197}), 37: (1, {'@': 197}), 19: (1, {'@': 197}), 21: (1, {'@': 197}), 15: (1, {'@': 197}), 24: (1, {'@': 197}), 38: (1, {'@': 197}), 26: (1, {'@': 197}), 39: (1, {'@': 197}), 29: (1, {'@': 197}), 18: (1, {'@': 197}), 40: (1, {'@': 197}), 30: (1, {'@': 197}), 0: (1, {'@': 197}), 2: (1, {'@': 197}), 41: (1, {'@': 197}), 12: (1, {'@': 197}), 42: (1, {'@': 197}), 4: (1, {'@': 197}), 43: (1, {'@': 197}), 44: (1, {'@': 197}), 34: (1, {'@': 197}), 45: (1, {'@': 197}), 20: (1, {'@': 197}), 17: (1, {'@': 197}), 22: (1, {'@': 197}), 46: (1, {'@': 197}), 23: (1, {'@': 197}), 47: (1, {'@': 197}), 48: (1, {'@': 197}), 1: (1, {'@': 197}), 28: (1, {'@': 197}), 31: (1, {'@': 197}), 49: (1, {'@': 197}), 50: (1, {'@': 197}), 32: (1, {'@': 197}), 51: (1, {'@': 197}), 33: (1, {'@': 197}), 52: (1, {'@': 197})}, 294: {35: (1, {'@': 198}), 36: (1, {'@': 198}), 37: (1, {'@': 198}), 51: (1, {'@': 198}), 19: (1, {'@': 198}), 21: (1, {'@': 198}), 15: (1, {'@': 198}), 24: (1, {'@': 198}), 26: (1, {'@': 198}), 39: (1, {'@': 198}), 29: (1, {'@': 198}), 18: (1, {'@': 198}), 40: (1, {'@': 198}), 30: (1, {'@': 198}), 0: (1, {'@': 198}), 2: (1, {'@': 198}), 41: (1, {'@': 198}), 12: (1, {'@': 198}), 42: (1, {'@': 198}), 4: (1, {'@': 198}), 43: (1, {'@': 198}), 44: (1, {'@': 198}), 34: (1, {'@': 198}), 45: (1, {'@': 198}), 20: (1, {'@': 198}), 17: (1, {'@': 198}), 22: (1, {'@': 198}), 46: (1, {'@': 198}), 23: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 1: (1, {'@': 198}), 28: (1, {'@': 198}), 31: (1, {'@': 198}), 49: (1, {'@': 198}), 50: (1, {'@': 198}), 32: (1, {'@': 198}), 38: (1, {'@': 198}), 33: (1, {'@': 198}), 52: (1, {'@': 198})}, 295: {0: (1, {'@': 199}), 1: (1, {'@': 199}), 4: (1, {'@': 199}), 23: (1, {'@': 199}), 33: (0, 361)}, 296: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 200}), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 9: (0, 362), 58: (0, 45), 59: (0, 258), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 297: {0: (0, 6), 1: (0, 9), 4: (0, 8), 23: (1, {'@': 201}), 9: (0, 363), 7: (0, 3)}, 298: {0: (1, {'@': 202}), 1: (1, {'@': 202}), 4: (1, {'@': 202}), 23: (1, {'@': 202})}, 299: {0: (1, {'@': 203}), 1: (1, {'@': 203}), 4: (1, {'@': 203}), 23: (1, {'@': 203}), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 264), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 300: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 261), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 9: (0, 364), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 301: {35: (1, {'@': 204}), 36: (1, {'@': 204}), 37: (1, {'@': 204}), 19: (1, {'@': 204}), 21: (1, {'@': 204}), 15: (1, {'@': 204}), 24: (1, {'@': 204}), 38: (1, {'@': 204}), 26: (1, {'@': 204}), 39: (1, {'@': 204}), 29: (1, {'@': 204}), 18: (1, {'@': 204}), 40: (1, {'@': 204}), 30: (1, {'@': 204}), 0: (1, {'@': 204}), 2: (1, {'@': 204}), 41: (1, {'@': 204}), 12: (1, {'@': 204}), 42: (1, {'@': 204}), 4: (1, {'@': 204}), 43: (1, {'@': 204}), 44: (1, {'@': 204}), 34: (1, {'@': 204}), 45: (1, {'@': 204}), 20: (1, {'@': 204}), 17: (1, {'@': 204}), 22: (1, {'@': 204}), 46: (1, {'@': 204}), 23: (1, {'@': 204}), 47: (1, {'@': 204}), 48: (1, {'@': 204}), 1: (1, {'@': 204}), 28: (1, {'@': 204}), 31: (1, {'@': 204}), 49: (1, {'@': 204}), 50: (1, {'@': 204}), 32: (1, {'@': 204}), 51: (1, {'@': 204}), 33: (1, {'@': 204}), 52: (1, {'@': 204})}, 302: {35: (1, {'@': 205}), 36: (1, {'@': 205}), 37: (1, {'@': 205}), 19: (1, {'@': 205}), 21: (1, {'@': 205}), 15: (1, {'@': 205}), 24: (1, {'@': 205}), 38: (1, {'@': 205}), 26: (1, {'@': 205}), 39: (1, {'@': 205}), 29: (1, {'@': 205}), 18: (1, {'@': 205}), 40: (1, {'@': 205}), 30: (1, {'@': 205}), 0: (1, {'@': 205}), 2: (1, {'@': 205}), 41: (1, {'@': 205}), 12: (1, {'@': 205}), 42: (1, {'@': 205}), 4: (1, {'@': 205}), 43: (1, {'@': 205}), 44: (1, {'@': 205}), 34: (1, {'@': 205}), 45: (1, {'@': 205}), 20: (1, {'@': 205}), 17: (1, {'@': 205}), 22: (1, {'@': 205}), 46: (1, {'@': 205}), 23: (1, {'@': 205}), 47: (1, {'@': 205}), 48: (1, {'@': 205}), 1: (1, {'@': 205}), 28: (1, {'@': 205}), 31: (1, {'@': 205}), 49: (1, {'@': 205}), 50: (1, {'@': 205}), 32: (1, {'@': 205}), 51: (1, {'@': 205}), 33: (1, {'@': 205}), 52: (1, {'@': 205})}, 303: {23: (0, 365)}, 304: {35: (1, {'@': 206}), 36: (1, {'@': 206}), 37: (1, {'@': 206}), 19: (1, {'@': 206}), 21: (1, {'@': 206}), 15: (1, {'@': 206}), 24: (1, {'@': 206}), 38: (1, {'@': 206}), 26: (1, {'@': 206}), 39: (1, {'@': 206}), 29: (1, {'@': 206}), 18: (1, {'@': 206}), 40: (1, {'@': 206}), 30: (1, {'@': 206}), 0: (1, {'@': 206}), 2: (1, {'@': 206}), 41: (1, {'@': 206}), 12: (1, {'@': 206}), 42: (1, {'@': 206}), 4: (1, {'@': 206}), 43: (1, {'@': 206}), 44: (1, {'@': 206}), 34: (1, {'@': 206}), 45: (1, {'@': 206}), 20: (1, {'@': 206}), 17: (1, {'@': 206}), 22: (1, {'@': 206}), 46: (1, {'@': 206}), 23: (1, {'@': 206}), 47: (1, {'@': 206}), 48: (1, {'@': 206}), 1: (1, {'@': 206}), 28: (1, {'@': 206}), 31: (1, {'@': 206}), 49: (1, {'@': 206}), 50: (1, {'@': 206}), 32: (1, {'@': 206}), 51: (1, {'@': 206}), 33: (1, {'@': 206}), 52: (1, {'@': 206})}, 305: {1: (1, {'@': 207}), 3: (1, {'@': 207}), 0: (1, {'@': 207}), 2: (1, {'@': 207}), 12: (1, {'@': 207}), 4: (1, {'@': 207})}, 306: {35: (1, {'@': 208}), 36: (1, {'@': 208}), 37: (1, {'@': 208}), 19: (1, {'@': 208}), 21: (1, {'@': 208}), 15: (1, {'@': 208}), 24: (1, {'@': 208}), 38: (1, {'@': 208}), 26: (1, {'@': 208}), 39: (1, {'@': 208}), 29: (1, {'@': 208}), 18: (1, {'@': 208}), 40: (1, {'@': 208}), 30: (1, {'@': 208}), 0: (1, {'@': 208}), 2: (1, {'@': 208}), 41: (1, {'@': 208}), 12: (1, {'@': 208}), 42: (1, {'@': 208}), 4: (1, {'@': 208}), 43: (1, {'@': 208}), 44: (1, {'@': 208}), 34: (1, {'@': 208}), 45: (1, {'@': 208}), 20: (1, {'@': 208}), 17: (1, {'@': 208}), 22: (1, {'@': 208}), 46: (1, {'@': 208}), 23: (1, {'@': 208}), 47: (1, {'@': 208}), 48: (1, {'@': 208}), 1: (1, {'@': 208}), 28: (1, {'@': 208}), 31: (1, {'@': 208}), 49: (1, {'@': 208}), 50: (1, {'@': 208}), 32: (1, {'@': 208}), 51: (1, {'@': 208}), 33: (1, {'@': 208}), 52: (1, {'@': 208})}, 307: {29: (0, 366)}, 308: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 9: (0, 367), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 334), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 29: (0, 368), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 309: {35: (1, {'@': 209}), 36: (1, {'@': 209}), 37: (1, {'@': 209}), 19: (1, {'@': 209}), 21: (1, {'@': 209}), 15: (1, {'@': 209}), 24: (1, {'@': 209}), 38: (1, {'@': 209}), 26: (1, {'@': 209}), 39: (1, {'@': 209}), 29: (1, {'@': 209}), 18: (1, {'@': 209}), 40: (1, {'@': 209}), 30: (1, {'@': 209}), 0: (1, {'@': 209}), 2: (1, {'@': 209}), 41: (1, {'@': 209}), 12: (1, {'@': 209}), 42: (1, {'@': 209}), 4: (1, {'@': 209}), 43: (1, {'@': 209}), 44: (1, {'@': 209}), 34: (1, {'@': 209}), 45: (1, {'@': 209}), 20: (1, {'@': 209}), 17: (1, {'@': 209}), 22: (1, {'@': 209}), 46: (1, {'@': 209}), 23: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 1: (1, {'@': 209}), 28: (1, {'@': 209}), 31: (1, {'@': 209}), 49: (1, {'@': 209}), 50: (1, {'@': 209}), 32: (1, {'@': 209}), 51: (1, {'@': 209}), 33: (1, {'@': 209}), 52: (1, {'@': 209})}, 310: {53: (0, 34), 28: (0, 35), 15: (0, 36), 29: (0, 369), 21: (0, 37), 59: (0, 337), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 311: {35: (1, {'@': 210}), 36: (1, {'@': 210}), 37: (1, {'@': 210}), 19: (1, {'@': 210}), 21: (1, {'@': 210}), 15: (1, {'@': 210}), 24: (1, {'@': 210}), 38: (1, {'@': 210}), 26: (1, {'@': 210}), 39: (1, {'@': 210}), 29: (1, {'@': 210}), 18: (1, {'@': 210}), 40: (1, {'@': 210}), 30: (1, {'@': 210}), 0: (1, {'@': 210}), 2: (1, {'@': 210}), 41: (1, {'@': 210}), 12: (1, {'@': 210}), 42: (1, {'@': 210}), 4: (1, {'@': 210}), 43: (1, {'@': 210}), 44: (1, {'@': 210}), 34: (1, {'@': 210}), 45: (1, {'@': 210}), 20: (1, {'@': 210}), 17: (1, {'@': 210}), 22: (1, {'@': 210}), 46: (1, {'@': 210}), 23: (1, {'@': 210}), 47: (1, {'@': 210}), 48: (1, {'@': 210}), 1: (1, {'@': 210}), 28: (1, {'@': 210}), 31: (1, {'@': 210}), 49: (1, {'@': 210}), 50: (1, {'@': 210}), 32: (1, {'@': 210}), 51: (1, {'@': 210}), 33: (1, {'@': 210}), 52: (1, {'@': 210})}, 312: {29: (0, 370), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 339), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 313: {35: (1, {'@': 211}), 36: (1, {'@': 211}), 37: (1, {'@': 211}), 19: (1, {'@': 211}), 21: (1, {'@': 211}), 15: (1, {'@': 211}), 24: (1, {'@': 211}), 38: (1, {'@': 211}), 26: (1, {'@': 211}), 39: (1, {'@': 211}), 29: (1, {'@': 211}), 18: (1, {'@': 211}), 40: (1, {'@': 211}), 30: (1, {'@': 211}), 0: (1, {'@': 211}), 2: (1, {'@': 211}), 41: (1, {'@': 211}), 12: (1, {'@': 211}), 42: (1, {'@': 211}), 4: (1, {'@': 211}), 43: (1, {'@': 211}), 44: (1, {'@': 211}), 34: (1, {'@': 211}), 45: (1, {'@': 211}), 20: (1, {'@': 211}), 17: (1, {'@': 211}), 22: (1, {'@': 211}), 46: (1, {'@': 211}), 23: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 1: (1, {'@': 211}), 28: (1, {'@': 211}), 31: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211}), 32: (1, {'@': 211}), 51: (1, {'@': 211}), 33: (1, {'@': 211}), 52: (1, {'@': 211})}, 314: {35: (1, {'@': 212}), 36: (1, {'@': 212}), 37: (1, {'@': 212}), 19: (1, {'@': 212}), 21: (1, {'@': 212}), 15: (1, {'@': 212}), 24: (1, {'@': 212}), 38: (1, {'@': 212}), 26: (1, {'@': 212}), 39: (1, {'@': 212}), 29: (1, {'@': 212}), 18: (1, {'@': 212}), 40: (1, {'@': 212}), 30: (1, {'@': 212}), 0: (1, {'@': 212}), 2: (1, {'@': 212}), 41: (1, {'@': 212}), 12: (1, {'@': 212}), 42: (1, {'@': 212}), 4: (1, {'@': 212}), 43: (1, {'@': 212}), 44: (1, {'@': 212}), 34: (1, {'@': 212}), 45: (1, {'@': 212}), 20: (1, {'@': 212}), 17: (1, {'@': 212}), 22: (1, {'@': 212}), 46: (1, {'@': 212}), 23: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 1: (1, {'@': 212}), 28: (1, {'@': 212}), 31: (1, {'@': 212}), 49: (1, {'@': 212}), 50: (1, {'@': 212}), 32: (1, {'@': 212}), 51: (1, {'@': 212}), 33: (1, {'@': 212}), 52: (1, {'@': 212})}, 315: {4: (0, 8), 7: (0, 3), 1: (0, 9), 29: (0, 371), 9: (0, 372), 0: (0, 6)}, 316: {4: (0, 8), 22: (0, 196), 7: (0, 3), 1: (0, 9), 90: (0, 373), 29: (0, 374), 9: (0, 375), 0: (0, 6)}, 317: {35: (1, {'@': 213}), 36: (1, {'@': 213}), 37: (1, {'@': 213}), 19: (1, {'@': 213}), 21: (1, {'@': 213}), 15: (1, {'@': 213}), 24: (1, {'@': 213}), 38: (1, {'@': 213}), 26: (1, {'@': 213}), 39: (1, {'@': 213}), 29: (1, {'@': 213}), 18: (1, {'@': 213}), 40: (1, {'@': 213}), 30: (1, {'@': 213}), 0: (1, {'@': 213}), 2: (1, {'@': 213}), 41: (1, {'@': 213}), 12: (1, {'@': 213}), 42: (1, {'@': 213}), 4: (1, {'@': 213}), 43: (1, {'@': 213}), 44: (1, {'@': 213}), 34: (1, {'@': 213}), 45: (1, {'@': 213}), 20: (1, {'@': 213}), 17: (1, {'@': 213}), 22: (1, {'@': 213}), 46: (1, {'@': 213}), 23: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 1: (1, {'@': 213}), 28: (1, {'@': 213}), 31: (1, {'@': 213}), 49: (1, {'@': 213}), 50: (1, {'@': 213}), 32: (1, {'@': 213}), 51: (1, {'@': 213}), 33: (1, {'@': 213}), 52: (1, {'@': 213})}, 318: {35: (1, {'@': 214}), 36: (1, {'@': 214}), 37: (1, {'@': 214}), 19: (1, {'@': 214}), 21: (1, {'@': 214}), 15: (1, {'@': 214}), 24: (1, {'@': 214}), 38: (1, {'@': 214}), 26: (1, {'@': 214}), 39: (1, {'@': 214}), 29: (1, {'@': 214}), 18: (1, {'@': 214}), 40: (1, {'@': 214}), 30: (1, {'@': 214}), 0: (1, {'@': 214}), 2: (1, {'@': 214}), 41: (1, {'@': 214}), 12: (1, {'@': 214}), 42: (1, {'@': 214}), 4: (1, {'@': 214}), 43: (1, {'@': 214}), 44: (1, {'@': 214}), 34: (1, {'@': 214}), 45: (1, {'@': 214}), 20: (1, {'@': 214}), 17: (1, {'@': 214}), 22: (1, {'@': 214}), 46: (1, {'@': 214}), 23: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 1: (1, {'@': 214}), 28: (1, {'@': 214}), 31: (1, {'@': 214}), 49: (1, {'@': 214}), 50: (1, {'@': 214}), 32: (1, {'@': 214}), 51: (1, {'@': 214}), 33: (1, {'@': 214}), 52: (1, {'@': 214})}, 319: {4: (0, 8), 29: (0, 376), 7: (0, 3), 1: (0, 9), 9: (0, 377), 0: (0, 6)}, 320: {29: (0, 378)}, 321: {35: (1, {'@': 215}), 36: (1, {'@': 215}), 37: (1, {'@': 215}), 19: (1, {'@': 215}), 21: (1, {'@': 215}), 15: (1, {'@': 215}), 24: (1, {'@': 215}), 38: (1, {'@': 215}), 26: (1, {'@': 215}), 39: (1, {'@': 215}), 29: (1, {'@': 215}), 18: (1, {'@': 215}), 40: (1, {'@': 215}), 30: (1, {'@': 215}), 0: (1, {'@': 215}), 2: (1, {'@': 215}), 41: (1, {'@': 215}), 12: (1, {'@': 215}), 42: (1, {'@': 215}), 4: (1, {'@': 215}), 43: (1, {'@': 215}), 44: (1, {'@': 215}), 34: (1, {'@': 215}), 45: (1, {'@': 215}), 20: (1, {'@': 215}), 17: (1, {'@': 215}), 22: (1, {'@': 215}), 46: (1, {'@': 215}), 23: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 1: (1, {'@': 215}), 28: (1, {'@': 215}), 31: (1, {'@': 215}), 49: (1, {'@': 215}), 50: (1, {'@': 215}), 32: (1, {'@': 215}), 51: (1, {'@': 215}), 33: (1, {'@': 215}), 52: (1, {'@': 215})}, 322: {29: (0, 379)}, 323: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 51: (0, 380), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 324: {19: (1, {'@': 216}), 20: (1, {'@': 216}), 17: (1, {'@': 216}), 21: (1, {'@': 216}), 15: (1, {'@': 216}), 24: (1, {'@': 216}), 26: (1, {'@': 216}), 1: (0, 9), 28: (1, {'@': 216}), 30: (1, {'@': 216}), 31: (1, {'@': 216}), 0: (0, 6), 12: (1, {'@': 216}), 32: (1, {'@': 216}), 4: (0, 8), 34: (1, {'@': 216}), 7: (0, 3), 9: (0, 381)}, 325: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 51: (0, 382), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 326: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 383), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 327: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 9: (0, 384), 56: (0, 41), 31: (0, 42), 59: (0, 385), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 328: {7: (0, 3), 4: (0, 8), 9: (0, 386), 27: (0, 387), 1: (0, 9), 0: (0, 6)}, 329: {27: (0, 388), 9: (0, 389), 7: (0, 3), 0: (0, 6), 4: (0, 8), 1: (0, 9)}, 330: {53: (0, 34), 28: (0, 35), 15: (0, 36), 59: (0, 390), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 9: (0, 391), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 331: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 392), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 332: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 51: (0, 393), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 333: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 59: (0, 394), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 29: (0, 395), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 334: {36: (1, {'@': 217}), 1: (1, {'@': 217}), 29: (1, {'@': 217}), 0: (1, {'@': 217}), 23: (1, {'@': 217}), 33: (1, {'@': 217}), 4: (1, {'@': 217}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 335: {35: (1, {'@': 218}), 36: (1, {'@': 218}), 37: (1, {'@': 218}), 19: (1, {'@': 218}), 21: (1, {'@': 218}), 15: (1, {'@': 218}), 24: (1, {'@': 218}), 38: (1, {'@': 218}), 26: (1, {'@': 218}), 39: (1, {'@': 218}), 29: (1, {'@': 218}), 18: (1, {'@': 218}), 40: (1, {'@': 218}), 30: (1, {'@': 218}), 0: (1, {'@': 218}), 2: (1, {'@': 218}), 41: (1, {'@': 218}), 12: (1, {'@': 218}), 42: (1, {'@': 218}), 4: (1, {'@': 218}), 43: (1, {'@': 218}), 44: (1, {'@': 218}), 34: (1, {'@': 218}), 45: (1, {'@': 218}), 20: (1, {'@': 218}), 17: (1, {'@': 218}), 22: (1, {'@': 218}), 46: (1, {'@': 218}), 23: (1, {'@': 218}), 47: (1, {'@': 218}), 48: (1, {'@': 218}), 1: (1, {'@': 218}), 28: (1, {'@': 218}), 31: (1, {'@': 218}), 49: (1, {'@': 218}), 50: (1, {'@': 218}), 32: (1, {'@': 218}), 51: (1, {'@': 218}), 33: (1, {'@': 218}), 52: (1, {'@': 218})}, 336: {35: (1, {'@': 219}), 36: (1, {'@': 219}), 37: (1, {'@': 219}), 19: (1, {'@': 219}), 21: (1, {'@': 219}), 15: (1, {'@': 219}), 24: (1, {'@': 219}), 38: (1, {'@': 219}), 26: (1, {'@': 219}), 39: (1, {'@': 219}), 29: (1, {'@': 219}), 18: (1, {'@': 219}), 40: (1, {'@': 219}), 30: (1, {'@': 219}), 0: (1, {'@': 219}), 2: (1, {'@': 219}), 41: (1, {'@': 219}), 12: (1, {'@': 219}), 42: (1, {'@': 219}), 4: (1, {'@': 219}), 43: (1, {'@': 219}), 44: (1, {'@': 219}), 34: (1, {'@': 219}), 45: (1, {'@': 219}), 20: (1, {'@': 219}), 17: (1, {'@': 219}), 22: (1, {'@': 219}), 46: (1, {'@': 219}), 23: (1, {'@': 219}), 47: (1, {'@': 219}), 48: (1, {'@': 219}), 1: (1, {'@': 219}), 28: (1, {'@': 219}), 31: (1, {'@': 219}), 49: (1, {'@': 219}), 50: (1, {'@': 219}), 32: (1, {'@': 219}), 51: (1, {'@': 219}), 33: (1, {'@': 219}), 52: (1, {'@': 219})}, 337: {36: (1, {'@': 220}), 1: (1, {'@': 220}), 29: (1, {'@': 220}), 0: (1, {'@': 220}), 23: (1, {'@': 220}), 33: (1, {'@': 220}), 4: (1, {'@': 220}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 338: {35: (1, {'@': 221}), 36: (1, {'@': 221}), 37: (1, {'@': 221}), 19: (1, {'@': 221}), 21: (1, {'@': 221}), 15: (1, {'@': 221}), 24: (1, {'@': 221}), 38: (1, {'@': 221}), 26: (1, {'@': 221}), 39: (1, {'@': 221}), 29: (1, {'@': 221}), 18: (1, {'@': 221}), 40: (1, {'@': 221}), 30: (1, {'@': 221}), 0: (1, {'@': 221}), 2: (1, {'@': 221}), 41: (1, {'@': 221}), 12: (1, {'@': 221}), 42: (1, {'@': 221}), 4: (1, {'@': 221}), 43: (1, {'@': 221}), 44: (1, {'@': 221}), 34: (1, {'@': 221}), 45: (1, {'@': 221}), 20: (1, {'@': 221}), 17: (1, {'@': 221}), 22: (1, {'@': 221}), 46: (1, {'@': 221}), 23: (1, {'@': 221}), 47: (1, {'@': 221}), 48: (1, {'@': 221}), 1: (1, {'@': 221}), 28: (1, {'@': 221}), 31: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221}), 32: (1, {'@': 221}), 51: (1, {'@': 221}), 33: (1, {'@': 221}), 52: (1, {'@': 221})}, 339: {36: (1, {'@': 222}), 1: (1, {'@': 222}), 29: (1, {'@': 222}), 0: (1, {'@': 222}), 23: (1, {'@': 222}), 33: (1, {'@': 222}), 4: (1, {'@': 222}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 340: {35: (1, {'@': 223}), 36: (1, {'@': 223}), 37: (1, {'@': 223}), 19: (1, {'@': 223}), 21: (1, {'@': 223}), 15: (1, {'@': 223}), 24: (1, {'@': 223}), 38: (1, {'@': 223}), 26: (1, {'@': 223}), 39: (1, {'@': 223}), 29: (1, {'@': 223}), 18: (1, {'@': 223}), 40: (1, {'@': 223}), 30: (1, {'@': 223}), 0: (1, {'@': 223}), 2: (1, {'@': 223}), 41: (1, {'@': 223}), 12: (1, {'@': 223}), 42: (1, {'@': 223}), 4: (1, {'@': 223}), 43: (1, {'@': 223}), 44: (1, {'@': 223}), 34: (1, {'@': 223}), 45: (1, {'@': 223}), 20: (1, {'@': 223}), 17: (1, {'@': 223}), 22: (1, {'@': 223}), 46: (1, {'@': 223}), 23: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 1: (1, {'@': 223}), 28: (1, {'@': 223}), 31: (1, {'@': 223}), 49: (1, {'@': 223}), 50: (1, {'@': 223}), 32: (1, {'@': 223}), 51: (1, {'@': 223}), 33: (1, {'@': 223}), 52: (1, {'@': 223})}, 341: {7: (0, 3), 29: (0, 396), 4: (0, 8), 1: (0, 9), 0: (0, 6), 9: (0, 397)}, 342: {29: (0, 398)}, 343: {35: (1, {'@': 224}), 36: (1, {'@': 224}), 37: (1, {'@': 224}), 19: (1, {'@': 224}), 21: (1, {'@': 224}), 15: (1, {'@': 224}), 24: (1, {'@': 224}), 38: (1, {'@': 224}), 26: (1, {'@': 224}), 39: (1, {'@': 224}), 29: (1, {'@': 224}), 18: (1, {'@': 224}), 40: (1, {'@': 224}), 30: (1, {'@': 224}), 0: (1, {'@': 224}), 2: (1, {'@': 224}), 41: (1, {'@': 224}), 12: (1, {'@': 224}), 42: (1, {'@': 224}), 4: (1, {'@': 224}), 43: (1, {'@': 224}), 44: (1, {'@': 224}), 34: (1, {'@': 224}), 45: (1, {'@': 224}), 20: (1, {'@': 224}), 17: (1, {'@': 224}), 22: (1, {'@': 224}), 46: (1, {'@': 224}), 23: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 1: (1, {'@': 224}), 28: (1, {'@': 224}), 31: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224}), 32: (1, {'@': 224}), 51: (1, {'@': 224}), 33: (1, {'@': 224}), 52: (1, {'@': 224})}, 344: {29: (0, 399)}, 345: {35: (1, {'@': 225}), 36: (1, {'@': 225}), 37: (1, {'@': 225}), 19: (1, {'@': 225}), 21: (1, {'@': 225}), 15: (1, {'@': 225}), 24: (1, {'@': 225}), 38: (1, {'@': 225}), 26: (1, {'@': 225}), 39: (1, {'@': 225}), 29: (1, {'@': 225}), 18: (1, {'@': 225}), 40: (1, {'@': 225}), 30: (1, {'@': 225}), 0: (1, {'@': 225}), 2: (1, {'@': 225}), 41: (1, {'@': 225}), 12: (1, {'@': 225}), 42: (1, {'@': 225}), 4: (1, {'@': 225}), 43: (1, {'@': 225}), 44: (1, {'@': 225}), 34: (1, {'@': 225}), 45: (1, {'@': 225}), 20: (1, {'@': 225}), 17: (1, {'@': 225}), 22: (1, {'@': 225}), 46: (1, {'@': 225}), 23: (1, {'@': 225}), 47: (1, {'@': 225}), 48: (1, {'@': 225}), 1: (1, {'@': 225}), 28: (1, {'@': 225}), 31: (1, {'@': 225}), 49: (1, {'@': 225}), 50: (1, {'@': 225}), 32: (1, {'@': 225}), 51: (1, {'@': 225}), 33: (1, {'@': 225}), 52: (1, {'@': 225})}, 346: {35: (1, {'@': 226}), 36: (1, {'@': 226}), 37: (1, {'@': 226}), 19: (1, {'@': 226}), 21: (1, {'@': 226}), 15: (1, {'@': 226}), 24: (1, {'@': 226}), 38: (1, {'@': 226}), 26: (1, {'@': 226}), 39: (1, {'@': 226}), 29: (1, {'@': 226}), 18: (1, {'@': 226}), 40: (1, {'@': 226}), 30: (1, {'@': 226}), 0: (1, {'@': 226}), 2: (1, {'@': 226}), 41: (1, {'@': 226}), 12: (1, {'@': 226}), 42: (1, {'@': 226}), 4: (1, {'@': 226}), 43: (1, {'@': 226}), 44: (1, {'@': 226}), 34: (1, {'@': 226}), 45: (1, {'@': 226}), 20: (1, {'@': 226}), 17: (1, {'@': 226}), 22: (1, {'@': 226}), 46: (1, {'@': 226}), 23: (1, {'@': 226}), 47: (1, {'@': 226}), 48: (1, {'@': 226}), 1: (1, {'@': 226}), 28: (1, {'@': 226}), 31: (1, {'@': 226}), 49: (1, {'@': 226}), 50: (1, {'@': 226}), 32: (1, {'@': 226}), 51: (1, {'@': 226}), 33: (1, {'@': 226}), 52: (1, {'@': 226})}, 347: {29: (0, 400)}, 348: {35: (1, {'@': 227}), 36: (1, {'@': 227}), 37: (1, {'@': 227}), 19: (1, {'@': 227}), 21: (1, {'@': 227}), 15: (1, {'@': 227}), 24: (1, {'@': 227}), 38: (1, {'@': 227}), 26: (1, {'@': 227}), 39: (1, {'@': 227}), 29: (1, {'@': 227}), 18: (1, {'@': 227}), 40: (1, {'@': 227}), 30: (1, {'@': 227}), 0: (1, {'@': 227}), 2: (1, {'@': 227}), 41: (1, {'@': 227}), 12: (1, {'@': 227}), 42: (1, {'@': 227}), 4: (1, {'@': 227}), 43: (1, {'@': 227}), 44: (1, {'@': 227}), 34: (1, {'@': 227}), 45: (1, {'@': 227}), 20: (1, {'@': 227}), 17: (1, {'@': 227}), 22: (1, {'@': 227}), 46: (1, {'@': 227}), 23: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 1: (1, {'@': 227}), 28: (1, {'@': 227}), 31: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227}), 32: (1, {'@': 227}), 51: (1, {'@': 227}), 33: (1, {'@': 227}), 52: (1, {'@': 227})}, 349: {35: (1, {'@': 228}), 36: (1, {'@': 228}), 37: (1, {'@': 228}), 19: (1, {'@': 228}), 21: (1, {'@': 228}), 15: (1, {'@': 228}), 24: (1, {'@': 228}), 38: (1, {'@': 228}), 26: (1, {'@': 228}), 39: (1, {'@': 228}), 29: (1, {'@': 228}), 18: (1, {'@': 228}), 40: (1, {'@': 228}), 30: (1, {'@': 228}), 0: (1, {'@': 228}), 2: (1, {'@': 228}), 41: (1, {'@': 228}), 12: (1, {'@': 228}), 42: (1, {'@': 228}), 4: (1, {'@': 228}), 43: (1, {'@': 228}), 44: (1, {'@': 228}), 34: (1, {'@': 228}), 45: (1, {'@': 228}), 20: (1, {'@': 228}), 17: (1, {'@': 228}), 22: (1, {'@': 228}), 46: (1, {'@': 228}), 23: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 1: (1, {'@': 228}), 28: (1, {'@': 228}), 31: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228}), 32: (1, {'@': 228}), 51: (1, {'@': 228}), 33: (1, {'@': 228}), 52: (1, {'@': 228})}, 350: {0: (1, {'@': 229}), 1: (1, {'@': 229}), 2: (1, {'@': 229}), 29: (1, {'@': 229}), 4: (1, {'@': 229}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 351: {36: (0, 401), 9: (0, 402), 90: (0, 403), 41: (0, 96), 38: (0, 98), 22: (0, 196), 0: (0, 6), 80: (0, 100), 7: (0, 3), 2: (0, 404), 1: (0, 9), 43: (0, 103), 37: (0, 106), 46: (0, 108), 79: (0, 93), 40: (0, 94), 50: (0, 95), 45: (0, 97), 42: (0, 99), 4: (0, 8), 19: (0, 101), 39: (0, 102), 52: (0, 104), 48: (0, 105), 49: (0, 107)}, 352: {35: (1, {'@': 230}), 36: (1, {'@': 230}), 37: (1, {'@': 230}), 19: (1, {'@': 230}), 21: (1, {'@': 230}), 15: (1, {'@': 230}), 24: (1, {'@': 230}), 38: (1, {'@': 230}), 26: (1, {'@': 230}), 39: (1, {'@': 230}), 29: (1, {'@': 230}), 18: (1, {'@': 230}), 40: (1, {'@': 230}), 30: (1, {'@': 230}), 0: (1, {'@': 230}), 2: (1, {'@': 230}), 41: (1, {'@': 230}), 12: (1, {'@': 230}), 42: (1, {'@': 230}), 4: (1, {'@': 230}), 43: (1, {'@': 230}), 44: (1, {'@': 230}), 34: (1, {'@': 230}), 45: (1, {'@': 230}), 20: (1, {'@': 230}), 17: (1, {'@': 230}), 22: (1, {'@': 230}), 46: (1, {'@': 230}), 23: (1, {'@': 230}), 47: (1, {'@': 230}), 48: (1, {'@': 230}), 1: (1, {'@': 230}), 28: (1, {'@': 230}), 31: (1, {'@': 230}), 49: (1, {'@': 230}), 50: (1, {'@': 230}), 32: (1, {'@': 230}), 51: (1, {'@': 230}), 33: (1, {'@': 230}), 52: (1, {'@': 230})}, 353: {2: (0, 405), 22: (0, 196), 7: (0, 3), 9: (0, 406), 0: (0, 6), 90: (0, 407), 4: (0, 8), 1: (0, 9)}, 354: {4: (0, 8), 2: (0, 408), 7: (0, 3), 1: (0, 9), 0: (0, 6), 9: (0, 409)}, 355: {4: (0, 8), 90: (0, 410), 22: (0, 196), 9: (0, 411), 2: (0, 412), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 356: {35: (1, {'@': 231}), 36: (1, {'@': 231}), 37: (1, {'@': 231}), 19: (1, {'@': 231}), 21: (1, {'@': 231}), 15: (1, {'@': 231}), 24: (1, {'@': 231}), 38: (1, {'@': 231}), 26: (1, {'@': 231}), 39: (1, {'@': 231}), 29: (1, {'@': 231}), 18: (1, {'@': 231}), 40: (1, {'@': 231}), 30: (1, {'@': 231}), 0: (1, {'@': 231}), 2: (1, {'@': 231}), 41: (1, {'@': 231}), 12: (1, {'@': 231}), 42: (1, {'@': 231}), 4: (1, {'@': 231}), 43: (1, {'@': 231}), 44: (1, {'@': 231}), 34: (1, {'@': 231}), 45: (1, {'@': 231}), 20: (1, {'@': 231}), 17: (1, {'@': 231}), 22: (1, {'@': 231}), 46: (1, {'@': 231}), 23: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 1: (1, {'@': 231}), 28: (1, {'@': 231}), 31: (1, {'@': 231}), 49: (1, {'@': 231}), 50: (1, {'@': 231}), 32: (1, {'@': 231}), 51: (1, {'@': 231}), 33: (1, {'@': 231}), 52: (1, {'@': 231})}, 357: {0: (1, {'@': 166}), 1: (1, {'@': 166}), 4: (1, {'@': 166}), 23: (0, 285), 33: (0, 300)}, 358: {35: (1, {'@': 232}), 36: (1, {'@': 232}), 37: (1, {'@': 232}), 51: (1, {'@': 232}), 19: (1, {'@': 232}), 21: (1, {'@': 232}), 15: (1, {'@': 232}), 24: (1, {'@': 232}), 26: (1, {'@': 232}), 39: (1, {'@': 232}), 29: (1, {'@': 232}), 18: (1, {'@': 232}), 40: (1, {'@': 232}), 30: (1, {'@': 232}), 0: (1, {'@': 232}), 2: (1, {'@': 232}), 41: (1, {'@': 232}), 12: (1, {'@': 232}), 42: (1, {'@': 232}), 4: (1, {'@': 232}), 43: (1, {'@': 232}), 44: (1, {'@': 232}), 34: (1, {'@': 232}), 45: (1, {'@': 232}), 20: (1, {'@': 232}), 17: (1, {'@': 232}), 22: (1, {'@': 232}), 46: (1, {'@': 232}), 23: (1, {'@': 232}), 47: (1, {'@': 232}), 48: (1, {'@': 232}), 1: (1, {'@': 232}), 28: (1, {'@': 232}), 31: (1, {'@': 232}), 49: (1, {'@': 232}), 50: (1, {'@': 232}), 32: (1, {'@': 232}), 38: (1, {'@': 232}), 33: (1, {'@': 232}), 52: (1, {'@': 232})}, 359: {35: (1, {'@': 233}), 36: (1, {'@': 233}), 37: (1, {'@': 233}), 19: (1, {'@': 233}), 21: (1, {'@': 233}), 15: (1, {'@': 233}), 24: (1, {'@': 233}), 38: (1, {'@': 233}), 26: (1, {'@': 233}), 39: (1, {'@': 233}), 29: (1, {'@': 233}), 18: (1, {'@': 233}), 40: (1, {'@': 233}), 30: (1, {'@': 233}), 0: (1, {'@': 233}), 2: (1, {'@': 233}), 41: (1, {'@': 233}), 12: (1, {'@': 233}), 42: (1, {'@': 233}), 4: (1, {'@': 233}), 43: (1, {'@': 233}), 44: (1, {'@': 233}), 34: (1, {'@': 233}), 45: (1, {'@': 233}), 20: (1, {'@': 233}), 17: (1, {'@': 233}), 22: (1, {'@': 233}), 46: (1, {'@': 233}), 23: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 1: (1, {'@': 233}), 28: (1, {'@': 233}), 31: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233}), 32: (1, {'@': 233}), 51: (1, {'@': 233}), 33: (1, {'@': 233}), 52: (1, {'@': 233})}, 360: {35: (1, {'@': 234}), 36: (1, {'@': 234}), 37: (1, {'@': 234}), 19: (1, {'@': 234}), 21: (1, {'@': 234}), 15: (1, {'@': 234}), 24: (1, {'@': 234}), 38: (1, {'@': 234}), 26: (1, {'@': 234}), 39: (1, {'@': 234}), 29: (1, {'@': 234}), 18: (1, {'@': 234}), 40: (1, {'@': 234}), 30: (1, {'@': 234}), 0: (1, {'@': 234}), 2: (1, {'@': 234}), 41: (1, {'@': 234}), 12: (1, {'@': 234}), 42: (1, {'@': 234}), 4: (1, {'@': 234}), 43: (1, {'@': 234}), 44: (1, {'@': 234}), 34: (1, {'@': 234}), 45: (1, {'@': 234}), 20: (1, {'@': 234}), 17: (1, {'@': 234}), 22: (1, {'@': 234}), 46: (1, {'@': 234}), 23: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 1: (1, {'@': 234}), 28: (1, {'@': 234}), 31: (1, {'@': 234}), 49: (1, {'@': 234}), 50: (1, {'@': 234}), 32: (1, {'@': 234}), 51: (1, {'@': 234}), 33: (1, {'@': 234}), 52: (1, {'@': 234})}, 361: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 9: (0, 413), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 334), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 362: {0: (1, {'@': 235}), 1: (1, {'@': 235}), 4: (1, {'@': 235}), 23: (1, {'@': 235}), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 59: (0, 337), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 363: {0: (1, {'@': 236}), 1: (1, {'@': 236}), 4: (1, {'@': 236}), 23: (1, {'@': 236})}, 364: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 59: (0, 339), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 365: {35: (1, {'@': 237}), 36: (1, {'@': 237}), 37: (1, {'@': 237}), 19: (1, {'@': 237}), 21: (1, {'@': 237}), 15: (1, {'@': 237}), 24: (1, {'@': 237}), 38: (1, {'@': 237}), 26: (1, {'@': 237}), 39: (1, {'@': 237}), 29: (1, {'@': 237}), 18: (1, {'@': 237}), 40: (1, {'@': 237}), 30: (1, {'@': 237}), 0: (1, {'@': 237}), 2: (1, {'@': 237}), 41: (1, {'@': 237}), 12: (1, {'@': 237}), 42: (1, {'@': 237}), 4: (1, {'@': 237}), 43: (1, {'@': 237}), 44: (1, {'@': 237}), 34: (1, {'@': 237}), 45: (1, {'@': 237}), 20: (1, {'@': 237}), 17: (1, {'@': 237}), 22: (1, {'@': 237}), 46: (1, {'@': 237}), 23: (1, {'@': 237}), 47: (1, {'@': 237}), 48: (1, {'@': 237}), 1: (1, {'@': 237}), 28: (1, {'@': 237}), 31: (1, {'@': 237}), 49: (1, {'@': 237}), 50: (1, {'@': 237}), 32: (1, {'@': 237}), 51: (1, {'@': 237}), 33: (1, {'@': 237}), 52: (1, {'@': 237})}, 366: {35: (1, {'@': 238}), 36: (1, {'@': 238}), 37: (1, {'@': 238}), 19: (1, {'@': 238}), 21: (1, {'@': 238}), 15: (1, {'@': 238}), 24: (1, {'@': 238}), 38: (1, {'@': 238}), 26: (1, {'@': 238}), 39: (1, {'@': 238}), 29: (1, {'@': 238}), 18: (1, {'@': 238}), 40: (1, {'@': 238}), 30: (1, {'@': 238}), 0: (1, {'@': 238}), 2: (1, {'@': 238}), 41: (1, {'@': 238}), 12: (1, {'@': 238}), 42: (1, {'@': 238}), 4: (1, {'@': 238}), 43: (1, {'@': 238}), 44: (1, {'@': 238}), 34: (1, {'@': 238}), 45: (1, {'@': 238}), 20: (1, {'@': 238}), 17: (1, {'@': 238}), 22: (1, {'@': 238}), 46: (1, {'@': 238}), 23: (1, {'@': 238}), 47: (1, {'@': 238}), 48: (1, {'@': 238}), 1: (1, {'@': 238}), 28: (1, {'@': 238}), 31: (1, {'@': 238}), 49: (1, {'@': 238}), 50: (1, {'@': 238}), 32: (1, {'@': 238}), 51: (1, {'@': 238}), 33: (1, {'@': 238}), 52: (1, {'@': 238})}, 367: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 59: (0, 394), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 29: (0, 414), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 368: {35: (1, {'@': 239}), 36: (1, {'@': 239}), 37: (1, {'@': 239}), 19: (1, {'@': 239}), 21: (1, {'@': 239}), 15: (1, {'@': 239}), 24: (1, {'@': 239}), 38: (1, {'@': 239}), 26: (1, {'@': 239}), 39: (1, {'@': 239}), 29: (1, {'@': 239}), 18: (1, {'@': 239}), 40: (1, {'@': 239}), 30: (1, {'@': 239}), 0: (1, {'@': 239}), 2: (1, {'@': 239}), 41: (1, {'@': 239}), 12: (1, {'@': 239}), 42: (1, {'@': 239}), 4: (1, {'@': 239}), 43: (1, {'@': 239}), 44: (1, {'@': 239}), 34: (1, {'@': 239}), 45: (1, {'@': 239}), 20: (1, {'@': 239}), 17: (1, {'@': 239}), 22: (1, {'@': 239}), 46: (1, {'@': 239}), 23: (1, {'@': 239}), 47: (1, {'@': 239}), 48: (1, {'@': 239}), 1: (1, {'@': 239}), 28: (1, {'@': 239}), 31: (1, {'@': 239}), 49: (1, {'@': 239}), 50: (1, {'@': 239}), 32: (1, {'@': 239}), 51: (1, {'@': 239}), 33: (1, {'@': 239}), 52: (1, {'@': 239})}, 369: {35: (1, {'@': 240}), 36: (1, {'@': 240}), 37: (1, {'@': 240}), 19: (1, {'@': 240}), 21: (1, {'@': 240}), 15: (1, {'@': 240}), 24: (1, {'@': 240}), 38: (1, {'@': 240}), 26: (1, {'@': 240}), 39: (1, {'@': 240}), 29: (1, {'@': 240}), 18: (1, {'@': 240}), 40: (1, {'@': 240}), 30: (1, {'@': 240}), 0: (1, {'@': 240}), 2: (1, {'@': 240}), 41: (1, {'@': 240}), 12: (1, {'@': 240}), 42: (1, {'@': 240}), 4: (1, {'@': 240}), 43: (1, {'@': 240}), 44: (1, {'@': 240}), 34: (1, {'@': 240}), 45: (1, {'@': 240}), 20: (1, {'@': 240}), 17: (1, {'@': 240}), 22: (1, {'@': 240}), 46: (1, {'@': 240}), 23: (1, {'@': 240}), 47: (1, {'@': 240}), 48: (1, {'@': 240}), 1: (1, {'@': 240}), 28: (1, {'@': 240}), 31: (1, {'@': 240}), 49: (1, {'@': 240}), 50: (1, {'@': 240}), 32: (1, {'@': 240}), 51: (1, {'@': 240}), 33: (1, {'@': 240}), 52: (1, {'@': 240})}, 370: {35: (1, {'@': 241}), 36: (1, {'@': 241}), 37: (1, {'@': 241}), 19: (1, {'@': 241}), 21: (1, {'@': 241}), 15: (1, {'@': 241}), 24: (1, {'@': 241}), 38: (1, {'@': 241}), 26: (1, {'@': 241}), 39: (1, {'@': 241}), 29: (1, {'@': 241}), 18: (1, {'@': 241}), 40: (1, {'@': 241}), 30: (1, {'@': 241}), 0: (1, {'@': 241}), 2: (1, {'@': 241}), 41: (1, {'@': 241}), 12: (1, {'@': 241}), 42: (1, {'@': 241}), 4: (1, {'@': 241}), 43: (1, {'@': 241}), 44: (1, {'@': 241}), 34: (1, {'@': 241}), 45: (1, {'@': 241}), 20: (1, {'@': 241}), 17: (1, {'@': 241}), 22: (1, {'@': 241}), 46: (1, {'@': 241}), 23: (1, {'@': 241}), 47: (1, {'@': 241}), 48: (1, {'@': 241}), 1: (1, {'@': 241}), 28: (1, {'@': 241}), 31: (1, {'@': 241}), 49: (1, {'@': 241}), 50: (1, {'@': 241}), 32: (1, {'@': 241}), 51: (1, {'@': 241}), 33: (1, {'@': 241}), 52: (1, {'@': 241})}, 371: {35: (1, {'@': 242}), 36: (1, {'@': 242}), 37: (1, {'@': 242}), 19: (1, {'@': 242}), 21: (1, {'@': 242}), 15: (1, {'@': 242}), 24: (1, {'@': 242}), 38: (1, {'@': 242}), 26: (1, {'@': 242}), 39: (1, {'@': 242}), 29: (1, {'@': 242}), 18: (1, {'@': 242}), 40: (1, {'@': 242}), 30: (1, {'@': 242}), 0: (1, {'@': 242}), 2: (1, {'@': 242}), 41: (1, {'@': 242}), 12: (1, {'@': 242}), 42: (1, {'@': 242}), 4: (1, {'@': 242}), 43: (1, {'@': 242}), 44: (1, {'@': 242}), 34: (1, {'@': 242}), 45: (1, {'@': 242}), 20: (1, {'@': 242}), 17: (1, {'@': 242}), 22: (1, {'@': 242}), 46: (1, {'@': 242}), 23: (1, {'@': 242}), 47: (1, {'@': 242}), 48: (1, {'@': 242}), 1: (1, {'@': 242}), 28: (1, {'@': 242}), 31: (1, {'@': 242}), 49: (1, {'@': 242}), 50: (1, {'@': 242}), 32: (1, {'@': 242}), 51: (1, {'@': 242}), 33: (1, {'@': 242}), 52: (1, {'@': 242})}, 372: {29: (0, 415)}, 373: {4: (0, 8), 9: (0, 416), 1: (0, 9), 7: (0, 3), 29: (0, 417), 0: (0, 6)}, 374: {35: (1, {'@': 243}), 36: (1, {'@': 243}), 37: (1, {'@': 243}), 19: (1, {'@': 243}), 21: (1, {'@': 243}), 15: (1, {'@': 243}), 24: (1, {'@': 243}), 38: (1, {'@': 243}), 26: (1, {'@': 243}), 39: (1, {'@': 243}), 29: (1, {'@': 243}), 18: (1, {'@': 243}), 40: (1, {'@': 243}), 30: (1, {'@': 243}), 0: (1, {'@': 243}), 2: (1, {'@': 243}), 41: (1, {'@': 243}), 12: (1, {'@': 243}), 42: (1, {'@': 243}), 4: (1, {'@': 243}), 43: (1, {'@': 243}), 44: (1, {'@': 243}), 34: (1, {'@': 243}), 45: (1, {'@': 243}), 20: (1, {'@': 243}), 17: (1, {'@': 243}), 22: (1, {'@': 243}), 46: (1, {'@': 243}), 23: (1, {'@': 243}), 47: (1, {'@': 243}), 48: (1, {'@': 243}), 1: (1, {'@': 243}), 28: (1, {'@': 243}), 31: (1, {'@': 243}), 49: (1, {'@': 243}), 50: (1, {'@': 243}), 32: (1, {'@': 243}), 51: (1, {'@': 243}), 33: (1, {'@': 243}), 52: (1, {'@': 243})}, 375: {29: (0, 418)}, 376: {35: (1, {'@': 244}), 36: (1, {'@': 244}), 37: (1, {'@': 244}), 19: (1, {'@': 244}), 21: (1, {'@': 244}), 15: (1, {'@': 244}), 24: (1, {'@': 244}), 38: (1, {'@': 244}), 26: (1, {'@': 244}), 39: (1, {'@': 244}), 29: (1, {'@': 244}), 18: (1, {'@': 244}), 40: (1, {'@': 244}), 30: (1, {'@': 244}), 0: (1, {'@': 244}), 2: (1, {'@': 244}), 41: (1, {'@': 244}), 12: (1, {'@': 244}), 42: (1, {'@': 244}), 4: (1, {'@': 244}), 43: (1, {'@': 244}), 44: (1, {'@': 244}), 34: (1, {'@': 244}), 45: (1, {'@': 244}), 20: (1, {'@': 244}), 17: (1, {'@': 244}), 22: (1, {'@': 244}), 46: (1, {'@': 244}), 23: (1, {'@': 244}), 47: (1, {'@': 244}), 48: (1, {'@': 244}), 1: (1, {'@': 244}), 28: (1, {'@': 244}), 31: (1, {'@': 244}), 49: (1, {'@': 244}), 50: (1, {'@': 244}), 32: (1, {'@': 244}), 51: (1, {'@': 244}), 33: (1, {'@': 244}), 52: (1, {'@': 244})}, 377: {29: (0, 419)}, 378: {35: (1, {'@': 245}), 36: (1, {'@': 245}), 37: (1, {'@': 245}), 19: (1, {'@': 245}), 21: (1, {'@': 245}), 15: (1, {'@': 245}), 24: (1, {'@': 245}), 38: (1, {'@': 245}), 26: (1, {'@': 245}), 39: (1, {'@': 245}), 29: (1, {'@': 245}), 18: (1, {'@': 245}), 40: (1, {'@': 245}), 30: (1, {'@': 245}), 0: (1, {'@': 245}), 2: (1, {'@': 245}), 41: (1, {'@': 245}), 12: (1, {'@': 245}), 42: (1, {'@': 245}), 4: (1, {'@': 245}), 43: (1, {'@': 245}), 44: (1, {'@': 245}), 34: (1, {'@': 245}), 45: (1, {'@': 245}), 20: (1, {'@': 245}), 17: (1, {'@': 245}), 22: (1, {'@': 245}), 46: (1, {'@': 245}), 23: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 1: (1, {'@': 245}), 28: (1, {'@': 245}), 31: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245}), 32: (1, {'@': 245}), 51: (1, {'@': 245}), 33: (1, {'@': 245}), 52: (1, {'@': 245})}, 379: {35: (1, {'@': 246}), 36: (1, {'@': 246}), 37: (1, {'@': 246}), 19: (1, {'@': 246}), 21: (1, {'@': 246}), 15: (1, {'@': 246}), 24: (1, {'@': 246}), 38: (1, {'@': 246}), 26: (1, {'@': 246}), 39: (1, {'@': 246}), 29: (1, {'@': 246}), 18: (1, {'@': 246}), 40: (1, {'@': 246}), 30: (1, {'@': 246}), 0: (1, {'@': 246}), 2: (1, {'@': 246}), 41: (1, {'@': 246}), 12: (1, {'@': 246}), 42: (1, {'@': 246}), 4: (1, {'@': 246}), 43: (1, {'@': 246}), 44: (1, {'@': 246}), 34: (1, {'@': 246}), 45: (1, {'@': 246}), 20: (1, {'@': 246}), 17: (1, {'@': 246}), 22: (1, {'@': 246}), 46: (1, {'@': 246}), 23: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 1: (1, {'@': 246}), 28: (1, {'@': 246}), 31: (1, {'@': 246}), 49: (1, {'@': 246}), 50: (1, {'@': 246}), 32: (1, {'@': 246}), 51: (1, {'@': 246}), 33: (1, {'@': 246}), 52: (1, {'@': 246})}, 380: {19: (1, {'@': 247}), 20: (1, {'@': 247}), 17: (1, {'@': 247}), 21: (1, {'@': 247}), 15: (1, {'@': 247}), 24: (1, {'@': 247}), 26: (1, {'@': 247}), 1: (0, 9), 28: (1, {'@': 247}), 30: (1, {'@': 247}), 31: (1, {'@': 247}), 0: (0, 6), 12: (1, {'@': 247}), 32: (1, {'@': 247}), 4: (0, 8), 34: (1, {'@': 247}), 9: (0, 420), 7: (0, 3)}, 381: {19: (1, {'@': 248}), 20: (1, {'@': 248}), 17: (1, {'@': 248}), 21: (1, {'@': 248}), 15: (1, {'@': 248}), 24: (1, {'@': 248}), 26: (1, {'@': 248}), 1: (1, {'@': 248}), 28: (1, {'@': 248}), 30: (1, {'@': 248}), 31: (1, {'@': 248}), 0: (1, {'@': 248}), 12: (1, {'@': 248}), 32: (1, {'@': 248}), 4: (1, {'@': 248}), 34: (1, {'@': 248})}, 382: {19: (1, {'@': 249}), 20: (1, {'@': 249}), 17: (1, {'@': 249}), 21: (1, {'@': 249}), 15: (1, {'@': 249}), 24: (1, {'@': 249}), 26: (1, {'@': 249}), 1: (0, 9), 28: (1, {'@': 249}), 30: (1, {'@': 249}), 31: (1, {'@': 249}), 0: (0, 6), 12: (1, {'@': 249}), 32: (1, {'@': 249}), 4: (0, 8), 34: (1, {'@': 249}), 9: (0, 421), 7: (0, 3)}, 383: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 51: (0, 422), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 384: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 423), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 385: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 51: (0, 424), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 386: {27: (0, 425)}, 387: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 9: (0, 426), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 427), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 388: {59: (0, 428), 53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 9: (0, 429), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 389: {7: (0, 3), 4: (0, 8), 9: (0, 430), 27: (0, 431), 1: (0, 9), 0: (0, 6)}, 390: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 432), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 391: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 433), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 392: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 434), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 393: {19: (1, {'@': 250}), 20: (1, {'@': 250}), 17: (1, {'@': 250}), 21: (1, {'@': 250}), 15: (1, {'@': 250}), 24: (1, {'@': 250}), 26: (1, {'@': 250}), 1: (0, 9), 28: (1, {'@': 250}), 30: (1, {'@': 250}), 31: (1, {'@': 250}), 0: (0, 6), 12: (1, {'@': 250}), 32: (1, {'@': 250}), 4: (0, 8), 34: (1, {'@': 250}), 9: (0, 435), 7: (0, 3)}, 394: {36: (1, {'@': 251}), 1: (1, {'@': 251}), 29: (1, {'@': 251}), 0: (1, {'@': 251}), 23: (1, {'@': 251}), 33: (1, {'@': 251}), 4: (1, {'@': 251}), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 395: {35: (1, {'@': 252}), 36: (1, {'@': 252}), 37: (1, {'@': 252}), 19: (1, {'@': 252}), 21: (1, {'@': 252}), 15: (1, {'@': 252}), 24: (1, {'@': 252}), 38: (1, {'@': 252}), 26: (1, {'@': 252}), 39: (1, {'@': 252}), 29: (1, {'@': 252}), 18: (1, {'@': 252}), 40: (1, {'@': 252}), 30: (1, {'@': 252}), 0: (1, {'@': 252}), 2: (1, {'@': 252}), 41: (1, {'@': 252}), 12: (1, {'@': 252}), 42: (1, {'@': 252}), 4: (1, {'@': 252}), 43: (1, {'@': 252}), 44: (1, {'@': 252}), 34: (1, {'@': 252}), 45: (1, {'@': 252}), 20: (1, {'@': 252}), 17: (1, {'@': 252}), 22: (1, {'@': 252}), 46: (1, {'@': 252}), 23: (1, {'@': 252}), 47: (1, {'@': 252}), 48: (1, {'@': 252}), 1: (1, {'@': 252}), 28: (1, {'@': 252}), 31: (1, {'@': 252}), 49: (1, {'@': 252}), 50: (1, {'@': 252}), 32: (1, {'@': 252}), 51: (1, {'@': 252}), 33: (1, {'@': 252}), 52: (1, {'@': 252})}, 396: {35: (1, {'@': 253}), 36: (1, {'@': 253}), 37: (1, {'@': 253}), 19: (1, {'@': 253}), 21: (1, {'@': 253}), 15: (1, {'@': 253}), 24: (1, {'@': 253}), 38: (1, {'@': 253}), 26: (1, {'@': 253}), 39: (1, {'@': 253}), 29: (1, {'@': 253}), 18: (1, {'@': 253}), 40: (1, {'@': 253}), 30: (1, {'@': 253}), 0: (1, {'@': 253}), 2: (1, {'@': 253}), 41: (1, {'@': 253}), 12: (1, {'@': 253}), 42: (1, {'@': 253}), 4: (1, {'@': 253}), 43: (1, {'@': 253}), 44: (1, {'@': 253}), 34: (1, {'@': 253}), 45: (1, {'@': 253}), 20: (1, {'@': 253}), 17: (1, {'@': 253}), 22: (1, {'@': 253}), 46: (1, {'@': 253}), 23: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 1: (1, {'@': 253}), 28: (1, {'@': 253}), 31: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253}), 32: (1, {'@': 253}), 51: (1, {'@': 253}), 33: (1, {'@': 253}), 52: (1, {'@': 253})}, 397: {29: (0, 436)}, 398: {35: (1, {'@': 254}), 36: (1, {'@': 254}), 37: (1, {'@': 254}), 19: (1, {'@': 254}), 21: (1, {'@': 254}), 15: (1, {'@': 254}), 24: (1, {'@': 254}), 38: (1, {'@': 254}), 26: (1, {'@': 254}), 39: (1, {'@': 254}), 29: (1, {'@': 254}), 18: (1, {'@': 254}), 40: (1, {'@': 254}), 30: (1, {'@': 254}), 0: (1, {'@': 254}), 2: (1, {'@': 254}), 41: (1, {'@': 254}), 12: (1, {'@': 254}), 42: (1, {'@': 254}), 4: (1, {'@': 254}), 43: (1, {'@': 254}), 44: (1, {'@': 254}), 34: (1, {'@': 254}), 45: (1, {'@': 254}), 20: (1, {'@': 254}), 17: (1, {'@': 254}), 22: (1, {'@': 254}), 46: (1, {'@': 254}), 23: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 1: (1, {'@': 254}), 28: (1, {'@': 254}), 31: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254}), 32: (1, {'@': 254}), 51: (1, {'@': 254}), 33: (1, {'@': 254}), 52: (1, {'@': 254})}, 399: {35: (1, {'@': 255}), 36: (1, {'@': 255}), 37: (1, {'@': 255}), 19: (1, {'@': 255}), 21: (1, {'@': 255}), 15: (1, {'@': 255}), 24: (1, {'@': 255}), 38: (1, {'@': 255}), 26: (1, {'@': 255}), 39: (1, {'@': 255}), 29: (1, {'@': 255}), 18: (1, {'@': 255}), 40: (1, {'@': 255}), 30: (1, {'@': 255}), 0: (1, {'@': 255}), 2: (1, {'@': 255}), 41: (1, {'@': 255}), 12: (1, {'@': 255}), 42: (1, {'@': 255}), 4: (1, {'@': 255}), 43: (1, {'@': 255}), 44: (1, {'@': 255}), 34: (1, {'@': 255}), 45: (1, {'@': 255}), 20: (1, {'@': 255}), 17: (1, {'@': 255}), 22: (1, {'@': 255}), 46: (1, {'@': 255}), 23: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 1: (1, {'@': 255}), 28: (1, {'@': 255}), 31: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255}), 32: (1, {'@': 255}), 51: (1, {'@': 255}), 33: (1, {'@': 255}), 52: (1, {'@': 255})}, 400: {35: (1, {'@': 256}), 36: (1, {'@': 256}), 37: (1, {'@': 256}), 19: (1, {'@': 256}), 21: (1, {'@': 256}), 15: (1, {'@': 256}), 24: (1, {'@': 256}), 38: (1, {'@': 256}), 26: (1, {'@': 256}), 39: (1, {'@': 256}), 29: (1, {'@': 256}), 18: (1, {'@': 256}), 40: (1, {'@': 256}), 30: (1, {'@': 256}), 0: (1, {'@': 256}), 2: (1, {'@': 256}), 41: (1, {'@': 256}), 12: (1, {'@': 256}), 42: (1, {'@': 256}), 4: (1, {'@': 256}), 43: (1, {'@': 256}), 44: (1, {'@': 256}), 34: (1, {'@': 256}), 45: (1, {'@': 256}), 20: (1, {'@': 256}), 17: (1, {'@': 256}), 22: (1, {'@': 256}), 46: (1, {'@': 256}), 23: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 1: (1, {'@': 256}), 28: (1, {'@': 256}), 31: (1, {'@': 256}), 49: (1, {'@': 256}), 50: (1, {'@': 256}), 32: (1, {'@': 256}), 51: (1, {'@': 256}), 33: (1, {'@': 256}), 52: (1, {'@': 256})}, 401: {90: (0, 437), 9: (0, 438), 22: (0, 196), 7: (0, 3), 0: (0, 6), 4: (0, 8), 2: (0, 439), 1: (0, 9)}, 402: {4: (0, 8), 9: (0, 440), 90: (0, 441), 2: (0, 442), 22: (0, 196), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 403: {4: (0, 8), 9: (0, 443), 2: (0, 444), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 404: {35: (1, {'@': 257}), 36: (1, {'@': 257}), 37: (1, {'@': 257}), 19: (1, {'@': 257}), 21: (1, {'@': 257}), 15: (1, {'@': 257}), 24: (1, {'@': 257}), 38: (1, {'@': 257}), 26: (1, {'@': 257}), 39: (1, {'@': 257}), 29: (1, {'@': 257}), 18: (1, {'@': 257}), 40: (1, {'@': 257}), 30: (1, {'@': 257}), 0: (1, {'@': 257}), 2: (1, {'@': 257}), 41: (1, {'@': 257}), 12: (1, {'@': 257}), 42: (1, {'@': 257}), 4: (1, {'@': 257}), 43: (1, {'@': 257}), 44: (1, {'@': 257}), 34: (1, {'@': 257}), 45: (1, {'@': 257}), 20: (1, {'@': 257}), 17: (1, {'@': 257}), 22: (1, {'@': 257}), 46: (1, {'@': 257}), 23: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 1: (1, {'@': 257}), 28: (1, {'@': 257}), 31: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257}), 32: (1, {'@': 257}), 51: (1, {'@': 257}), 33: (1, {'@': 257}), 52: (1, {'@': 257})}, 405: {35: (1, {'@': 258}), 36: (1, {'@': 258}), 37: (1, {'@': 258}), 19: (1, {'@': 258}), 21: (1, {'@': 258}), 15: (1, {'@': 258}), 24: (1, {'@': 258}), 38: (1, {'@': 258}), 26: (1, {'@': 258}), 39: (1, {'@': 258}), 29: (1, {'@': 258}), 18: (1, {'@': 258}), 40: (1, {'@': 258}), 30: (1, {'@': 258}), 0: (1, {'@': 258}), 2: (1, {'@': 258}), 41: (1, {'@': 258}), 12: (1, {'@': 258}), 42: (1, {'@': 258}), 4: (1, {'@': 258}), 43: (1, {'@': 258}), 44: (1, {'@': 258}), 34: (1, {'@': 258}), 45: (1, {'@': 258}), 20: (1, {'@': 258}), 17: (1, {'@': 258}), 22: (1, {'@': 258}), 46: (1, {'@': 258}), 23: (1, {'@': 258}), 47: (1, {'@': 258}), 48: (1, {'@': 258}), 1: (1, {'@': 258}), 28: (1, {'@': 258}), 31: (1, {'@': 258}), 49: (1, {'@': 258}), 50: (1, {'@': 258}), 32: (1, {'@': 258}), 51: (1, {'@': 258}), 33: (1, {'@': 258}), 52: (1, {'@': 258})}, 406: {9: (0, 445), 90: (0, 446), 2: (0, 447), 4: (0, 8), 22: (0, 196), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 407: {2: (0, 448), 9: (0, 449), 4: (0, 8), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 408: {35: (1, {'@': 259}), 36: (1, {'@': 259}), 37: (1, {'@': 259}), 19: (1, {'@': 259}), 21: (1, {'@': 259}), 15: (1, {'@': 259}), 24: (1, {'@': 259}), 38: (1, {'@': 259}), 26: (1, {'@': 259}), 39: (1, {'@': 259}), 29: (1, {'@': 259}), 18: (1, {'@': 259}), 40: (1, {'@': 259}), 30: (1, {'@': 259}), 0: (1, {'@': 259}), 2: (1, {'@': 259}), 41: (1, {'@': 259}), 12: (1, {'@': 259}), 42: (1, {'@': 259}), 4: (1, {'@': 259}), 43: (1, {'@': 259}), 44: (1, {'@': 259}), 34: (1, {'@': 259}), 45: (1, {'@': 259}), 20: (1, {'@': 259}), 17: (1, {'@': 259}), 22: (1, {'@': 259}), 46: (1, {'@': 259}), 23: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 1: (1, {'@': 259}), 28: (1, {'@': 259}), 31: (1, {'@': 259}), 49: (1, {'@': 259}), 50: (1, {'@': 259}), 32: (1, {'@': 259}), 51: (1, {'@': 259}), 33: (1, {'@': 259}), 52: (1, {'@': 259})}, 409: {2: (0, 450)}, 410: {9: (0, 451), 4: (0, 8), 7: (0, 3), 1: (0, 9), 2: (0, 452), 0: (0, 6)}, 411: {2: (0, 453)}, 412: {35: (1, {'@': 260}), 36: (1, {'@': 260}), 37: (1, {'@': 260}), 19: (1, {'@': 260}), 21: (1, {'@': 260}), 15: (1, {'@': 260}), 24: (1, {'@': 260}), 38: (1, {'@': 260}), 26: (1, {'@': 260}), 39: (1, {'@': 260}), 29: (1, {'@': 260}), 18: (1, {'@': 260}), 40: (1, {'@': 260}), 30: (1, {'@': 260}), 0: (1, {'@': 260}), 2: (1, {'@': 260}), 41: (1, {'@': 260}), 12: (1, {'@': 260}), 42: (1, {'@': 260}), 4: (1, {'@': 260}), 43: (1, {'@': 260}), 44: (1, {'@': 260}), 34: (1, {'@': 260}), 45: (1, {'@': 260}), 20: (1, {'@': 260}), 17: (1, {'@': 260}), 22: (1, {'@': 260}), 46: (1, {'@': 260}), 23: (1, {'@': 260}), 47: (1, {'@': 260}), 48: (1, {'@': 260}), 1: (1, {'@': 260}), 28: (1, {'@': 260}), 31: (1, {'@': 260}), 49: (1, {'@': 260}), 50: (1, {'@': 260}), 32: (1, {'@': 260}), 51: (1, {'@': 260}), 33: (1, {'@': 260}), 52: (1, {'@': 260})}, 413: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 59: (0, 394), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 414: {35: (1, {'@': 261}), 36: (1, {'@': 261}), 37: (1, {'@': 261}), 19: (1, {'@': 261}), 21: (1, {'@': 261}), 15: (1, {'@': 261}), 24: (1, {'@': 261}), 38: (1, {'@': 261}), 26: (1, {'@': 261}), 39: (1, {'@': 261}), 29: (1, {'@': 261}), 18: (1, {'@': 261}), 40: (1, {'@': 261}), 30: (1, {'@': 261}), 0: (1, {'@': 261}), 2: (1, {'@': 261}), 41: (1, {'@': 261}), 12: (1, {'@': 261}), 42: (1, {'@': 261}), 4: (1, {'@': 261}), 43: (1, {'@': 261}), 44: (1, {'@': 261}), 34: (1, {'@': 261}), 45: (1, {'@': 261}), 20: (1, {'@': 261}), 17: (1, {'@': 261}), 22: (1, {'@': 261}), 46: (1, {'@': 261}), 23: (1, {'@': 261}), 47: (1, {'@': 261}), 48: (1, {'@': 261}), 1: (1, {'@': 261}), 28: (1, {'@': 261}), 31: (1, {'@': 261}), 49: (1, {'@': 261}), 50: (1, {'@': 261}), 32: (1, {'@': 261}), 51: (1, {'@': 261}), 33: (1, {'@': 261}), 52: (1, {'@': 261})}, 415: {35: (1, {'@': 262}), 36: (1, {'@': 262}), 37: (1, {'@': 262}), 19: (1, {'@': 262}), 21: (1, {'@': 262}), 15: (1, {'@': 262}), 24: (1, {'@': 262}), 38: (1, {'@': 262}), 26: (1, {'@': 262}), 39: (1, {'@': 262}), 29: (1, {'@': 262}), 18: (1, {'@': 262}), 40: (1, {'@': 262}), 30: (1, {'@': 262}), 0: (1, {'@': 262}), 2: (1, {'@': 262}), 41: (1, {'@': 262}), 12: (1, {'@': 262}), 42: (1, {'@': 262}), 4: (1, {'@': 262}), 43: (1, {'@': 262}), 44: (1, {'@': 262}), 34: (1, {'@': 262}), 45: (1, {'@': 262}), 20: (1, {'@': 262}), 17: (1, {'@': 262}), 22: (1, {'@': 262}), 46: (1, {'@': 262}), 23: (1, {'@': 262}), 47: (1, {'@': 262}), 48: (1, {'@': 262}), 1: (1, {'@': 262}), 28: (1, {'@': 262}), 31: (1, {'@': 262}), 49: (1, {'@': 262}), 50: (1, {'@': 262}), 32: (1, {'@': 262}), 51: (1, {'@': 262}), 33: (1, {'@': 262}), 52: (1, {'@': 262})}, 416: {29: (0, 454)}, 417: {35: (1, {'@': 263}), 36: (1, {'@': 263}), 37: (1, {'@': 263}), 19: (1, {'@': 263}), 21: (1, {'@': 263}), 15: (1, {'@': 263}), 24: (1, {'@': 263}), 38: (1, {'@': 263}), 26: (1, {'@': 263}), 39: (1, {'@': 263}), 29: (1, {'@': 263}), 18: (1, {'@': 263}), 40: (1, {'@': 263}), 30: (1, {'@': 263}), 0: (1, {'@': 263}), 2: (1, {'@': 263}), 41: (1, {'@': 263}), 12: (1, {'@': 263}), 42: (1, {'@': 263}), 4: (1, {'@': 263}), 43: (1, {'@': 263}), 44: (1, {'@': 263}), 34: (1, {'@': 263}), 45: (1, {'@': 263}), 20: (1, {'@': 263}), 17: (1, {'@': 263}), 22: (1, {'@': 263}), 46: (1, {'@': 263}), 23: (1, {'@': 263}), 47: (1, {'@': 263}), 48: (1, {'@': 263}), 1: (1, {'@': 263}), 28: (1, {'@': 263}), 31: (1, {'@': 263}), 49: (1, {'@': 263}), 50: (1, {'@': 263}), 32: (1, {'@': 263}), 51: (1, {'@': 263}), 33: (1, {'@': 263}), 52: (1, {'@': 263})}, 418: {35: (1, {'@': 264}), 36: (1, {'@': 264}), 37: (1, {'@': 264}), 19: (1, {'@': 264}), 21: (1, {'@': 264}), 15: (1, {'@': 264}), 24: (1, {'@': 264}), 38: (1, {'@': 264}), 26: (1, {'@': 264}), 39: (1, {'@': 264}), 29: (1, {'@': 264}), 18: (1, {'@': 264}), 40: (1, {'@': 264}), 30: (1, {'@': 264}), 0: (1, {'@': 264}), 2: (1, {'@': 264}), 41: (1, {'@': 264}), 12: (1, {'@': 264}), 42: (1, {'@': 264}), 4: (1, {'@': 264}), 43: (1, {'@': 264}), 44: (1, {'@': 264}), 34: (1, {'@': 264}), 45: (1, {'@': 264}), 20: (1, {'@': 264}), 17: (1, {'@': 264}), 22: (1, {'@': 264}), 46: (1, {'@': 264}), 23: (1, {'@': 264}), 47: (1, {'@': 264}), 48: (1, {'@': 264}), 1: (1, {'@': 264}), 28: (1, {'@': 264}), 31: (1, {'@': 264}), 49: (1, {'@': 264}), 50: (1, {'@': 264}), 32: (1, {'@': 264}), 51: (1, {'@': 264}), 33: (1, {'@': 264}), 52: (1, {'@': 264})}, 419: {35: (1, {'@': 265}), 36: (1, {'@': 265}), 37: (1, {'@': 265}), 19: (1, {'@': 265}), 21: (1, {'@': 265}), 15: (1, {'@': 265}), 24: (1, {'@': 265}), 38: (1, {'@': 265}), 26: (1, {'@': 265}), 39: (1, {'@': 265}), 29: (1, {'@': 265}), 18: (1, {'@': 265}), 40: (1, {'@': 265}), 30: (1, {'@': 265}), 0: (1, {'@': 265}), 2: (1, {'@': 265}), 41: (1, {'@': 265}), 12: (1, {'@': 265}), 42: (1, {'@': 265}), 4: (1, {'@': 265}), 43: (1, {'@': 265}), 44: (1, {'@': 265}), 34: (1, {'@': 265}), 45: (1, {'@': 265}), 20: (1, {'@': 265}), 17: (1, {'@': 265}), 22: (1, {'@': 265}), 46: (1, {'@': 265}), 23: (1, {'@': 265}), 47: (1, {'@': 265}), 48: (1, {'@': 265}), 1: (1, {'@': 265}), 28: (1, {'@': 265}), 31: (1, {'@': 265}), 49: (1, {'@': 265}), 50: (1, {'@': 265}), 32: (1, {'@': 265}), 51: (1, {'@': 265}), 33: (1, {'@': 265}), 52: (1, {'@': 265})}, 420: {19: (1, {'@': 266}), 20: (1, {'@': 266}), 17: (1, {'@': 266}), 21: (1, {'@': 266}), 15: (1, {'@': 266}), 24: (1, {'@': 266}), 26: (1, {'@': 266}), 1: (1, {'@': 266}), 28: (1, {'@': 266}), 30: (1, {'@': 266}), 31: (1, {'@': 266}), 0: (1, {'@': 266}), 12: (1, {'@': 266}), 32: (1, {'@': 266}), 4: (1, {'@': 266}), 34: (1, {'@': 266})}, 421: {19: (1, {'@': 267}), 20: (1, {'@': 267}), 17: (1, {'@': 267}), 21: (1, {'@': 267}), 15: (1, {'@': 267}), 24: (1, {'@': 267}), 26: (1, {'@': 267}), 1: (1, {'@': 267}), 28: (1, {'@': 267}), 30: (1, {'@': 267}), 31: (1, {'@': 267}), 0: (1, {'@': 267}), 12: (1, {'@': 267}), 32: (1, {'@': 267}), 4: (1, {'@': 267}), 34: (1, {'@': 267})}, 422: {19: (1, {'@': 268}), 20: (1, {'@': 268}), 17: (1, {'@': 268}), 21: (1, {'@': 268}), 15: (1, {'@': 268}), 24: (1, {'@': 268}), 26: (1, {'@': 268}), 1: (0, 9), 28: (1, {'@': 268}), 30: (1, {'@': 268}), 31: (1, {'@': 268}), 0: (0, 6), 12: (1, {'@': 268}), 32: (1, {'@': 268}), 4: (0, 8), 34: (1, {'@': 268}), 7: (0, 3), 9: (0, 455)}, 423: {51: (0, 456), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 424: {19: (1, {'@': 269}), 20: (1, {'@': 269}), 17: (1, {'@': 269}), 21: (1, {'@': 269}), 15: (1, {'@': 269}), 24: (1, {'@': 269}), 26: (1, {'@': 269}), 1: (0, 9), 28: (1, {'@': 269}), 30: (1, {'@': 269}), 31: (1, {'@': 269}), 0: (0, 6), 12: (1, {'@': 269}), 32: (1, {'@': 269}), 4: (0, 8), 34: (1, {'@': 269}), 7: (0, 3), 9: (0, 457)}, 425: {53: (0, 34), 9: (0, 458), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 59: (0, 459), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 426: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 460), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 427: {51: (0, 461), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 428: {51: (0, 462), 79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 429: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 463), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 430: {27: (0, 464)}, 431: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 465), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 9: (0, 466), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 432: {19: (1, {'@': 270}), 20: (1, {'@': 270}), 17: (1, {'@': 270}), 21: (1, {'@': 270}), 15: (1, {'@': 270}), 24: (1, {'@': 270}), 26: (1, {'@': 270}), 1: (0, 9), 28: (1, {'@': 270}), 30: (1, {'@': 270}), 31: (1, {'@': 270}), 0: (0, 6), 12: (1, {'@': 270}), 32: (1, {'@': 270}), 4: (0, 8), 34: (1, {'@': 270}), 7: (0, 3), 9: (0, 467)}, 433: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 51: (0, 468), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 434: {19: (1, {'@': 271}), 20: (1, {'@': 271}), 17: (1, {'@': 271}), 21: (1, {'@': 271}), 15: (1, {'@': 271}), 24: (1, {'@': 271}), 26: (1, {'@': 271}), 1: (0, 9), 28: (1, {'@': 271}), 30: (1, {'@': 271}), 31: (1, {'@': 271}), 0: (0, 6), 12: (1, {'@': 271}), 32: (1, {'@': 271}), 4: (0, 8), 34: (1, {'@': 271}), 7: (0, 3), 9: (0, 469)}, 435: {19: (1, {'@': 272}), 20: (1, {'@': 272}), 17: (1, {'@': 272}), 21: (1, {'@': 272}), 15: (1, {'@': 272}), 24: (1, {'@': 272}), 26: (1, {'@': 272}), 1: (1, {'@': 272}), 28: (1, {'@': 272}), 30: (1, {'@': 272}), 31: (1, {'@': 272}), 0: (1, {'@': 272}), 12: (1, {'@': 272}), 32: (1, {'@': 272}), 4: (1, {'@': 272}), 34: (1, {'@': 272})}, 436: {35: (1, {'@': 273}), 36: (1, {'@': 273}), 37: (1, {'@': 273}), 19: (1, {'@': 273}), 21: (1, {'@': 273}), 15: (1, {'@': 273}), 24: (1, {'@': 273}), 38: (1, {'@': 273}), 26: (1, {'@': 273}), 39: (1, {'@': 273}), 29: (1, {'@': 273}), 18: (1, {'@': 273}), 40: (1, {'@': 273}), 30: (1, {'@': 273}), 0: (1, {'@': 273}), 2: (1, {'@': 273}), 41: (1, {'@': 273}), 12: (1, {'@': 273}), 42: (1, {'@': 273}), 4: (1, {'@': 273}), 43: (1, {'@': 273}), 44: (1, {'@': 273}), 34: (1, {'@': 273}), 45: (1, {'@': 273}), 20: (1, {'@': 273}), 17: (1, {'@': 273}), 22: (1, {'@': 273}), 46: (1, {'@': 273}), 23: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 1: (1, {'@': 273}), 28: (1, {'@': 273}), 31: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273}), 32: (1, {'@': 273}), 51: (1, {'@': 273}), 33: (1, {'@': 273}), 52: (1, {'@': 273})}, 437: {4: (0, 8), 2: (0, 470), 9: (0, 471), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 438: {4: (0, 8), 90: (0, 472), 2: (0, 473), 9: (0, 474), 22: (0, 196), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 439: {35: (1, {'@': 274}), 36: (1, {'@': 274}), 37: (1, {'@': 274}), 19: (1, {'@': 274}), 21: (1, {'@': 274}), 15: (1, {'@': 274}), 24: (1, {'@': 274}), 38: (1, {'@': 274}), 26: (1, {'@': 274}), 39: (1, {'@': 274}), 29: (1, {'@': 274}), 18: (1, {'@': 274}), 40: (1, {'@': 274}), 30: (1, {'@': 274}), 0: (1, {'@': 274}), 2: (1, {'@': 274}), 41: (1, {'@': 274}), 12: (1, {'@': 274}), 42: (1, {'@': 274}), 4: (1, {'@': 274}), 43: (1, {'@': 274}), 44: (1, {'@': 274}), 34: (1, {'@': 274}), 45: (1, {'@': 274}), 20: (1, {'@': 274}), 17: (1, {'@': 274}), 22: (1, {'@': 274}), 46: (1, {'@': 274}), 23: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 1: (1, {'@': 274}), 28: (1, {'@': 274}), 31: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274}), 32: (1, {'@': 274}), 51: (1, {'@': 274}), 33: (1, {'@': 274}), 52: (1, {'@': 274})}, 440: {2: (0, 475)}, 441: {4: (0, 8), 2: (0, 476), 7: (0, 3), 1: (0, 9), 9: (0, 477), 0: (0, 6)}, 442: {35: (1, {'@': 275}), 36: (1, {'@': 275}), 37: (1, {'@': 275}), 19: (1, {'@': 275}), 21: (1, {'@': 275}), 15: (1, {'@': 275}), 24: (1, {'@': 275}), 38: (1, {'@': 275}), 26: (1, {'@': 275}), 39: (1, {'@': 275}), 29: (1, {'@': 275}), 18: (1, {'@': 275}), 40: (1, {'@': 275}), 30: (1, {'@': 275}), 0: (1, {'@': 275}), 2: (1, {'@': 275}), 41: (1, {'@': 275}), 12: (1, {'@': 275}), 42: (1, {'@': 275}), 4: (1, {'@': 275}), 43: (1, {'@': 275}), 44: (1, {'@': 275}), 34: (1, {'@': 275}), 45: (1, {'@': 275}), 20: (1, {'@': 275}), 17: (1, {'@': 275}), 22: (1, {'@': 275}), 46: (1, {'@': 275}), 23: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 1: (1, {'@': 275}), 28: (1, {'@': 275}), 31: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275}), 32: (1, {'@': 275}), 51: (1, {'@': 275}), 33: (1, {'@': 275}), 52: (1, {'@': 275})}, 443: {2: (0, 478)}, 444: {35: (1, {'@': 276}), 36: (1, {'@': 276}), 37: (1, {'@': 276}), 19: (1, {'@': 276}), 21: (1, {'@': 276}), 15: (1, {'@': 276}), 24: (1, {'@': 276}), 38: (1, {'@': 276}), 26: (1, {'@': 276}), 39: (1, {'@': 276}), 29: (1, {'@': 276}), 18: (1, {'@': 276}), 40: (1, {'@': 276}), 30: (1, {'@': 276}), 0: (1, {'@': 276}), 2: (1, {'@': 276}), 41: (1, {'@': 276}), 12: (1, {'@': 276}), 42: (1, {'@': 276}), 4: (1, {'@': 276}), 43: (1, {'@': 276}), 44: (1, {'@': 276}), 34: (1, {'@': 276}), 45: (1, {'@': 276}), 20: (1, {'@': 276}), 17: (1, {'@': 276}), 22: (1, {'@': 276}), 46: (1, {'@': 276}), 23: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 1: (1, {'@': 276}), 28: (1, {'@': 276}), 31: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276}), 32: (1, {'@': 276}), 51: (1, {'@': 276}), 33: (1, {'@': 276}), 52: (1, {'@': 276})}, 445: {2: (0, 479)}, 446: {4: (0, 8), 9: (0, 480), 2: (0, 481), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 447: {35: (1, {'@': 277}), 36: (1, {'@': 277}), 37: (1, {'@': 277}), 19: (1, {'@': 277}), 21: (1, {'@': 277}), 15: (1, {'@': 277}), 24: (1, {'@': 277}), 38: (1, {'@': 277}), 26: (1, {'@': 277}), 39: (1, {'@': 277}), 29: (1, {'@': 277}), 18: (1, {'@': 277}), 40: (1, {'@': 277}), 30: (1, {'@': 277}), 0: (1, {'@': 277}), 2: (1, {'@': 277}), 41: (1, {'@': 277}), 12: (1, {'@': 277}), 42: (1, {'@': 277}), 4: (1, {'@': 277}), 43: (1, {'@': 277}), 44: (1, {'@': 277}), 34: (1, {'@': 277}), 45: (1, {'@': 277}), 20: (1, {'@': 277}), 17: (1, {'@': 277}), 22: (1, {'@': 277}), 46: (1, {'@': 277}), 23: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 1: (1, {'@': 277}), 28: (1, {'@': 277}), 31: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277}), 32: (1, {'@': 277}), 51: (1, {'@': 277}), 33: (1, {'@': 277}), 52: (1, {'@': 277})}, 448: {35: (1, {'@': 278}), 36: (1, {'@': 278}), 37: (1, {'@': 278}), 19: (1, {'@': 278}), 21: (1, {'@': 278}), 15: (1, {'@': 278}), 24: (1, {'@': 278}), 38: (1, {'@': 278}), 26: (1, {'@': 278}), 39: (1, {'@': 278}), 29: (1, {'@': 278}), 18: (1, {'@': 278}), 40: (1, {'@': 278}), 30: (1, {'@': 278}), 0: (1, {'@': 278}), 2: (1, {'@': 278}), 41: (1, {'@': 278}), 12: (1, {'@': 278}), 42: (1, {'@': 278}), 4: (1, {'@': 278}), 43: (1, {'@': 278}), 44: (1, {'@': 278}), 34: (1, {'@': 278}), 45: (1, {'@': 278}), 20: (1, {'@': 278}), 17: (1, {'@': 278}), 22: (1, {'@': 278}), 46: (1, {'@': 278}), 23: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 1: (1, {'@': 278}), 28: (1, {'@': 278}), 31: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278}), 32: (1, {'@': 278}), 51: (1, {'@': 278}), 33: (1, {'@': 278}), 52: (1, {'@': 278})}, 449: {2: (0, 482)}, 450: {35: (1, {'@': 279}), 36: (1, {'@': 279}), 37: (1, {'@': 279}), 19: (1, {'@': 279}), 21: (1, {'@': 279}), 15: (1, {'@': 279}), 24: (1, {'@': 279}), 38: (1, {'@': 279}), 26: (1, {'@': 279}), 39: (1, {'@': 279}), 29: (1, {'@': 279}), 18: (1, {'@': 279}), 40: (1, {'@': 279}), 30: (1, {'@': 279}), 0: (1, {'@': 279}), 2: (1, {'@': 279}), 41: (1, {'@': 279}), 12: (1, {'@': 279}), 42: (1, {'@': 279}), 4: (1, {'@': 279}), 43: (1, {'@': 279}), 44: (1, {'@': 279}), 34: (1, {'@': 279}), 45: (1, {'@': 279}), 20: (1, {'@': 279}), 17: (1, {'@': 279}), 22: (1, {'@': 279}), 46: (1, {'@': 279}), 23: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 1: (1, {'@': 279}), 28: (1, {'@': 279}), 31: (1, {'@': 279}), 49: (1, {'@': 279}), 50: (1, {'@': 279}), 32: (1, {'@': 279}), 51: (1, {'@': 279}), 33: (1, {'@': 279}), 52: (1, {'@': 279})}, 451: {2: (0, 483)}, 452: {35: (1, {'@': 280}), 36: (1, {'@': 280}), 37: (1, {'@': 280}), 19: (1, {'@': 280}), 21: (1, {'@': 280}), 15: (1, {'@': 280}), 24: (1, {'@': 280}), 38: (1, {'@': 280}), 26: (1, {'@': 280}), 39: (1, {'@': 280}), 29: (1, {'@': 280}), 18: (1, {'@': 280}), 40: (1, {'@': 280}), 30: (1, {'@': 280}), 0: (1, {'@': 280}), 2: (1, {'@': 280}), 41: (1, {'@': 280}), 12: (1, {'@': 280}), 42: (1, {'@': 280}), 4: (1, {'@': 280}), 43: (1, {'@': 280}), 44: (1, {'@': 280}), 34: (1, {'@': 280}), 45: (1, {'@': 280}), 20: (1, {'@': 280}), 17: (1, {'@': 280}), 22: (1, {'@': 280}), 46: (1, {'@': 280}), 23: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 1: (1, {'@': 280}), 28: (1, {'@': 280}), 31: (1, {'@': 280}), 49: (1, {'@': 280}), 50: (1, {'@': 280}), 32: (1, {'@': 280}), 51: (1, {'@': 280}), 33: (1, {'@': 280}), 52: (1, {'@': 280})}, 453: {35: (1, {'@': 281}), 36: (1, {'@': 281}), 37: (1, {'@': 281}), 19: (1, {'@': 281}), 21: (1, {'@': 281}), 15: (1, {'@': 281}), 24: (1, {'@': 281}), 38: (1, {'@': 281}), 26: (1, {'@': 281}), 39: (1, {'@': 281}), 29: (1, {'@': 281}), 18: (1, {'@': 281}), 40: (1, {'@': 281}), 30: (1, {'@': 281}), 0: (1, {'@': 281}), 2: (1, {'@': 281}), 41: (1, {'@': 281}), 12: (1, {'@': 281}), 42: (1, {'@': 281}), 4: (1, {'@': 281}), 43: (1, {'@': 281}), 44: (1, {'@': 281}), 34: (1, {'@': 281}), 45: (1, {'@': 281}), 20: (1, {'@': 281}), 17: (1, {'@': 281}), 22: (1, {'@': 281}), 46: (1, {'@': 281}), 23: (1, {'@': 281}), 47: (1, {'@': 281}), 48: (1, {'@': 281}), 1: (1, {'@': 281}), 28: (1, {'@': 281}), 31: (1, {'@': 281}), 49: (1, {'@': 281}), 50: (1, {'@': 281}), 32: (1, {'@': 281}), 51: (1, {'@': 281}), 33: (1, {'@': 281}), 52: (1, {'@': 281})}, 454: {35: (1, {'@': 282}), 36: (1, {'@': 282}), 37: (1, {'@': 282}), 19: (1, {'@': 282}), 21: (1, {'@': 282}), 15: (1, {'@': 282}), 24: (1, {'@': 282}), 38: (1, {'@': 282}), 26: (1, {'@': 282}), 39: (1, {'@': 282}), 29: (1, {'@': 282}), 18: (1, {'@': 282}), 40: (1, {'@': 282}), 30: (1, {'@': 282}), 0: (1, {'@': 282}), 2: (1, {'@': 282}), 41: (1, {'@': 282}), 12: (1, {'@': 282}), 42: (1, {'@': 282}), 4: (1, {'@': 282}), 43: (1, {'@': 282}), 44: (1, {'@': 282}), 34: (1, {'@': 282}), 45: (1, {'@': 282}), 20: (1, {'@': 282}), 17: (1, {'@': 282}), 22: (1, {'@': 282}), 46: (1, {'@': 282}), 23: (1, {'@': 282}), 47: (1, {'@': 282}), 48: (1, {'@': 282}), 1: (1, {'@': 282}), 28: (1, {'@': 282}), 31: (1, {'@': 282}), 49: (1, {'@': 282}), 50: (1, {'@': 282}), 32: (1, {'@': 282}), 51: (1, {'@': 282}), 33: (1, {'@': 282}), 52: (1, {'@': 282})}, 455: {19: (1, {'@': 283}), 20: (1, {'@': 283}), 17: (1, {'@': 283}), 21: (1, {'@': 283}), 15: (1, {'@': 283}), 24: (1, {'@': 283}), 26: (1, {'@': 283}), 1: (1, {'@': 283}), 28: (1, {'@': 283}), 30: (1, {'@': 283}), 31: (1, {'@': 283}), 0: (1, {'@': 283}), 12: (1, {'@': 283}), 32: (1, {'@': 283}), 4: (1, {'@': 283}), 34: (1, {'@': 283})}, 456: {19: (1, {'@': 284}), 20: (1, {'@': 284}), 17: (1, {'@': 284}), 21: (1, {'@': 284}), 15: (1, {'@': 284}), 24: (1, {'@': 284}), 26: (1, {'@': 284}), 1: (0, 9), 28: (1, {'@': 284}), 30: (1, {'@': 284}), 31: (1, {'@': 284}), 0: (0, 6), 12: (1, {'@': 284}), 32: (1, {'@': 284}), 4: (0, 8), 34: (1, {'@': 284}), 9: (0, 484), 7: (0, 3)}, 457: {19: (1, {'@': 285}), 20: (1, {'@': 285}), 17: (1, {'@': 285}), 21: (1, {'@': 285}), 15: (1, {'@': 285}), 24: (1, {'@': 285}), 26: (1, {'@': 285}), 1: (1, {'@': 285}), 28: (1, {'@': 285}), 30: (1, {'@': 285}), 31: (1, {'@': 285}), 0: (1, {'@': 285}), 12: (1, {'@': 285}), 32: (1, {'@': 285}), 4: (1, {'@': 285}), 34: (1, {'@': 285})}, 458: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 59: (0, 485), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 459: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 51: (0, 486), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 460: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 51: (0, 487), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 461: {19: (1, {'@': 286}), 20: (1, {'@': 286}), 17: (1, {'@': 286}), 21: (1, {'@': 286}), 15: (1, {'@': 286}), 24: (1, {'@': 286}), 26: (1, {'@': 286}), 1: (0, 9), 28: (1, {'@': 286}), 30: (1, {'@': 286}), 31: (1, {'@': 286}), 0: (0, 6), 12: (1, {'@': 286}), 32: (1, {'@': 286}), 4: (0, 8), 34: (1, {'@': 286}), 9: (0, 488), 7: (0, 3)}, 462: {19: (1, {'@': 287}), 20: (1, {'@': 287}), 17: (1, {'@': 287}), 21: (1, {'@': 287}), 15: (1, {'@': 287}), 24: (1, {'@': 287}), 26: (1, {'@': 287}), 1: (0, 9), 28: (1, {'@': 287}), 30: (1, {'@': 287}), 31: (1, {'@': 287}), 0: (0, 6), 12: (1, {'@': 287}), 32: (1, {'@': 287}), 4: (0, 8), 34: (1, {'@': 287}), 9: (0, 489), 7: (0, 3)}, 463: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 51: (0, 490), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 464: {53: (0, 34), 28: (0, 35), 15: (0, 36), 59: (0, 491), 21: (0, 37), 54: (0, 38), 55: (0, 39), 9: (0, 492), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 0: (0, 6), 7: (0, 3), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 1: (0, 9), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 4: (0, 8), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 465: {79: (0, 93), 40: (0, 94), 48: (0, 105), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 51: (0, 493), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 466: {53: (0, 34), 28: (0, 35), 15: (0, 36), 59: (0, 494), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 467: {19: (1, {'@': 288}), 20: (1, {'@': 288}), 17: (1, {'@': 288}), 21: (1, {'@': 288}), 15: (1, {'@': 288}), 24: (1, {'@': 288}), 26: (1, {'@': 288}), 1: (1, {'@': 288}), 28: (1, {'@': 288}), 30: (1, {'@': 288}), 31: (1, {'@': 288}), 0: (1, {'@': 288}), 12: (1, {'@': 288}), 32: (1, {'@': 288}), 4: (1, {'@': 288}), 34: (1, {'@': 288})}, 468: {19: (1, {'@': 289}), 20: (1, {'@': 289}), 17: (1, {'@': 289}), 21: (1, {'@': 289}), 15: (1, {'@': 289}), 24: (1, {'@': 289}), 26: (1, {'@': 289}), 1: (0, 9), 28: (1, {'@': 289}), 30: (1, {'@': 289}), 31: (1, {'@': 289}), 0: (0, 6), 12: (1, {'@': 289}), 32: (1, {'@': 289}), 4: (0, 8), 34: (1, {'@': 289}), 7: (0, 3), 9: (0, 495)}, 469: {19: (1, {'@': 290}), 20: (1, {'@': 290}), 17: (1, {'@': 290}), 21: (1, {'@': 290}), 15: (1, {'@': 290}), 24: (1, {'@': 290}), 26: (1, {'@': 290}), 1: (1, {'@': 290}), 28: (1, {'@': 290}), 30: (1, {'@': 290}), 31: (1, {'@': 290}), 0: (1, {'@': 290}), 12: (1, {'@': 290}), 32: (1, {'@': 290}), 4: (1, {'@': 290}), 34: (1, {'@': 290})}, 470: {35: (1, {'@': 291}), 36: (1, {'@': 291}), 37: (1, {'@': 291}), 19: (1, {'@': 291}), 21: (1, {'@': 291}), 15: (1, {'@': 291}), 24: (1, {'@': 291}), 38: (1, {'@': 291}), 26: (1, {'@': 291}), 39: (1, {'@': 291}), 29: (1, {'@': 291}), 18: (1, {'@': 291}), 40: (1, {'@': 291}), 30: (1, {'@': 291}), 0: (1, {'@': 291}), 2: (1, {'@': 291}), 41: (1, {'@': 291}), 12: (1, {'@': 291}), 42: (1, {'@': 291}), 4: (1, {'@': 291}), 43: (1, {'@': 291}), 44: (1, {'@': 291}), 34: (1, {'@': 291}), 45: (1, {'@': 291}), 20: (1, {'@': 291}), 17: (1, {'@': 291}), 22: (1, {'@': 291}), 46: (1, {'@': 291}), 23: (1, {'@': 291}), 47: (1, {'@': 291}), 48: (1, {'@': 291}), 1: (1, {'@': 291}), 28: (1, {'@': 291}), 31: (1, {'@': 291}), 49: (1, {'@': 291}), 50: (1, {'@': 291}), 32: (1, {'@': 291}), 51: (1, {'@': 291}), 33: (1, {'@': 291}), 52: (1, {'@': 291})}, 471: {2: (0, 496)}, 472: {4: (0, 8), 2: (0, 497), 9: (0, 498), 7: (0, 3), 1: (0, 9), 0: (0, 6)}, 473: {35: (1, {'@': 292}), 36: (1, {'@': 292}), 37: (1, {'@': 292}), 19: (1, {'@': 292}), 21: (1, {'@': 292}), 15: (1, {'@': 292}), 24: (1, {'@': 292}), 38: (1, {'@': 292}), 26: (1, {'@': 292}), 39: (1, {'@': 292}), 29: (1, {'@': 292}), 18: (1, {'@': 292}), 40: (1, {'@': 292}), 30: (1, {'@': 292}), 0: (1, {'@': 292}), 2: (1, {'@': 292}), 41: (1, {'@': 292}), 12: (1, {'@': 292}), 42: (1, {'@': 292}), 4: (1, {'@': 292}), 43: (1, {'@': 292}), 44: (1, {'@': 292}), 34: (1, {'@': 292}), 45: (1, {'@': 292}), 20: (1, {'@': 292}), 17: (1, {'@': 292}), 22: (1, {'@': 292}), 46: (1, {'@': 292}), 23: (1, {'@': 292}), 47: (1, {'@': 292}), 48: (1, {'@': 292}), 1: (1, {'@': 292}), 28: (1, {'@': 292}), 31: (1, {'@': 292}), 49: (1, {'@': 292}), 50: (1, {'@': 292}), 32: (1, {'@': 292}), 51: (1, {'@': 292}), 33: (1, {'@': 292}), 52: (1, {'@': 292})}, 474: {2: (0, 499)}, 475: {35: (1, {'@': 293}), 36: (1, {'@': 293}), 37: (1, {'@': 293}), 19: (1, {'@': 293}), 21: (1, {'@': 293}), 15: (1, {'@': 293}), 24: (1, {'@': 293}), 38: (1, {'@': 293}), 26: (1, {'@': 293}), 39: (1, {'@': 293}), 29: (1, {'@': 293}), 18: (1, {'@': 293}), 40: (1, {'@': 293}), 30: (1, {'@': 293}), 0: (1, {'@': 293}), 2: (1, {'@': 293}), 41: (1, {'@': 293}), 12: (1, {'@': 293}), 42: (1, {'@': 293}), 4: (1, {'@': 293}), 43: (1, {'@': 293}), 44: (1, {'@': 293}), 34: (1, {'@': 293}), 45: (1, {'@': 293}), 20: (1, {'@': 293}), 17: (1, {'@': 293}), 22: (1, {'@': 293}), 46: (1, {'@': 293}), 23: (1, {'@': 293}), 47: (1, {'@': 293}), 48: (1, {'@': 293}), 1: (1, {'@': 293}), 28: (1, {'@': 293}), 31: (1, {'@': 293}), 49: (1, {'@': 293}), 50: (1, {'@': 293}), 32: (1, {'@': 293}), 51: (1, {'@': 293}), 33: (1, {'@': 293}), 52: (1, {'@': 293})}, 476: {35: (1, {'@': 294}), 36: (1, {'@': 294}), 37: (1, {'@': 294}), 19: (1, {'@': 294}), 21: (1, {'@': 294}), 15: (1, {'@': 294}), 24: (1, {'@': 294}), 38: (1, {'@': 294}), 26: (1, {'@': 294}), 39: (1, {'@': 294}), 29: (1, {'@': 294}), 18: (1, {'@': 294}), 40: (1, {'@': 294}), 30: (1, {'@': 294}), 0: (1, {'@': 294}), 2: (1, {'@': 294}), 41: (1, {'@': 294}), 12: (1, {'@': 294}), 42: (1, {'@': 294}), 4: (1, {'@': 294}), 43: (1, {'@': 294}), 44: (1, {'@': 294}), 34: (1, {'@': 294}), 45: (1, {'@': 294}), 20: (1, {'@': 294}), 17: (1, {'@': 294}), 22: (1, {'@': 294}), 46: (1, {'@': 294}), 23: (1, {'@': 294}), 47: (1, {'@': 294}), 48: (1, {'@': 294}), 1: (1, {'@': 294}), 28: (1, {'@': 294}), 31: (1, {'@': 294}), 49: (1, {'@': 294}), 50: (1, {'@': 294}), 32: (1, {'@': 294}), 51: (1, {'@': 294}), 33: (1, {'@': 294}), 52: (1, {'@': 294})}, 477: {2: (0, 500)}, 478: {35: (1, {'@': 295}), 36: (1, {'@': 295}), 37: (1, {'@': 295}), 19: (1, {'@': 295}), 21: (1, {'@': 295}), 15: (1, {'@': 295}), 24: (1, {'@': 295}), 38: (1, {'@': 295}), 26: (1, {'@': 295}), 39: (1, {'@': 295}), 29: (1, {'@': 295}), 18: (1, {'@': 295}), 40: (1, {'@': 295}), 30: (1, {'@': 295}), 0: (1, {'@': 295}), 2: (1, {'@': 295}), 41: (1, {'@': 295}), 12: (1, {'@': 295}), 42: (1, {'@': 295}), 4: (1, {'@': 295}), 43: (1, {'@': 295}), 44: (1, {'@': 295}), 34: (1, {'@': 295}), 45: (1, {'@': 295}), 20: (1, {'@': 295}), 17: (1, {'@': 295}), 22: (1, {'@': 295}), 46: (1, {'@': 295}), 23: (1, {'@': 295}), 47: (1, {'@': 295}), 48: (1, {'@': 295}), 1: (1, {'@': 295}), 28: (1, {'@': 295}), 31: (1, {'@': 295}), 49: (1, {'@': 295}), 50: (1, {'@': 295}), 32: (1, {'@': 295}), 51: (1, {'@': 295}), 33: (1, {'@': 295}), 52: (1, {'@': 295})}, 479: {35: (1, {'@': 296}), 36: (1, {'@': 296}), 37: (1, {'@': 296}), 19: (1, {'@': 296}), 21: (1, {'@': 296}), 15: (1, {'@': 296}), 24: (1, {'@': 296}), 38: (1, {'@': 296}), 26: (1, {'@': 296}), 39: (1, {'@': 296}), 29: (1, {'@': 296}), 18: (1, {'@': 296}), 40: (1, {'@': 296}), 30: (1, {'@': 296}), 0: (1, {'@': 296}), 2: (1, {'@': 296}), 41: (1, {'@': 296}), 12: (1, {'@': 296}), 42: (1, {'@': 296}), 4: (1, {'@': 296}), 43: (1, {'@': 296}), 44: (1, {'@': 296}), 34: (1, {'@': 296}), 45: (1, {'@': 296}), 20: (1, {'@': 296}), 17: (1, {'@': 296}), 22: (1, {'@': 296}), 46: (1, {'@': 296}), 23: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 1: (1, {'@': 296}), 28: (1, {'@': 296}), 31: (1, {'@': 296}), 49: (1, {'@': 296}), 50: (1, {'@': 296}), 32: (1, {'@': 296}), 51: (1, {'@': 296}), 33: (1, {'@': 296}), 52: (1, {'@': 296})}, 480: {2: (0, 501)}, 481: {35: (1, {'@': 297}), 36: (1, {'@': 297}), 37: (1, {'@': 297}), 19: (1, {'@': 297}), 21: (1, {'@': 297}), 15: (1, {'@': 297}), 24: (1, {'@': 297}), 38: (1, {'@': 297}), 26: (1, {'@': 297}), 39: (1, {'@': 297}), 29: (1, {'@': 297}), 18: (1, {'@': 297}), 40: (1, {'@': 297}), 30: (1, {'@': 297}), 0: (1, {'@': 297}), 2: (1, {'@': 297}), 41: (1, {'@': 297}), 12: (1, {'@': 297}), 42: (1, {'@': 297}), 4: (1, {'@': 297}), 43: (1, {'@': 297}), 44: (1, {'@': 297}), 34: (1, {'@': 297}), 45: (1, {'@': 297}), 20: (1, {'@': 297}), 17: (1, {'@': 297}), 22: (1, {'@': 297}), 46: (1, {'@': 297}), 23: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 1: (1, {'@': 297}), 28: (1, {'@': 297}), 31: (1, {'@': 297}), 49: (1, {'@': 297}), 50: (1, {'@': 297}), 32: (1, {'@': 297}), 51: (1, {'@': 297}), 33: (1, {'@': 297}), 52: (1, {'@': 297})}, 482: {35: (1, {'@': 298}), 36: (1, {'@': 298}), 37: (1, {'@': 298}), 19: (1, {'@': 298}), 21: (1, {'@': 298}), 15: (1, {'@': 298}), 24: (1, {'@': 298}), 38: (1, {'@': 298}), 26: (1, {'@': 298}), 39: (1, {'@': 298}), 29: (1, {'@': 298}), 18: (1, {'@': 298}), 40: (1, {'@': 298}), 30: (1, {'@': 298}), 0: (1, {'@': 298}), 2: (1, {'@': 298}), 41: (1, {'@': 298}), 12: (1, {'@': 298}), 42: (1, {'@': 298}), 4: (1, {'@': 298}), 43: (1, {'@': 298}), 44: (1, {'@': 298}), 34: (1, {'@': 298}), 45: (1, {'@': 298}), 20: (1, {'@': 298}), 17: (1, {'@': 298}), 22: (1, {'@': 298}), 46: (1, {'@': 298}), 23: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 1: (1, {'@': 298}), 28: (1, {'@': 298}), 31: (1, {'@': 298}), 49: (1, {'@': 298}), 50: (1, {'@': 298}), 32: (1, {'@': 298}), 51: (1, {'@': 298}), 33: (1, {'@': 298}), 52: (1, {'@': 298})}, 483: {35: (1, {'@': 299}), 36: (1, {'@': 299}), 37: (1, {'@': 299}), 19: (1, {'@': 299}), 21: (1, {'@': 299}), 15: (1, {'@': 299}), 24: (1, {'@': 299}), 38: (1, {'@': 299}), 26: (1, {'@': 299}), 39: (1, {'@': 299}), 29: (1, {'@': 299}), 18: (1, {'@': 299}), 40: (1, {'@': 299}), 30: (1, {'@': 299}), 0: (1, {'@': 299}), 2: (1, {'@': 299}), 41: (1, {'@': 299}), 12: (1, {'@': 299}), 42: (1, {'@': 299}), 4: (1, {'@': 299}), 43: (1, {'@': 299}), 44: (1, {'@': 299}), 34: (1, {'@': 299}), 45: (1, {'@': 299}), 20: (1, {'@': 299}), 17: (1, {'@': 299}), 22: (1, {'@': 299}), 46: (1, {'@': 299}), 23: (1, {'@': 299}), 47: (1, {'@': 299}), 48: (1, {'@': 299}), 1: (1, {'@': 299}), 28: (1, {'@': 299}), 31: (1, {'@': 299}), 49: (1, {'@': 299}), 50: (1, {'@': 299}), 32: (1, {'@': 299}), 51: (1, {'@': 299}), 33: (1, {'@': 299}), 52: (1, {'@': 299})}, 484: {19: (1, {'@': 300}), 20: (1, {'@': 300}), 17: (1, {'@': 300}), 21: (1, {'@': 300}), 15: (1, {'@': 300}), 24: (1, {'@': 300}), 26: (1, {'@': 300}), 1: (1, {'@': 300}), 28: (1, {'@': 300}), 30: (1, {'@': 300}), 31: (1, {'@': 300}), 0: (1, {'@': 300}), 12: (1, {'@': 300}), 32: (1, {'@': 300}), 4: (1, {'@': 300}), 34: (1, {'@': 300})}, 485: {79: (0, 93), 40: (0, 94), 37: (0, 106), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 502), 48: (0, 105), 46: (0, 108), 49: (0, 107)}, 486: {19: (1, {'@': 301}), 20: (1, {'@': 301}), 17: (1, {'@': 301}), 21: (1, {'@': 301}), 15: (1, {'@': 301}), 24: (1, {'@': 301}), 26: (1, {'@': 301}), 1: (0, 9), 28: (1, {'@': 301}), 30: (1, {'@': 301}), 31: (1, {'@': 301}), 0: (0, 6), 12: (1, {'@': 301}), 32: (1, {'@': 301}), 4: (0, 8), 34: (1, {'@': 301}), 9: (0, 503), 7: (0, 3)}, 487: {19: (1, {'@': 302}), 20: (1, {'@': 302}), 17: (1, {'@': 302}), 21: (1, {'@': 302}), 15: (1, {'@': 302}), 24: (1, {'@': 302}), 26: (1, {'@': 302}), 1: (0, 9), 28: (1, {'@': 302}), 30: (1, {'@': 302}), 31: (1, {'@': 302}), 0: (0, 6), 12: (1, {'@': 302}), 32: (1, {'@': 302}), 4: (0, 8), 34: (1, {'@': 302}), 9: (0, 504), 7: (0, 3)}, 488: {19: (1, {'@': 303}), 20: (1, {'@': 303}), 17: (1, {'@': 303}), 21: (1, {'@': 303}), 15: (1, {'@': 303}), 24: (1, {'@': 303}), 26: (1, {'@': 303}), 1: (1, {'@': 303}), 28: (1, {'@': 303}), 30: (1, {'@': 303}), 31: (1, {'@': 303}), 0: (1, {'@': 303}), 12: (1, {'@': 303}), 32: (1, {'@': 303}), 4: (1, {'@': 303}), 34: (1, {'@': 303})}, 489: {19: (1, {'@': 304}), 20: (1, {'@': 304}), 17: (1, {'@': 304}), 21: (1, {'@': 304}), 15: (1, {'@': 304}), 24: (1, {'@': 304}), 26: (1, {'@': 304}), 1: (1, {'@': 304}), 28: (1, {'@': 304}), 30: (1, {'@': 304}), 31: (1, {'@': 304}), 0: (1, {'@': 304}), 12: (1, {'@': 304}), 32: (1, {'@': 304}), 4: (1, {'@': 304}), 34: (1, {'@': 304})}, 490: {19: (1, {'@': 305}), 20: (1, {'@': 305}), 17: (1, {'@': 305}), 21: (1, {'@': 305}), 15: (1, {'@': 305}), 24: (1, {'@': 305}), 26: (1, {'@': 305}), 1: (0, 9), 28: (1, {'@': 305}), 30: (1, {'@': 305}), 31: (1, {'@': 305}), 0: (0, 6), 12: (1, {'@': 305}), 32: (1, {'@': 305}), 4: (0, 8), 34: (1, {'@': 305}), 7: (0, 3), 9: (0, 505)}, 491: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 506), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 492: {53: (0, 34), 28: (0, 35), 15: (0, 36), 21: (0, 37), 54: (0, 38), 55: (0, 39), 26: (0, 40), 59: (0, 507), 56: (0, 41), 31: (0, 42), 57: (0, 43), 24: (0, 44), 58: (0, 45), 60: (0, 47), 32: (0, 48), 17: (0, 49), 61: (0, 50), 62: (0, 51), 6: (0, 52), 30: (0, 53), 19: (0, 54), 63: (0, 55), 64: (0, 56), 65: (0, 57), 66: (0, 58), 67: (0, 59), 68: (0, 60), 69: (0, 61), 70: (0, 62), 71: (0, 63), 72: (0, 64), 34: (0, 65), 73: (0, 66), 74: (0, 67), 12: (0, 11), 20: (0, 68), 75: (0, 69)}, 493: {19: (1, {'@': 306}), 20: (1, {'@': 306}), 17: (1, {'@': 306}), 21: (1, {'@': 306}), 15: (1, {'@': 306}), 24: (1, {'@': 306}), 26: (1, {'@': 306}), 1: (0, 9), 28: (1, {'@': 306}), 30: (1, {'@': 306}), 31: (1, {'@': 306}), 0: (0, 6), 12: (1, {'@': 306}), 32: (1, {'@': 306}), 4: (0, 8), 34: (1, {'@': 306}), 7: (0, 3), 9: (0, 508)}, 494: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 51: (0, 509), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 495: {19: (1, {'@': 307}), 20: (1, {'@': 307}), 17: (1, {'@': 307}), 21: (1, {'@': 307}), 15: (1, {'@': 307}), 24: (1, {'@': 307}), 26: (1, {'@': 307}), 1: (1, {'@': 307}), 28: (1, {'@': 307}), 30: (1, {'@': 307}), 31: (1, {'@': 307}), 0: (1, {'@': 307}), 12: (1, {'@': 307}), 32: (1, {'@': 307}), 4: (1, {'@': 307}), 34: (1, {'@': 307})}, 496: {35: (1, {'@': 308}), 36: (1, {'@': 308}), 37: (1, {'@': 308}), 19: (1, {'@': 308}), 21: (1, {'@': 308}), 15: (1, {'@': 308}), 24: (1, {'@': 308}), 38: (1, {'@': 308}), 26: (1, {'@': 308}), 39: (1, {'@': 308}), 29: (1, {'@': 308}), 18: (1, {'@': 308}), 40: (1, {'@': 308}), 30: (1, {'@': 308}), 0: (1, {'@': 308}), 2: (1, {'@': 308}), 41: (1, {'@': 308}), 12: (1, {'@': 308}), 42: (1, {'@': 308}), 4: (1, {'@': 308}), 43: (1, {'@': 308}), 44: (1, {'@': 308}), 34: (1, {'@': 308}), 45: (1, {'@': 308}), 20: (1, {'@': 308}), 17: (1, {'@': 308}), 22: (1, {'@': 308}), 46: (1, {'@': 308}), 23: (1, {'@': 308}), 47: (1, {'@': 308}), 48: (1, {'@': 308}), 1: (1, {'@': 308}), 28: (1, {'@': 308}), 31: (1, {'@': 308}), 49: (1, {'@': 308}), 50: (1, {'@': 308}), 32: (1, {'@': 308}), 51: (1, {'@': 308}), 33: (1, {'@': 308}), 52: (1, {'@': 308})}, 497: {35: (1, {'@': 309}), 36: (1, {'@': 309}), 37: (1, {'@': 309}), 19: (1, {'@': 309}), 21: (1, {'@': 309}), 15: (1, {'@': 309}), 24: (1, {'@': 309}), 38: (1, {'@': 309}), 26: (1, {'@': 309}), 39: (1, {'@': 309}), 29: (1, {'@': 309}), 18: (1, {'@': 309}), 40: (1, {'@': 309}), 30: (1, {'@': 309}), 0: (1, {'@': 309}), 2: (1, {'@': 309}), 41: (1, {'@': 309}), 12: (1, {'@': 309}), 42: (1, {'@': 309}), 4: (1, {'@': 309}), 43: (1, {'@': 309}), 44: (1, {'@': 309}), 34: (1, {'@': 309}), 45: (1, {'@': 309}), 20: (1, {'@': 309}), 17: (1, {'@': 309}), 22: (1, {'@': 309}), 46: (1, {'@': 309}), 23: (1, {'@': 309}), 47: (1, {'@': 309}), 48: (1, {'@': 309}), 1: (1, {'@': 309}), 28: (1, {'@': 309}), 31: (1, {'@': 309}), 49: (1, {'@': 309}), 50: (1, {'@': 309}), 32: (1, {'@': 309}), 51: (1, {'@': 309}), 33: (1, {'@': 309}), 52: (1, {'@': 309})}, 498: {2: (0, 510)}, 499: {35: (1, {'@': 310}), 36: (1, {'@': 310}), 37: (1, {'@': 310}), 19: (1, {'@': 310}), 21: (1, {'@': 310}), 15: (1, {'@': 310}), 24: (1, {'@': 310}), 38: (1, {'@': 310}), 26: (1, {'@': 310}), 39: (1, {'@': 310}), 29: (1, {'@': 310}), 18: (1, {'@': 310}), 40: (1, {'@': 310}), 30: (1, {'@': 310}), 0: (1, {'@': 310}), 2: (1, {'@': 310}), 41: (1, {'@': 310}), 12: (1, {'@': 310}), 42: (1, {'@': 310}), 4: (1, {'@': 310}), 43: (1, {'@': 310}), 44: (1, {'@': 310}), 34: (1, {'@': 310}), 45: (1, {'@': 310}), 20: (1, {'@': 310}), 17: (1, {'@': 310}), 22: (1, {'@': 310}), 46: (1, {'@': 310}), 23: (1, {'@': 310}), 47: (1, {'@': 310}), 48: (1, {'@': 310}), 1: (1, {'@': 310}), 28: (1, {'@': 310}), 31: (1, {'@': 310}), 49: (1, {'@': 310}), 50: (1, {'@': 310}), 32: (1, {'@': 310}), 51: (1, {'@': 310}), 33: (1, {'@': 310}), 52: (1, {'@': 310})}, 500: {35: (1, {'@': 311}), 36: (1, {'@': 311}), 37: (1, {'@': 311}), 19: (1, {'@': 311}), 21: (1, {'@': 311}), 15: (1, {'@': 311}), 24: (1, {'@': 311}), 38: (1, {'@': 311}), 26: (1, {'@': 311}), 39: (1, {'@': 311}), 29: (1, {'@': 311}), 18: (1, {'@': 311}), 40: (1, {'@': 311}), 30: (1, {'@': 311}), 0: (1, {'@': 311}), 2: (1, {'@': 311}), 41: (1, {'@': 311}), 12: (1, {'@': 311}), 42: (1, {'@': 311}), 4: (1, {'@': 311}), 43: (1, {'@': 311}), 44: (1, {'@': 311}), 34: (1, {'@': 311}), 45: (1, {'@': 311}), 20: (1, {'@': 311}), 17: (1, {'@': 311}), 22: (1, {'@': 311}), 46: (1, {'@': 311}), 23: (1, {'@': 311}), 47: (1, {'@': 311}), 48: (1, {'@': 311}), 1: (1, {'@': 311}), 28: (1, {'@': 311}), 31: (1, {'@': 311}), 49: (1, {'@': 311}), 50: (1, {'@': 311}), 32: (1, {'@': 311}), 51: (1, {'@': 311}), 33: (1, {'@': 311}), 52: (1, {'@': 311})}, 501: {35: (1, {'@': 312}), 36: (1, {'@': 312}), 37: (1, {'@': 312}), 19: (1, {'@': 312}), 21: (1, {'@': 312}), 15: (1, {'@': 312}), 24: (1, {'@': 312}), 38: (1, {'@': 312}), 26: (1, {'@': 312}), 39: (1, {'@': 312}), 29: (1, {'@': 312}), 18: (1, {'@': 312}), 40: (1, {'@': 312}), 30: (1, {'@': 312}), 0: (1, {'@': 312}), 2: (1, {'@': 312}), 41: (1, {'@': 312}), 12: (1, {'@': 312}), 42: (1, {'@': 312}), 4: (1, {'@': 312}), 43: (1, {'@': 312}), 44: (1, {'@': 312}), 34: (1, {'@': 312}), 45: (1, {'@': 312}), 20: (1, {'@': 312}), 17: (1, {'@': 312}), 22: (1, {'@': 312}), 46: (1, {'@': 312}), 23: (1, {'@': 312}), 47: (1, {'@': 312}), 48: (1, {'@': 312}), 1: (1, {'@': 312}), 28: (1, {'@': 312}), 31: (1, {'@': 312}), 49: (1, {'@': 312}), 50: (1, {'@': 312}), 32: (1, {'@': 312}), 51: (1, {'@': 312}), 33: (1, {'@': 312}), 52: (1, {'@': 312})}, 502: {19: (1, {'@': 313}), 20: (1, {'@': 313}), 17: (1, {'@': 313}), 21: (1, {'@': 313}), 15: (1, {'@': 313}), 24: (1, {'@': 313}), 26: (1, {'@': 313}), 1: (0, 9), 28: (1, {'@': 313}), 30: (1, {'@': 313}), 31: (1, {'@': 313}), 0: (0, 6), 12: (1, {'@': 313}), 32: (1, {'@': 313}), 4: (0, 8), 34: (1, {'@': 313}), 9: (0, 511), 7: (0, 3)}, 503: {19: (1, {'@': 314}), 20: (1, {'@': 314}), 17: (1, {'@': 314}), 21: (1, {'@': 314}), 15: (1, {'@': 314}), 24: (1, {'@': 314}), 26: (1, {'@': 314}), 1: (1, {'@': 314}), 28: (1, {'@': 314}), 30: (1, {'@': 314}), 31: (1, {'@': 314}), 0: (1, {'@': 314}), 12: (1, {'@': 314}), 32: (1, {'@': 314}), 4: (1, {'@': 314}), 34: (1, {'@': 314})}, 504: {19: (1, {'@': 315}), 20: (1, {'@': 315}), 17: (1, {'@': 315}), 21: (1, {'@': 315}), 15: (1, {'@': 315}), 24: (1, {'@': 315}), 26: (1, {'@': 315}), 1: (1, {'@': 315}), 28: (1, {'@': 315}), 30: (1, {'@': 315}), 31: (1, {'@': 315}), 0: (1, {'@': 315}), 12: (1, {'@': 315}), 32: (1, {'@': 315}), 4: (1, {'@': 315}), 34: (1, {'@': 315})}, 505: {19: (1, {'@': 316}), 20: (1, {'@': 316}), 17: (1, {'@': 316}), 21: (1, {'@': 316}), 15: (1, {'@': 316}), 24: (1, {'@': 316}), 26: (1, {'@': 316}), 1: (1, {'@': 316}), 28: (1, {'@': 316}), 30: (1, {'@': 316}), 31: (1, {'@': 316}), 0: (1, {'@': 316}), 12: (1, {'@': 316}), 32: (1, {'@': 316}), 4: (1, {'@': 316}), 34: (1, {'@': 316})}, 506: {19: (1, {'@': 317}), 20: (1, {'@': 317}), 17: (1, {'@': 317}), 21: (1, {'@': 317}), 15: (1, {'@': 317}), 24: (1, {'@': 317}), 26: (1, {'@': 317}), 1: (0, 9), 28: (1, {'@': 317}), 30: (1, {'@': 317}), 31: (1, {'@': 317}), 0: (0, 6), 12: (1, {'@': 317}), 32: (1, {'@': 317}), 4: (0, 8), 34: (1, {'@': 317}), 7: (0, 3), 9: (0, 512)}, 507: {79: (0, 93), 40: (0, 94), 50: (0, 95), 41: (0, 96), 45: (0, 97), 51: (0, 513), 38: (0, 98), 42: (0, 99), 80: (0, 100), 19: (0, 101), 39: (0, 102), 43: (0, 103), 52: (0, 104), 48: (0, 105), 37: (0, 106), 46: (0, 108), 49: (0, 107)}, 508: {19: (1, {'@': 318}), 20: (1, {'@': 318}), 17: (1, {'@': 318}), 21: (1, {'@': 318}), 15: (1, {'@': 318}), 24: (1, {'@': 318}), 26: (1, {'@': 318}), 1: (1, {'@': 318}), 28: (1, {'@': 318}), 30: (1, {'@': 318}), 31: (1, {'@': 318}), 0: (1, {'@': 318}), 12: (1, {'@': 318}), 32: (1, {'@': 318}), 4: (1, {'@': 318}), 34: (1, {'@': 318})}, 509: {19: (1, {'@': 319}), 20: (1, {'@': 319}), 17: (1, {'@': 319}), 21: (1, {'@': 319}), 15: (1, {'@': 319}), 24: (1, {'@': 319}), 26: (1, {'@': 319}), 1: (0, 9), 28: (1, {'@': 319}), 30: (1, {'@': 319}), 31: (1, {'@': 319}), 0: (0, 6), 12: (1, {'@': 319}), 32: (1, {'@': 319}), 4: (0, 8), 34: (1, {'@': 319}), 7: (0, 3), 9: (0, 514)}, 510: {35: (1, {'@': 320}), 36: (1, {'@': 320}), 37: (1, {'@': 320}), 19: (1, {'@': 320}), 21: (1, {'@': 320}), 15: (1, {'@': 320}), 24: (1, {'@': 320}), 38: (1, {'@': 320}), 26: (1, {'@': 320}), 39: (1, {'@': 320}), 29: (1, {'@': 320}), 18: (1, {'@': 320}), 40: (1, {'@': 320}), 30: (1, {'@': 320}), 0: (1, {'@': 320}), 2: (1, {'@': 320}), 41: (1, {'@': 320}), 12: (1, {'@': 320}), 42: (1, {'@': 320}), 4: (1, {'@': 320}), 43: (1, {'@': 320}), 44: (1, {'@': 320}), 34: (1, {'@': 320}), 45: (1, {'@': 320}), 20: (1, {'@': 320}), 17: (1, {'@': 320}), 22: (1, {'@': 320}), 46: (1, {'@': 320}), 23: (1, {'@': 320}), 47: (1, {'@': 320}), 48: (1, {'@': 320}), 1: (1, {'@': 320}), 28: (1, {'@': 320}), 31: (1, {'@': 320}), 49: (1, {'@': 320}), 50: (1, {'@': 320}), 32: (1, {'@': 320}), 51: (1, {'@': 320}), 33: (1, {'@': 320}), 52: (1, {'@': 320})}, 511: {19: (1, {'@': 321}), 20: (1, {'@': 321}), 17: (1, {'@': 321}), 21: (1, {'@': 321}), 15: (1, {'@': 321}), 24: (1, {'@': 321}), 26: (1, {'@': 321}), 1: (1, {'@': 321}), 28: (1, {'@': 321}), 30: (1, {'@': 321}), 31: (1, {'@': 321}), 0: (1, {'@': 321}), 12: (1, {'@': 321}), 32: (1, {'@': 321}), 4: (1, {'@': 321}), 34: (1, {'@': 321})}, 512: {19: (1, {'@': 322}), 20: (1, {'@': 322}), 17: (1, {'@': 322}), 21: (1, {'@': 322}), 15: (1, {'@': 322}), 24: (1, {'@': 322}), 26: (1, {'@': 322}), 1: (1, {'@': 322}), 28: (1, {'@': 322}), 30: (1, {'@': 322}), 31: (1, {'@': 322}), 0: (1, {'@': 322}), 12: (1, {'@': 322}), 32: (1, {'@': 322}), 4: (1, {'@': 322}), 34: (1, {'@': 322})}, 513: {19: (1, {'@': 323}), 20: (1, {'@': 323}), 17: (1, {'@': 323}), 21: (1, {'@': 323}), 15: (1, {'@': 323}), 24: (1, {'@': 323}), 26: (1, {'@': 323}), 1: (0, 9), 28: (1, {'@': 323}), 30: (1, {'@': 323}), 31: (1, {'@': 323}), 0: (0, 6), 12: (1, {'@': 323}), 32: (1, {'@': 323}), 4: (0, 8), 34: (1, {'@': 323}), 7: (0, 3), 9: (0, 515)}, 514: {19: (1, {'@': 324}), 20: (1, {'@': 324}), 17: (1, {'@': 324}), 21: (1, {'@': 324}), 15: (1, {'@': 324}), 24: (1, {'@': 324}), 26: (1, {'@': 324}), 1: (1, {'@': 324}), 28: (1, {'@': 324}), 30: (1, {'@': 324}), 31: (1, {'@': 324}), 0: (1, {'@': 324}), 12: (1, {'@': 324}), 32: (1, {'@': 324}), 4: (1, {'@': 324}), 34: (1, {'@': 324})}, 515: {19: (1, {'@': 325}), 20: (1, {'@': 325}), 17: (1, {'@': 325}), 21: (1, {'@': 325}), 15: (1, {'@': 325}), 24: (1, {'@': 325}), 26: (1, {'@': 325}), 1: (1, {'@': 325}), 28: (1, {'@': 325}), 30: (1, {'@': 325}), 31: (1, {'@': 325}), 0: (1, {'@': 325}), 12: (1, {'@': 325}), 32: (1, {'@': 325}), 4: (1, {'@': 325}), 34: (1, {'@': 325})}}, 'start_states': {'start': 0}, 'end_states': {'start': 27}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 98}, {'@': 65}, {'@': 64}, {'@': 48}, {'@': 46}, {'@': 45}, {'@': 117}, {'@': 170}, {'@': 143}, {'@': 207}, {'@': 125}, {'@': 169}, {'@': 99}, {'@': 131}, {'@': 129}, {'@': 155}, {'@': 47}, {'@': 54}, {'@': 77}, {'@': 89}, {'@': 76}, {'@': 193}, {'@': 85}, {'@': 81}, {'@': 123}, {'@': 124}, {'@': 109}, {'@': 115}, {'@': 114}, {'@': 108}, {'@': 116}, {'@': 103}, {'@': 112}, {'@': 110}, {'@': 106}, {'@': 107}, {'@': 105}, {'@': 111}, {'@': 113}, {'@': 104}, {'@': 159}, {'@': 136}, {'@': 191}, {'@': 158}, {'@': 157}, {'@': 133}, {'@': 84}, {'@': 90}, {'@': 95}, {'@': 69}, {'@': 93}, {'@': 79}, {'@': 72}, {'@': 94}, {'@': 88}, {'@': 68}, {'@': 92}, {'@': 82}, {'@': 91}, {'@': 87}, {'@': 74}, {'@': 80}, {'@': 86}, {'@': 97}, {'@': 78}, {'@': 71}, {'@': 83}, {'@': 70}, {'@': 192}, {'@': 134}, {'@': 135}, {'@': 261}, {'@': 239}, {'@': 238}, {'@': 208}, {'@': 240}, {'@': 209}, {'@': 171}, {'@': 241}, {'@': 210}, {'@': 211}, {'@': 172}, {'@': 212}, {'@': 173}, {'@': 144}, {'@': 252}, {'@': 218}, {'@': 219}, {'@': 175}, {'@': 221}, {'@': 177}, {'@': 145}, {'@': 223}, {'@': 179}, {'@': 180}, {'@': 146}, {'@': 182}, {'@': 148}, {'@': 127}, {'@': 126}, {'@': 100}, {'@': 230}, {'@': 187}, {'@': 188}, {'@': 150}, {'@': 189}, {'@': 152}, {'@': 154}, {'@': 130}, {'@': 101}, {'@': 151}, {'@': 128}, {'@': 156}, {'@': 132}, {'@': 73}, {'@': 75}, {'@': 237}, {'@': 205}, {'@': 204}, {'@': 167}, {'@': 206}, {'@': 168}, {'@': 142}, {'@': 235}, {'@': 200}, {'@': 236}, {'@': 201}, {'@': 199}, {'@': 163}, {'@': 203}, {'@': 165}, {'@': 202}, {'@': 164}, {'@': 166}, {'@': 141}, {'@': 119}, {'@': 121}, {'@': 122}, {'@': 120}, {'@': 232}, {'@': 194}, {'@': 198}, {'@': 161}, {'@': 139}, {'@': 140}, {'@': 137}, {'@': 118}, {'@': 196}, {'@': 160}, {'@': 282}, {'@': 263}, {'@': 264}, {'@': 243}, {'@': 262}, {'@': 242}, {'@': 213}, {'@': 265}, {'@': 244}, {'@': 245}, {'@': 214}, {'@': 246}, {'@': 215}, {'@': 174}, {'@': 273}, {'@': 253}, {'@': 254}, {'@': 224}, {'@': 255}, {'@': 225}, {'@': 183}, {'@': 256}, {'@': 226}, {'@': 227}, {'@': 184}, {'@': 228}, {'@': 185}, {'@': 149}, {'@': 320}, {'@': 309}, {'@': 310}, {'@': 292}, {'@': 308}, {'@': 291}, {'@': 274}, {'@': 311}, {'@': 294}, {'@': 293}, {'@': 275}, {'@': 295}, {'@': 276}, {'@': 257}, {'@': 312}, {'@': 297}, {'@': 296}, {'@': 277}, {'@': 298}, {'@': 278}, {'@': 258}, {'@': 299}, {'@': 280}, {'@': 281}, {'@': 260}, {'@': 279}, {'@': 259}, {'@': 231}, {'@': 325}, {'@': 323}, {'@': 322}, {'@': 317}, {'@': 324}, {'@': 319}, {'@': 318}, {'@': 306}, {'@': 316}, {'@': 305}, {'@': 304}, {'@': 287}, {'@': 307}, {'@': 289}, {'@': 288}, {'@': 270}, {'@': 290}, {'@': 271}, {'@': 272}, {'@': 250}, {'@': 321}, {'@': 313}, {'@': 314}, {'@': 301}, {'@': 315}, {'@': 302}, {'@': 303}, {'@': 286}, {'@': 300}, {'@': 284}, {'@': 285}, {'@': 269}, {'@': 283}, {'@': 268}, {'@': 267}, {'@': 249}, {'@': 266}, {'@': 247}, {'@': 248}, {'@': 216}, {'@': 229}, {'@': 186}, {'@': 53}, {'@': 50}, {'@': 55}, {'@': 58}, {'@': 57}, {'@': 56}, {'@': 60}, {'@': 59}, {'@': 67}, {'@': 66}, {'@': 52}, {'@': 49}, {'@': 51}, {'@': 62}, {'@': 61}, {'@': 63}, {'@': 96}, {'@': 102}, {'@': 222}, {'@': 178}, {'@': 181}, {'@': 147}, {'@': 251}, {'@': 217}, {'@': 220}, {'@': 176}, {'@': 153}, {'@': 190}, {'@': 138}, {'@': 162}, {'@': 197}, {'@': 195}, {'@': 233}, {'@': 234}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 67: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 97: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 103: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 139: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 148: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 154: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 163: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 177: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 191: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 196: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 198: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 218: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 223: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 235: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 252: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 325: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

